commit 7500bf80dbaea17b2740c9e91d99e8876d257edf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 18 15:50:17 2013 +0100

    IDirectFBSurface: When attaching to an event buffer, generate an update event if appropriate.

commit 7ab6eae03678a379b1d8211d110dd95fdada9d24
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jan 18 14:16:59 2013 +0100

    update news

commit 5d4fa10484d782d0e32b3ba4375a10f132db9c43
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jan 18 14:15:32 2013 +0100

    fix broken merge

commit f19c65b3b0b4a68b55f0f74f7bd95325f02b5ab8
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jan 18 12:20:16 2013 +0100

    wm/default: fix bad merge

commit 8ba7f4ef0f04519ae89aa4679bc34010f6242619
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jan 16 10:02:13 2013 +0100

    wm: default: blit-flip mouse cursor instead of copying update regions
    
    Conflicts:
    	wm/default/default.c

commit efc072f1bb62238e07e5981584f741f390b27dac
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 16 08:50:07 2013 +0100

    direct: fix direct_log_domain_check()

commit 00e9ca1abe9e0fc636d2188c1bc3537697b327fe
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jan 12 06:32:32 2013 +0100

    IDirectFBDisplayLayer: In SetBackgroundImage() flush graphics state client of surface.
    
    Fixes text on df_window background.

commit 0cbd96e6af9a437aa7fd426af74770307489942f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jan 12 05:53:23 2013 +0100

    fusion: minor optimisations in fusion_call_execute3() via TLS, allow call-bin-max-num = 0 to disable it.

commit de926d1a24f7108ebd3ef928e3870608de6ff3c6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jan 12 04:36:52 2013 +0100

    Core: Move CoreTLS definition and Core_GetTLS() to core header.

commit a3f4ff6c40e5ae5af0cf0b7744ce6fdfc49de3a4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jan 12 03:29:31 2013 +0100

    CoreGraphicsStateClient: Add _ReleaseSource() and _SetColorAndIndex() to avoid calling generated C wrappers.

commit 114f8eb9e0e0508fda95e933a186040beb58e0b3
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Jan 15 13:09:47 2013 +0100

    debian: update package

commit 5f43807d4baf8910734995bfaf27ec0179c3a46e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 4 14:30:04 2013 +0100

    fusion: Add fusion_call_set_name().

commit 39a6f5f263352e213585cb9acbee6a546d0b5689
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 11 12:48:04 2013 +0100

    Graphics: Add all Flush calls, client list management as in DirectFB 1.7.
    
    Switches to C++ for CoreGraphicsStateClient as well.

commit 9fe1e48f548b0f93fa0d62184249fbdb6cf3bfd4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 11 12:44:07 2013 +0100

    Core: Fixes in dfb_gfxcard_state_check_acquire() for source flip count and other selection, and adding EmitCommands when destination allocation changes.

commit af44c3919ea43372731ea4556eeeb3809217cb40
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 11 04:54:17 2013 +0100

    fbdev: Call dfb_surface_notify_display2() at end of primaryFlipRegion()
    
    This is not the best solution. Actually, the function should be called
    asynchronously when the buffer gets displayed, e.g. on vsync.

commit 79c41521810e9df740339ea425f28ea05af407ac
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jan 10 18:44:54 2013 +0100

    increase DirectFB version to 1.6.3, require fluxcomp 1.4.3, require linux-fusion 9.0

commit d3ace0b3c848bec2cbe2e2750498b7961407bc60
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 9 18:11:15 2013 +0100

    graphics: Fix crash due to missing initialisation of renderer pointer.

commit 8463dfde8c400783870148334144aa75b645b634
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 9 16:45:27 2013 +0100

    IDirectFBWindow: Use CoreWindow_GetInsets(), remove CoreWindowStack_GetInsets().

commit 51fd7db8a4971c3b6cb3ef9aec0bb4dcfc9223b5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 9 15:06:28 2013 +0100

    mkdfiff: add dithering to RGB16 conversion code

commit 96e178d9fd1312eebbf97d716e97762832259194
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 9 14:03:25 2013 +0100

    API: Fix DFXL_ALL* for DFXL_TILEBLIT and DFXL_FILLSPAN

commit 72eb9d6c35a10e0f1fd5634b999d2fe9ac9f9a1e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 9 14:01:54 2013 +0100

    fusion: flush buffered calls in fusion_reactor_dispatch_channel()

commit 90baa1c261029107bbae5b656de8c7fbf11d3a72
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 7 13:10:21 2013 +0100

    IDirectFBSurface: log rects/points in BatchBlit

commit 077df1f6161bfefa74b8e3c02732d9f5a1fba150
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 7 13:06:28 2013 +0100

    media: just some comments

commit 28cc920ee4dad642a0053d3f64eb47ea4572947a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 7 12:46:50 2013 +0100

    CoreGraphicsStateClient: send blits in batches of up to 200 each

commit 44debaec956b450f3023967e46b5a4d8647080b7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 4 16:39:36 2013 +0100

    fbdev: In fbdevLock() use allocation->index instead of dfb_surface_buffer_index(allocation->buffer).
    
    The buffer might already have been destroyed.

commit 86bc286185b82abf86c3d0d5963d27f30f571e72
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 4 16:36:19 2013 +0100

    log: Use monotonic clock for domain prints.

commit 31ad1373adad5e0d82207b896b44c1b4d9fa27f4
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jan 4 13:58:23 2013 +0100

    libfusion: add empty implementations of __Fusion_call_init() __Fusion_call_deinit() and fusion_call_set_quota()
    
    This fixes single-app builds

commit ec91ee237ba7159af8a99cccea9252697e0b8d77
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 4 12:58:45 2013 +0100

    DFIFF: Load image provider directly in slave in case of DFIFF header.

commit b454c2532c747d72fca53ee3ec214531dd5ba9c1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jan 3 12:55:26 2013 +0100

    DFIFF: Check for DFIFF_FLAG_PREMULTIPLIED and premultiply/demultiply when needed.

commit f945f2be061f422f31353a18dc11f266fcc3388c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jan 3 12:52:21 2013 +0100

    mkdfiff: Add option -p, --premultiplied to generate premultiplied pixel data.

commit 102ec00b0440c6a842c7a7e5a5af2bb81fe19c33
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jan 3 12:50:52 2013 +0100

    DFIFF: Add DFIFF_FLAG_PREMULTIPLIED to indicate premultiplied pixels.

commit 42efd119c37b7269c2fa50941b4919cb2b591e79
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 2 21:43:36 2013 +0100

    dfbtest_font: Append some characters to test string to check kerning.

commit ab18c14693a8acd72c3f9d2b742c655ca0e9173a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 2 21:41:19 2013 +0100

    FT2: Make kerning cache entries lazy, speeds up CreateFont() on average by factor 6 on an embedded device.

commit 29d04c64d517d5bcba450e7d99307ed9faf386b7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 2 21:38:49 2013 +0100

    dfbtest_font: Restore test string after accidental commit.

commit 7077ad1fb38550b615faeb7b5c43d29cf2beb192
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 2 21:14:08 2013 +0100

    DFIFF: Fix loading DFIFF to premultiplied (using DSBLIT_SRC_PREMULTIPLY).
    
    TODO: Add premultiplied flag to DFIFF.

commit b23a207b8f0b9c8d50883f6b519bf293801d0ba6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Jan 1 15:12:38 2013 +0100

    DFB: Update banner!

commit 8c31d5c8fea2caaf0ab519385d078f10db97524b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Dec 29 11:29:37 2012 +0100

    Options: Add 'call-bin-max-num=<n>' and 'call-bin-max-data=<n>' to configure the maximum call number/data for async call buffer.

commit da4c7d31bf3634ec4d4e23888bcca8ef42106d9d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Dec 29 03:44:11 2012 +0100

    fusion: Add fusion_call_set_quota() using new ioctl in linux-fusion 8.11.0.

commit f8600dfc2fb7e421b0d51df5ff56512ca5e0fe3a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Dec 29 11:28:44 2012 +0100

    Options: Add 'graphics-state-call-limit=<n>' to set FusionCall quota for graphics state objects.
    
    Conflicts:
    	src/misc/conf.h

commit 7f9f2164b1888193fe50e25ff7f989548c0027e5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Dec 29 04:16:48 2012 +0100

    fusion: Move call bins to TLS to avoid blocking other threads, and prevent dead locks.
    
    Conflicts:
    	lib/fusion/fusion_internal.h

commit fb6ce87f7d22b906d6b1b6e5829f0fcb66d7ad98
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 16:24:18 2012 +0100

    graphics: Add some comments to CoreGraphicsStateClient structure.
    
    Conflicts:
    	src/core/CoreGraphicsStateClient.h

commit a07f9ecb901c1e29ddededd35d38ba38fb32ef3d
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jan 10 18:14:29 2013 +0100

    core: backport CoreGraphicsStateClient_Flush() from 1.7

commit fb7e0807f2f864d89138b7f9f0668101b587d4e0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 04:22:41 2012 +0100

    IDirectFBSurface: Add CoreGraphicsStateClient_Flush() calls in flipping functions.

commit 4c2c5d6e14546d5f8b551ce60a864cd7cd061694
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 04:20:21 2012 +0100

    Graphics: In IGraphicsState_Real::Flush() call dfb_gfxcard_flush().

commit 28c69814ba848825003682791bada74c3bfbee5b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 04:14:21 2012 +0100

    IDirectFBEventBuffer: Add some debug messages for surface updates.

commit 7939b6e37232b3570ca725d9ca5735f63e057622
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 04:13:38 2012 +0100

    Core: In dfb_layer_region_flip_update() call dfb_gfxcard_flush().

commit 839dbc4334ffbb77dcf8bd8e4b3257b203b02c84
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 04:13:16 2012 +0100

    Core: Add dfb_gfxcard_flush() to emit any pending operations.

commit 00dc5b288ed468ddb50428ab5f4e2365c9a710f1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 04:07:05 2012 +0100

    direct: Document DirectHashIteratorFunc.

commit 4098d885f216981ff7678dc7e543ee5ae1ec4c8b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 27 16:09:19 2012 +0100

    direct: Add D_INFO_LINE_MSG() and make D_INFO_LINE*() macros a no-op when debug is not enabled.

commit 079baf30244c383eb5e5b5d7c4050372606802fe
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Dec 26 21:58:51 2012 +0100

    IDirectFBSurface: Add time_stamp to DFBSurfaceEvent.

commit 48b54c3fc9b13dff7279c56c438ad90cfa2eabbb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Dec 26 22:00:58 2012 +0100

    Core: Add CoreSurface surface event debug.

commit 4f1adb2260673388f71450eb14c33818b9539ecc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Dec 26 22:00:25 2012 +0100

    Core: Add CoreSurfaceClient_real debug.

commit 6a2c7355525eda729fedf30fa3bf62c7f545db41
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 23 13:53:54 2012 +0100

    Util: Use dfb_gfxcard_batchstretchblit() in dfb_gfx_stretch_stereo().

commit f41f989ca7562ce79d715b8263b465126b6b7e6f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 23 04:45:56 2012 +0100

    gfx: add some FIXME comments where I suspect an off by one error

commit a32633813308c9d431342dde9498cd1dd1d991b7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 21 03:27:53 2012 +0100

    dfbdump: Show KEEP_SIZE option for windows.

commit 57c763487539baa9b7468095bb59b4137df5f078
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 21 03:26:17 2012 +0100

    Water: Change WTT_NONE (0) to WTT_UNKNOWN (1), make WTT_IDENTITY = 0.

commit e9ece1bc5bb412aeaf763b95ce52f159e680c1e5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 20 17:40:49 2012 +0100

    IDirectFB: Use DWOP_KEEP_SIZE when width/height are specified in surface description (force-windowed).

commit d807ca5ce19492faf06c73f90bfdff9a8c858f79
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Dec 19 03:52:35 2012 +0100

    direct: Add D_INFO_LINE() for easy on-demand tracing.
    
    Example output (with three of those added to idirectfb.c):
    
    (*) [Main Thread        0.011,101] (24423) IDirectFB_Construct                                          idirectfb.c:2026
    (*) [Main Thread        0.011,129] (24423) IDirectFB_Construct                                          idirectfb.c:2033
    (*) [Main Thread        0.011,147] (24423)   InitIDirectFB_Async                                        idirectfb.c:1983

commit 90771a2b7aad1a5c2c4c2b7467dd054d161b0780
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 18 19:07:01 2012 +0100

    OneBench: Use malloc'ed buffer rather than a huge array on stack.

commit c1bd2a0ce3edd3c87760b4ebc57ce3d9eaab5bf7
Author: Tarik Sekmen <tarik@directfb.org>
Date:   Mon Dec 17 18:03:15 2012 +0100

    SetClipboardData: Fix for no timestamp.

commit bf0e2129ea53f18863dab36c43592db29711def7
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Dec 13 18:54:09 2012 +0100

    tools: add simple spooky output to dfbdumpinput (via -s option)

commit 9e11e5663f9b7f1340cfa666039894ca57cc19f1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 13 15:52:23 2012 +0100

    linux_input: Make linux-input-force work again with no-vt. Add some debug.

commit 398e3f484a595e3c3474f3f87bd6e9c8c21bcc46
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 18 18:55:46 2012 +0100

    IDirectFB: When force-windowed applications use SetVideoMode, create window with DWOP_KEEP_SIZE.

commit b7e14e34c9915ae74aa078889ed7b30d032133ca
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 13 14:14:46 2012 +0100

    dfbdumpinput: Add tool for forwarding input events to a file or another machine.
    
    Usage example:   dfbdumpinput | nc 10.1.1.56 1234
    
    Note: if you use a 64bit system and want to forward to a 32bit system use '-32' option.

commit 8c7676c97ca52ae3362551b06494c68b87c14d53
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:43:36 2012 +0100

    API: Add separate directfb_water_strings.h, silence generation calls.

commit 523abbd5e514507229a5aaa3f991fad17d02685b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:40:11 2012 +0100

    IDirectFBSurface: Check for surface data being non-NULL of passed in interfaces.

commit ce3daf2c7278999a2f4481770c0d822f9081a7cc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:38:44 2012 +0100

    core: Add missing config.h include to surface_pool.c

commit 145072d4b39d1d3a59087dc0f5bc97def7f4de38
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:38:18 2012 +0100

    core: Fix dfb_surface_reconfig() for colorspace.

commit f8c346f24b9c97dba286e41adc0e15e21af09eee
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:35:17 2012 +0100

    direct: Use __typeof__ instead of typeof (for ISO C).

commit cdb635f96ecbd26ef8f5956dfd9b145bf0c81ea4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:17:21 2012 +0100

    IDirectFB: Configure primary layer surface with DSCAPS_GL when passed in via surface description.

commit 07ad5b21d5b6f5a313fb41f2327eeb6a9eb2b04f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:11:05 2012 +0100

    tools: fix warnings

commit 35d204a78135ad5a476c844ce6d473d754679fa6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:10:49 2012 +0100

    dfbtest_water: cleanups

commit 96cc4a8d7e2ed59e49a0f428f3141012f580bb6f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:09:34 2012 +0100

    core: cleanups, fix warnings
    
    Conflicts:
    	src/core/Renderer.cpp
    	src/core/Task.h
    	src/core/surface.c
    	src/core/surface_buffer.h
    	src/core/surface_pool.c
    	src/gfx/util.c

commit f69c957b553d6ddc203ee4fc723f44336a433eac
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:09:01 2012 +0100

    fusion: cleanups, fix warnings

commit 430385291518a4ac183ecce38546e723485ebd79
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:08:53 2012 +0100

    direct: cleanups, fix warnings
    
    Conflicts:
    	lib/direct/types.h

commit 993cfb7037ac7c36def89c2a1a86086cf30db598
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 11 02:08:12 2012 +0100

    API: cleanup trailing comma in enums

commit 0b6c07025edbec62cb09c7bf5788b7b0314cadb7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 4 00:22:52 2012 +0100

    fusion: Include sys/types.h before linux/fusion.h.

commit c7107d31c962b1cfe90fa798f48d5e7b3be6ad44
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Dec 4 00:07:47 2012 +0100

    system: Add debug to system module loading.

commit f7456e4849f4e98e0c03eee26999b262072cb6a9
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 29 22:08:11 2012 +0100

    API: Add six keys, e.g. for phones.

commit 5818bb95daf45eceaf518c3254606a7ed07d819d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Nov 25 22:43:50 2012 +0100

    Core: Do not consider resource manager for object without identity.
    
    Will add resource tracking for master soon.

commit dacd0f8d91eb47b27022de7f161556fd56f879d7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Nov 25 22:42:28 2012 +0100

    dfbdump: Fixes according to changes in object life cycle for buffers/surfaces.

commit 455b1495170ec7ba66c1ee4241e5e9faa3576093
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 23 19:42:10 2012 +0100

    Graphics: Fix CSF_SOURCE_LOCKED not being set properly in all relevant cases, leading to missing unlock.

commit ce9eb78e9673661f6102e533718f9509a4ddc98a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 23 13:27:45 2012 +0100

    Core: Reduce size of (unused?) data shm pool to 16 MB.

commit fd264c91807e54c5c9c9a6412f91cf85ca01f598
Author: Ilyes Gouta <ilyes.gouta@st.com>
Date:   Wed Nov 7 09:10:12 2012 -0500

    idirectfbdisplaylayer: check if data->stack isn't NULL before calling any cursor routines
    
    For example, calling IDirectFBDisplayLayer_EnableCursor() leads to a SIGSEGV within
    dfb_windowstack_lock() because of a deference of the uninitialized CoreWindowStack *stack
    variable.
    
    The patch introduces few more additional checks, just like what has been implemented in
    IDirectFBDisplayLayer_SetBackgroundMode() and IDirectFBDisplayLayer_SetBackgroundImage().
    
    Signed-off-by: Ilyes Gouta <ilyes.gouta@st.com>

commit ed493615d0c3e890a282d8a50eaae002ec9eaf42
Author: Ilyes Gouta <ilyes.gouta@st.com>
Date:   Mon Nov 12 13:39:55 2012 -0500

    directfb: fix DSPF_NV16 per-pixel color bits count to 16
    
    (4Y + 2CbCr + 2CbCr (next line) * 8) / 4 == 16.
    
    Signed-off-by: Ilyes Gouta <ilyes.gouta@st.com>

commit 7a0c891919e7e0d088631d1f1a707ef7c689af65
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 16 11:13:53 2012 +0100

    Core: Add some debug to failing acceleration cases.

commit 4f3de39cdf366e719b8136527c21da645327da31
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Nov 6 14:28:35 2012 +0100

    core: gfxcard: correctly recover from error conditions, fix one source locking bug
    
    Conflicts:
    	src/core/gfxcard.c

commit 6f2c78ab57c07ce8fa0aab6c2cdebd91da00e340
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Oct 25 13:42:24 2012 +0200

    fusion: also allow https streams

commit 50c78ccab53a21b09d9adf95d3befa4d314f4f28
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Oct 24 18:01:15 2012 +0200

    mesa: fix compatibility with mesa 9.0

commit 414497f57e129dd66f9317bddde94c5ca1b7e733
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Oct 11 13:47:22 2012 +0200

    debian: fix check for armhf (raspberry pi detection hack)
    
    Conflicts:
    	debian/rules

commit f93d6e23abbd1ad954709eaf26913472b87aa916
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Oct 11 13:01:38 2012 +0200

    debian: add missing file

commit afa7194b6d11d043e4f2ad36bf9556c79655ed83
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Oct 10 00:40:55 2012 +0200

    fusion: minimal optimisation in fusion_call_execute*() using call->fusion_id instead of lookup

commit d738a778fac207ede6f3374a324fcd8b886fcb7f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 9 21:49:23 2012 +0200

    defaultwm: Fix update_lock placements.
    
    Conflicts:
    	wm/default/default.c

commit 20a219ea6a4f650c664dbfbe83eb74f1739365f1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 9 21:48:53 2012 +0200

    dfbtest_surface_compositor_threads: Add FPS prints.

commit ae86a3a311b812d32bbfc43bd31a348d682d646f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jan 10 16:38:22 2013 +0100

    fix previous commit for DirectFB 1.6

commit 3e40a0b892b4c851a4acbcb6af8185ee5b033169
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 9 21:47:56 2012 +0200

    X11: Handle display task done calls. Other fixes.

commit 4f709c72b85ef1c93f03c13b4c7036b64f3bce60
Merge: e2f2ec4 0e3cedd
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jan 10 16:33:37 2013 +0100

    Merge branch 'directfb-1.6' of git+ssh://git.directfb.org/git/directfb/core/DirectFB into directfb-1.6

commit e2f2ec423f5a719aea132986519d52ffec716b77
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jan 10 16:33:08 2013 +0100

    fix previous commit for DirectFB 1.6

commit af57197fa9ee2c8dbf15b9aebbcf00ab45c2bf9e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 2 11:52:02 2012 +0200

    Task: Progress with task manager, renderer, fixed bugs, optimisations...
    
    Implement more rendering functions in Renderer and GenefxEngine.
    
    Make '[no-]hardware' work with 'task-manager'.
    
    Add FillSpans() to graphics driver API.
    
    Add Util::PrintF() to generate an std::string in printf manner.
    
    Add Util::TempArray template to provide on-stack/heap allocation.
    
    Add dfb_gfx_copy_regions_client() working like dfb_gfx_copy_regions(),
    but with a given CoreGraphicsStateClient instead of a global static state.
    
    Use dfb_gfx_copy_regions_client() instead of CoreSurface_BackToFrontCopy().
    
    Update default WM to use CoreGraphicsStateClient instead of calling core functions directly.

commit 0e3ceddc6911992ddca5a9b8d007f46ce557e5b8
Merge: abb5b02 2a835e6
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jan 10 16:19:45 2013 +0100

    Merge branch 'directfb-1.6' of git+ssh://git.directfb.org/git/directfb/core/DirectFB into directfb-1.6

commit 2a835e6d3fbb260225c01534219ffb92a6055529
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 8 22:10:31 2012 +0200

    Core: Add buffer index to surface allocation.
    
    Conflicts:
    	src/core/surface_allocation.h

commit abb5b02f164d295b51d10a72154f1042e151f4ea
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jan 10 16:18:04 2013 +0100

    core: fix wrong parameters order
    
    Thanks to Ilyes GOUTA <ilyes.gouta@st.com>

commit 97c37dcedf5ff1b75c340aec70f8fba1c31ee786
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 8 20:40:35 2012 +0200

    configure: Add --with-args-size= for static args allocation in fluxed code.
    
    Conflicts:
    	lib/sawman/Makefile.am
    	rules/flux_comp_sawman.make

commit 184f490398f7e7f5c7c43deabf36320cf5b54386
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Oct 6 18:19:40 2012 +0200

    dfbtest_windows_watcher: print cursor_flags

commit 77d77526d4cc520aead62b58479c2d79ce55a4ab
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Oct 6 18:18:39 2012 +0200

    tests: add dfbtest_blit_threads and dfbtest_surface_compositor_threads

commit 7e0bebc16226700ad2c3cd099fdbf685c262e37c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Oct 6 18:16:23 2012 +0200

    voodoo: update player info, address etc.

commit 35d31a7eaddc61953cb95856efaf59f233148ddb
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 18:34:33 2012 +0200

    debian: typo

commit 827e7205df8d108c73fd0602cc33767d03eb5b5a
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Sep 25 11:12:06 2012 +0200

    videoprovider: remove sleep(1)

commit 6abf2c15ea5cfe7738fdf75d7255ec7b2c4c7db9
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Sep 24 19:00:33 2012 +0200

    videoprovider: also support audio for gst-1.0 api

commit a8a102241783d5d59ba36a3d6e0e3da8fceb5de7
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 16:16:06 2012 +0200

    debian: split dev package
    
    Conflicts:
    	debian/control

commit 5c45da76ada5d3603b6174c7af2c8fb08e4108e1
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 15:55:55 2012 +0200

    remove fluxcomp

commit 8f0ce79d7eccf6e25817eb03e430b6cf600225b8
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 15:54:20 2012 +0200

    debian: only build vdpau stuff on i386 and amd64
    
    Conflicts:
    	debian/control

commit 6f0d437a096e0d2c8886dea12c0938e511c26989
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Sep 24 15:30:59 2012 +0200

    videoprovider: check for fusionsound support, various fixes for gstreamer-1.0

commit 9fef0de562d21ff82e564e5488f0d6f9f0d78382
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 15:41:40 2012 +0200

    debian: remove uwmdump

commit ce6aa6ba311f39b28218bc75513c08d267058fef
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 14:53:47 2012 +0200

    remove unique, does not build

commit a19fdb1482ed9023459cb1b6b16cf848aeb461ec
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 14:07:04 2012 +0200

    debian: remove -wl,as-needed form ldflags

commit 02e1712d105b6629d296da2621423e2080e525b5
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 24 13:54:19 2012 +0200

    debian: do not depend on libjpeg62-dev but on libjpeg-dev

commit 069fdc933355054db085b20ec4ad7601281f3f16
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:42:53 2012 +0200

    egl: fix build

commit 65635193be586291a638399674449eff4a92e5f6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:25:03 2012 +0200

    fusion: Use malloc()ed FUSION_MESSAGE_SIZE*4 buffer for reading.

commit edea17411dc6d0d2a4a17890a3e12bc110feed82
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:23:36 2012 +0200

    Core: Implement SetSrcConvolution() via flux.
    
    Conflicts:
    	src/core/CoreGraphicsStateClient.c

commit e84e4cb58dd448cdcadaa465beb9ae05c83a8bbf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:22:31 2012 +0200

    dfbtest_fillrect: Clear first.

commit 8ddb4fd404359208dc932d7a597a6bb00da40b65
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:21:57 2012 +0200

    dfbtest_old_gl2: Set shader float precision.

commit ef2355308a93a76658f650a6606aa9ce61ee4a89
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:21:21 2012 +0200

    Core: Debug log window events, only buttons for now.

commit cf4f347b620d9686ccfd9bc840fefd4963ad88f1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:20:29 2012 +0200

    IDirectFBSurface: Split up rectangles into groups of 200.

commit 3f4c5c15546b81fbed7ed741b28a1e5e622ba1c6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 23:17:13 2012 +0200

    egl: better error handling, dealloc textures/fbos

commit bc4a0be97a04f8285b2f330846c7d5ee0a076aa7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 1 20:06:06 2012 +0200

    dfbtest_surface_compositor: allow access to offscreen surfaces for compositing to other processes

commit 88a0fd15510ce15a208b286f0c99c5783fe0ebc2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 17:01:54 2012 +0200

    DGIFF: Fix advance by adding subpixel accuracy.

commit 4299ce53cab150085cf1b4704e9310c82d7f47cb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 1 19:21:54 2012 +0200

    Revert "DGIFF: Fix advance by adding subpixel accuracy."
    
    accidentally added a new file with this
    
    This reverts commit cd431afdb6a2e36b4896e359a02f22da1b71f50d.

commit 34ae4e669bdcb6620146749033dcab8e36dc08e2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 1 18:21:24 2012 +0200

    Core: avoid call to direct_trace_lookup_symbol_at() by calling direct_log_domain_check()

commit 661ca7511b37c63c491fd37af3222fc07745c64c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 1 17:29:33 2012 +0200

    Fusion: Avoid direct_trace_lookup_symbol_at() when debug domain is not enabled by calling direct_log_domain_check() first

commit 24511b8195addfd2190d1b813f71e27bf58bc028
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 1 17:23:00 2012 +0200

    direct: Fix double locking of domains mutex in direct_log_domain_check()

commit 01c5bcdb79b731b9a1b9bc1ed89d1a053d9fcf98
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Nov 6 14:21:07 2012 +0100

    core: gfxcard: fix locking also for draw_mono_glyphs() and fillquadrangles()

commit 2c02d006c658bee199a3fb4adf878525c53dca2c
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Nov 6 14:17:03 2012 +0100

    core: gfxcard: add pop/push identity, locking adjustments for stereo buffers

commit ba8ed06f09f0033013eb4576f87a619af57221e2
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Nov 6 12:09:35 2012 +0100

    core: remorked locking in gfxcard which led to segfaults in certain situations

commit 555ed687ee84899657c7e471f9ead1ec2f46f572
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Oct 23 12:26:08 2012 +0200

    fix build for removed linux-one

commit 6db796d22e42e442bd9fab64354d273948411a09
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Oct 22 14:48:23 2012 +0200

    remove linux-one, it has been merged in linux-fusion
    
    Conflicts:
    
    	lib/One/Makefile.am

commit b12911b56f0e719d111163fe9e0babf27b2888c3
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Oct 19 15:47:33 2012 +0200

    fusion: always flush fusion calls when shutting down

commit 156b650a56aa6b766218424da5bc5b501ecd2716
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 20 18:09:13 2012 +0200

    update changelog

commit fe1036982b1377ccae383bda683b27635c092158
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 20 18:09:03 2012 +0200

    update news

commit 7fe23b1824ea8a30a489d0474e59234ac81ac051
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 20 18:05:36 2012 +0200

    add news (fixme)

commit a3fdacdd98ec7c67350723a580cb715df1f2a384
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 17:06:42 2012 +0200

    dfbg: Add option '-p' to create a surface with DSCAPS_PREMULTIPLIED.

commit 7dc2d2fae4428f7be5157bb85fdf1422a634cff3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 17:01:54 2012 +0200

    DGIFF: Fix advance by adding subpixel accuracy.

commit 756bd70a8c55dc839b7c0bd91c455b892cc5693d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 17:01:26 2012 +0200

    FT2: Set CFF_SUBPIXEL_ADVANCE.

commit 339ff05a72e2092cda13c3d7f76157413bd1131c
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Sep 20 16:16:52 2012 +0200

    videoprovider: also support gstreamer-1.0

commit f60b70c5fe09ec75a9f104945647e497b71c8728
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Sep 20 17:00:12 2012 +0200

    Core: Fix compatibility with older font modules. Adjust advance when new flag CFF_SUBPIXEL_ADVANCE is not set.

commit df4198c3dc5bce2eea8bb4947457925a24a708af
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 20 16:22:52 2012 +0200

    set version to 1.6.2, require fluxcomp 1.4.2

commit 85e1db5c2294f2bd426edea27374c7ca124e81b0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 18 12:07:09 2012 +0200

    EGL: Support ARGB directly in fboWrite(), add fboRead().

commit 852bdba9983393486dc9472fa3a575909666ea8e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 18 21:10:25 2012 +0200

    Core: Include zlib.h where it was missing.

commit f12653151f270be449899595a506a7e6b236d1b0
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Sep 4 14:10:03 2012 +0200

    x11/input: set max value for absolute motion events

commit 267fb22b531956bf3c7e9c016f39255060993fba
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 3 21:53:40 2012 +0200

    IDirectFB: When creating a windowed primary, translate window-surface-policy option to DSCAPS_SYSTEMONLY/VIDEOONLY.

commit 29e8e9019f1b0bc7e7981e1ba54b5924d7618e10
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Aug 31 00:49:37 2012 +0200

    One: In OneAppTarget_Destroy() remove from receiving list if needed.

commit 30a5e9c29c25325f4820b1f370a2021545e438ff
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Aug 28 12:16:37 2012 +0200

    configure: Check for armv7-a in CFLAGS.

commit fe4d7318cf193b0596cd2d6fcff4f922017fcb6c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Aug 28 11:44:13 2012 +0200

    One: Use direct_list_foreach_safe() when iterating through receiving list.

commit e4a8684955a3453a2017f56584bbc14fc91fb6ce
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Aug 28 11:42:57 2012 +0200

    Core: When creating a window pass through DSCAPS_GL.

commit 92e0bc2cfd93cceb7cf817c28c5398b89f2eed25
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Aug 17 18:02:08 2012 +0200

    fusion: prevent segfault when calls are originated from non-dfb threads

commit 44b0281aec0f915849b76d865033191897b93a71
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Aug 22 14:31:41 2012 +0200

    Core: Reset flip counter to zero when changing buffer mode.

commit c5a6ab0f2c0625292f743a3696a2c16ea1de2138
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Sep 15 20:14:50 2012 +0200

    gfx_util: Avoid double premultiplication when loading an image scaled.

commit f3ec847c0fb4e7c4f4dfa08a3d9215803d7ae388
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Aug 17 18:00:26 2012 +0200

    core: prevent segfault when calls are launched from non-dfb threads

commit f858265233b4dfde0e2f7cd8f8e69fb461a1a7a3
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Aug 6 20:44:47 2012 +0200

    fonts: make x and y advances 24.8 fixed point  to fix font rotation

commit 83044751539ac4537078b58810e4b0f5563eaf4a
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Aug 2 09:24:02 2012 +0200

    VideoProvider: use FusionSound for audio playback

commit 1fc18f62bdf15d91699cc9fcb35e0ec7db2acce3
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Aug 1 14:02:33 2012 +0200

    videoprovider: make bus local, fix setting speed

commit 9776ca90e61450bc13bb57b515203aeb9d0289fe
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Aug 1 10:52:19 2012 +0200

    videoprovider: set finished when no more data is available

commit dcedfaca847eda861b31384e439a184903a49c78
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Aug 1 10:22:24 2012 +0200

    videoprovider: update curr timepos and duration during playback

commit d77752f6a52b1bd29258cf23d2c1bd615df5eb41
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jul 31 16:20:10 2012 +0200

    videoprovider: WIP set speed, scaling

commit 5d5ab0e73f7be4af1b3ae703f723a567d6645d75
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Aug 21 20:29:52 2012 +0200

    Genefx: Avoid division by zero with rotation and formats < 1 byte per pixel

commit 60c193d3afa11f100602aff40556fc86edcaee3b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Aug 21 20:21:42 2012 +0200

    Core: Set window_data to NULL after freeing in dfb_wm_remove_window().

commit 82200d85b1de52b407bc8522d99f2ea4412d82d3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jul 27 23:20:26 2012 +0200

    Util: Add dfb_regions_unite() to calculate bounds of one or more regions.

commit 6455e764deedf73221c80273d7a8c5eb5eab95eb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Aug 28 00:27:00 2012 +0200

    Core: Temporary solution for permissions not being granted to a surface from GetSurface().

commit 47f55a318580d33d1a61fb1c51938e5685169991
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jul 27 15:06:04 2012 +0200

    VideoProvider: use pkg-config

commit 611f76e08fba5559e1925b7bdadc93ac147dd2d9
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jul 25 14:47:57 2012 +0200

    configure: Disable gstreamer by default.

commit d3640018895584255331ca38c059758ff23b6e03
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jul 24 10:56:19 2012 +0200

    VideoProvider: added basic gstreamer implementation (WIP, only when --enable-gstreamer is passed to configure)

commit 0fd005b3401af4a2b41f4bb4d1b2aa12fe247527
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Jul 22 14:40:37 2012 +0200

    Core: Stub out Core_Push/Pop/GetCalling in case of single app build, thanks to Mike Nelis!

commit 435c695cd98a462e391b69643e2a55593412d3eb
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jul 12 17:47:00 2012 +0200

    Android: add switch for no-debug builds

commit b7dcd3ce8bc81c54dc53ab530a09b0318cb7b0aa
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jul 12 13:12:23 2012 +0200

    Android: force quit when core is shutting down

commit fc4a245057636ba4efee2fca8f4c7c1db4311961
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jul 9 09:42:41 2012 +0200

    Android: follow sawman.c renaming to allow build on windows

commit 9bea27836f1a52ac6641bbba5315b676e8c2e055
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jul 6 13:19:47 2012 +0200

    Android: use sawman wm

commit 4ad1edcc29cbd50bbe9145f555e91b976e59d147
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jul 6 13:15:34 2012 +0200

    Android: build in sawman wm

commit a85e0f459d05f4850d68fd960525bbfa8b8a39c6
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Jul 24 15:59:37 2012 +0100

    convert: add missing break in dfb_pixel_to_components() for DSPF_ABGR

commit 3541e029655a5cd78cd3ebfaf34107982e45e1fd
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Jul 24 15:53:16 2012 +0100

    convert: add missing break in dfb_pixel_to_color() for DSPF_ABGR

commit fa0e5f6dd2981866bb15edf396ea10adcf28ebd7
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 18:00:26 2012 +0200

    update changelog

commit 101cf9e44bc55faf3429e98e50e40c3133dff42a
Merge: 8806bb4 7a6cb44
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 17:56:50 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB into directfb-1.6

commit 7a6cb44b86c7b1446efde815ceb9e9a3a5fd0f6d
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 17:54:50 2012 +0200

    android: add add required files to the distribution

commit 8806bb4fe32f3d1d727bbe021c39d0672fc25a20
Merge: e6fcefc 074b025
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 17:19:28 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB into directfb-1.6

commit 074b0255d43ce8685a78fcfef5fd9e8b72cc7dec
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 17:19:04 2012 +0200

    build-android: update readme

commit e6fcefc85ae13a2296c9e11ef6421d7ef6b7216c
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 17:10:01 2012 +0200

    update news for 1.6.1

commit bf7fba729e3c32210750f5483d47483f96af3516
Merge: a179035 a24c158
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 16:34:25 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB into directfb-1.6

commit a24c158c67602f6249088c885db965cf9896da1c
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 29 16:22:36 2012 +0200

    Fusion: limit dispatcher buffers to 4 for async execution3 calls

commit a17903547d0ee5a4dc525e92b5d712c6d121b0f0
Merge: 2b9384b a927bfb
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 15:45:27 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB into directfb-1.6

commit a927bfb4fd7bb5e8a30ab54d57ebbd98d642b7ca
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 29 14:57:53 2012 +0200

    direct/interface: workaround for interface loading problems with gcc-4.6 on x86 and x86-64 with no debug

commit 858e8e9ef62a082d458c1b61ca5ec1c924384c36
Merge: 0ab8a8b f5938d7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 29 13:36:53 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 0ab8a8b6f0737a40e7edab14693c6144741be1c2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 29 13:36:16 2012 +0200

    direct: Reset config_options to NULL in __D_conf_deinit() after destroying it.

commit f5938d7157b74692e8db2e3eb6b14e803b9cf414
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 29 12:24:58 2012 +0200

    Android: map BACK keycode to ESCAPE

commit 7f80bd054a716f962eb6cbb53c072be067245a0f
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jun 28 18:26:31 2012 +0200

    Android: handle all keys defined on android

commit 88c324ec2a623a73f96f2375f89afd05d799b291
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jun 28 17:48:37 2012 +0200

    Fusion: always check buffer status after wait condition was signalled

commit c490a04e4b6b3e024430c1d94f27e2dec8ec08b9
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jun 28 16:40:30 2012 +0200

    Fusion: cleanly stop dispatcher when exiting

commit 8cea3ded867b96052572a4c18a29f171146a96a5
Merge: bb3b5e8 71adea4
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jun 28 14:44:40 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit bb3b5e8890ab5eb3501e8e15a3e79e6a82b2d007
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jun 28 14:44:03 2012 +0200

    Fusion: chen if buffer is valid after wait condition was signalled

commit 71adea480892069c689bec9e3514d23393811de1
Merge: 6efdf2a f4eed43
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 28 12:13:37 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 6efdf2ab53edb114d049f483955a33be17267957
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 28 12:12:24 2012 +0200

    core: in  dfb_gfxcard_drawstring() check for  DFDESC_ROTATION) before trying to access CoreFont::description.rotation

commit f4eed43d553c7297f3363d6d72cdf2ae6e835daf
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jun 28 12:10:13 2012 +0200

    Fusion: decouple dispatcher buffers, add the ones to be removed in a separate list to not block processing of events in next buffer

commit fea25333d9a3d8d8f9eedfef214a18f0865a28ff
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 27 19:56:29 2012 +0200

    Fusion: added more useful outcommented debug messages

commit d44769b93671c1f4a948b84365a3c4cfaa46c73d
Merge: d483252 98b764c
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 27 19:14:53 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit d4832520e9e51bb956b9d13948d4f62bd8e77dc3
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 27 19:13:59 2012 +0200

    Fusion: also wait for all async calls until freeing the buffer, still debugging dispatcher...

commit 98b764ca5a5bc89d5c197a9455c2d9973d1114f3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 18:02:42 2012 +0200

    Core: Fix pointer being used instead of ID when comparing current with last allocation in acceleration code.

commit abcce465b35947a3a53a37240df4218812b8b015
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 17:52:15 2012 +0200

    Core: Check surface identity when looking up surface.

commit ee552ef25f29df0efe4660689a204653764f09b0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 17:31:58 2012 +0200

    GLES2: Few more optimisations.

commit 8959b8ca95d39cdc27d17487c400a471ab7a52f8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 17:27:08 2012 +0200

    dfbtest_flip: Add test for frame or time based animation using double/triple buffering.

commit 7f5ab932bd3d9523f89512b102e0418af936aa90
Merge: 4f7ba91 bfff4ed
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 27 16:51:21 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 4f7ba91a5b8f5bdc920e96f35df5c3eb8dc403d3
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 27 16:50:26 2012 +0200

    Fusion: add reference counting for synchronous call pending in despatcher to avoid freeing call buffers too early

commit bfff4ed478604e29bd12666695e8bc535e46823d
Merge: b221c75 c09771a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 16:46:54 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit b221c75c982ae92aa47f76a6144846748733b673
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 16:46:33 2012 +0200

    Core: Fix preclipping for rotated text.

commit 2b9384bd67e3590ef6fdc25e38cb0675f8e85cf1
Merge: 0a44b4c c09771a
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 27 15:26:08 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB into directfb-1.6

commit c09771a79ac103903166dab3a9ec460411c0fea4
Merge: 37666f2 d0d4e23
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 14:28:51 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 37666f2b2d0e5d1770bea822a16ba57ef5371cf7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 27 14:28:30 2012 +0200

    EGL: Make pool use FBOs for now.

commit 0a44b4ce72ee79fc8933accb42017c4f021e6e6a
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 27 14:06:50 2012 +0200

    version: 1.6.1

commit 9fb4ee2de1885c63f7208485d9bf3f6cfcdae887
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 27 14:05:55 2012 +0200

    Revert "version: 1.7.0"
    
    This reverts commit 53e9c7eb008967496daf11460ef19930ad52b7b7.

commit d0d4e239c4fb317f630235f61943beb82f533148
Merge: c69ed50 e70e86c
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 27 13:21:03 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit c69ed5011ed24b3a2c167041034e9e375ad2d75b
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 27 13:20:15 2012 +0200

    Fusion: make reactor_free() asynchronous, added debug

commit e70e86c3412a4e7305d657587dcefa5597169fb8
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 27 12:56:18 2012 +0200

    build-android: no longer use ANDROID_USE_FBO_FOR_PRIMARY in df_window since we use full screen updates

commit d21f61b80b6a9bfb58161032bc2e6b1ed967686e
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 27 12:29:50 2012 +0200

    android: add workaround for SGX

commit 1b9fbc69972798902837456692dd265bc27ec422
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 26 14:39:57 2012 +0200

    Android: force conversion to ARGB if no public config gets returns from Bitmap.getConfig()

commit 5fe6e21d322424b6267c77e0559278ee884ecefe
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 26 11:12:45 2012 +0200

    Android: add a new surface pool which uses GRALLOC with software fallbacks. Stripped the old FBO pool to use a texture without SW fallbacks

commit ca5a97fa014948f79337027865d2ed81699f95fd
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 18:46:14 2012 +0200

    Android: move glFramebufferRenderbuffer back to allocation again

commit b83df0637c64b7d633eb13274e60e25547dc395b
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 18:33:56 2012 +0200

    Misc: added [no-]wm-fullscreen-updates option

commit d538d30e12c8c2c5552a887b7e8217f1af2578f2
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 18:32:50 2012 +0200

    GLES2: added GL debug

commit 261fae6f203698dcf0e216a69083ed5af4d6e180
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 18:32:15 2012 +0200

    Android: added GL debug

commit df38d85a9cc73238027b1c0932074836d836a8ba
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 16:32:28 2012 +0200

    Android: refactor render buffer binding (WIP)

commit 36f6e045902a405f7d374cd24df5a6a46eac01de
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 16:29:32 2012 +0200

    Android: added update region callback to layer

commit 81f1a28ee0954346d6a2c28dd539c4610c7d559d
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 16:26:14 2012 +0200

    WM/Default: enable fullscreen updates if desired

commit 2424f0d81cd55fb5c21876009aa6fe0610b4be72
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 16:24:54 2012 +0200

    Fusion: align single-app dispatcher calls on 4-byte boundaries

commit 82c40b413d3395435fde2db11ace175da0db34bb
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 25 14:15:32 2012 +0200

    Android: fix event handling (button up/down need to be prefixed by motion x/y)

commit 0d6ae4cca0b1bab80b7a22d78e87b7907f344316
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Jun 24 00:11:10 2012 +0200

    GLES2: Several optimizations, fix FBO/Surface upside/down for all.
    
    - Don't glFlush or glFinish (may still be needed on other platforms!)
    - Implement gles2BatchBlit to avoid sending too many glDrawArray calls
    - Disable depth buffer reads/writes in case a depth buffer is attached
    - Add separate program for non-color modulated blits to avoid a multiplication
      in the shader for simple blitting

commit c949379f819a01e02ce20fc4643d13f0200a3080
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 23 19:51:46 2012 +0200

    EGL: Allow other buffer modes.

commit a8aec369b08b0173e7b693732965bab27e8e27e4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 23 19:51:14 2012 +0200

    EGL: Fix CFLAGS and LIBS in Makefile.am.

commit 1105aa3cbf6a447f5e49bf2a8475a5dcd5c58f81
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 23 19:50:21 2012 +0200

    Core: Call InitIDirectFB_Async() synchronously if 'always-indirect' is not used, fixes calls from non-main in master.

commit 2f47d3c08a105904b6f8409478dd8bc4ceabe07e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 22 17:19:16 2012 +0200

    Fusion: Fix multi app build, changing BUILD_MULTI to FUSION_BUILD_MULTI.

commit 8e14d1b8c9b8e5fff183b901c7552f1f32974425
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 16:47:29 2012 +0200

    android: crash application on purpose when we loose focus.

commit d2d1ecc82f8bf0f6c7432068b813b59a43ebe78f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 16:35:47 2012 +0200

    android-build: fix typo

commit 8c03fb3af9c896ab7591607cdaeec6281082a004
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 15:23:19 2012 +0200

    Fusion: terminate dispatcher for single-app

commit 1d1de46757c0ae66da26c6701b51f8d71246433c
Merge: 5307bea 92175b6
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 14:59:12 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 5307beac53aa56aa0f22458a06a9cededd1805f8
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 14:58:54 2012 +0200

    build-android: clanbomber2

commit 92175b62bc5b84a28886b5343a0ac133b0003601
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 14:36:42 2012 +0200

    Android: always need ALWAYS_INDIRECT for android

commit fb2a8f2228f0cb244c4c8315ec4820e26d00902c
Merge: 57552f0 67d34d1
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 14:34:10 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 57552f0f37f913c6d44d7aae21eafc653a0a12c3
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 14:32:27 2012 +0200

    Fusion: add weird hack to workaround a memorycorruption?? problem with empty structs

commit 67d34d18f9f3a3e3520188b3f52cf0f779a0649b
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 14:29:46 2012 +0200

    build-android: fix CPPFLAGS

commit 821c952c5b0cacc089d5ab095c19aaf1fa36b044
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 14:23:42 2012 +0200

    build-android: fix df_window

commit 7637fecf17f7295fa908fd2bd9dc67150ad2b4b5
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 14:10:05 2012 +0200

    build-android; add df_window test, symlink common files

commit 4c605f1c7a51df25aa27089069617e63dc76d847
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 13:59:45 2012 +0200

    build-android: add more missing files :(

commit a49b7a2141a5107ce899c82c1709a4243f50d863
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 13:57:37 2012 +0200

    build-android: add missing files

commit 794d8e02023cda446e71a62547dc1617eb92049d
Merge: 52dfaaf 568290f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 13:55:09 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 52dfaafca48253a9c53c0448810c1b542ee19e4d
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Jun 22 13:54:35 2012 +0200

    build-android: create a df_andi project, move common stuff.

commit 568290fe0ce1be4301b7230f7ebfd7711d008936
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 12:25:43 2012 +0200

    Android: remove some debug, add (EGL_ALPHA_SIZE, 8) to EGL attributes

commit 379e4424d8f78f0e4e5103c340453aa6febd7ae4
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 12:23:53 2012 +0200

    Android: remove handcoded screen dimension and use the real one instead, remove some debug

commit 6f3e6b80ea9598c928de3a2a12207767c5debf66
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 11:07:15 2012 +0200

    Android: free native buffer and close gralloc HW devide when deallocating resources

commit 647bb46584c0144062fa50f2fabad34e7bc59bb2
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 11:06:37 2012 +0200

    Fusion: turn some debug into warnings

commit 2471f40f5abe8d437c51788547aca03ccb721362
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 10:37:54 2012 +0200

    Android: remove buffersize*2 hack

commit 3370d2fb9f65509d596815b4b0aed855f4dea7a9
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 10:36:32 2012 +0200

    Fusion: remove debug

commit a64fd9b94127cf58365b95d2971184993d76ce0e
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 10:19:58 2012 +0200

    GLES2: fix build without FBO

commit 6f02d59fcfed01bc2439b2a177de95077113dbdf
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 10:16:53 2012 +0200

    Fusion: add dispatcher thread for single-app which makes always-indirect mode work

commit 3adf142d3b198de070f9b5db0af7e045dc47f85c
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 10:13:53 2012 +0200

    Android: pitch can change after ->ARGB conversion, respect this

commit 53ca90a062d01aeff7e3e973a5eb855a57264c1e
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 08:49:28 2012 +0200

    Revert "Android: pitch can change after ->ARGB conversion, respect this"
    
    This reverts commit 434a96c8f7600408a0333ada153ada780e3c8941.

commit 434a96c8f7600408a0333ada153ada780e3c8941
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 22 08:45:32 2012 +0200

    Android: pitch can change after ->ARGB conversion, respect this

commit 33bca1c51acd4c5a291d979211341842c99c97c5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 20:40:18 2012 +0200

    configure: Include GLES2_CFLAGS/LIBS also with EGL system.

commit 67cd852f9b8d63a0276649c8fd02b078cdc57962
Merge: fece24b 2a08f13
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 18:17:24 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit fece24bfc8d2a847b59ec921185ba3665227ecff
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 18:16:51 2012 +0200

    Fusion: Fix single app dispatch cleanup by calling it.
    
    Fixes cursor motion in single app mode.

commit 2a08f1392e87e50b9464804affe3867d62b5aa29
Merge: 5727a49 a072353
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 18:03:18 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 5727a49caa76158cd192efb8ead48fcf2973df99
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 18:00:39 2012 +0200

    GLES2: Invert clipping coordinates when not rendering to an FBO.

commit a072353fc01d5421622239b0e804c8e520a02eab
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 17:18:18 2012 +0200

    android: only use extra fbo for primary if ANDROID_USE_FBO_FOR_PRIMARY is set

commit 2134307f91376191fe94f585c854fa628fbe9603
Merge: 3bc89d1 071a303
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 17:01:07 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 3bc89d1ea61a9a9f108cc40f1583429e3f1c3cd9
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 17:00:33 2012 +0200

    android: no not hardcode resolution, pixelformat. workaround for imageprovider (fixme!)

commit 071a303d81c477b77a5ee2e37694ad421e93732d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 16:46:14 2012 +0200

    GLES2: Fixes, cleanups...
    
    - Fix texture filter setting, moving it below source validation, setting only accel.
    - No need for GLES2_INVALIDATE(ALL), please test on other platforms.
    - In gles2EmitCommands() check for calls > 0 instead of higher threshold.
    - Use dfb_simplify_blittingflags() to support certain flip/rotate combinations.

commit 619a76a9f546fb07a029c4c0131f7a6f2293a364
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 16:16:34 2012 +0200

    GLES2: Add CORE_CARE1 to supported systems.

commit d491eadc0d18a2191294d16bc5538d68c8b310b3
Merge: 30a818a 4d5eac4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 16:02:01 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 30a818ac2fe6900eb492a539c3b7b7abddd6bc97
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 16:01:45 2012 +0200

    GLES2: Fix weird merge...

commit 4d5eac40433b3f49f61d98f4433bc38a3dc737b2
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 15:58:22 2012 +0200

    android: fix typos

commit b4268cc42a15c102e34c755cacde715310850cf3
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 15:55:13 2012 +0200

    build-android: unix line breaks

commit 5f4a208fc54f951f063d40f280765aa59fc82580
Merge: c2fccb5 01be8d1
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 15:53:22 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit c2fccb577e3e6a30cdd21cfa9b3e921eebe0c77d
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 15:52:20 2012 +0200

    android: add various defines for better testing

commit 01be8d161717a8f02c1da3ba4f5d7cf0cfb5871b
Merge: 2778323 78d9c8e
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 20 15:49:53 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 27783235b603410203d36ea4102da86931a5915b
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 20 15:49:29 2012 +0200

    Android: missing include

commit 78d9c8e6f961c83f48259b8dd1a673cd0cca30a9
Merge: 806c22b b34dd08
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 15:49:14 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB
    
    Conflicts:
    	gfxdrivers/gles2/gles2_shaders.h

commit 806c22ba1c1cd0460c541c7b904371275983b114
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 20 15:47:12 2012 +0200

    GLES2: Put color multiplication onto same line with gl_FragColor assignment, blending speed up by factor four!

commit b34dd082196e2090fb4e1865deadf20dceb35cb5
Merge: 8aff3cf abe91fe
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 20 15:32:50 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 8aff3cfdd92672ff3e748b80bd297678dc41df78
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 20 15:31:52 2012 +0200

    Android: improvements (WIP)

commit abe91fe608ec3e85d3412646b9c357425cf81162
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 20 14:21:04 2012 +0200

    build-android: rename generate.sh to prepare.sh (now fetches and untars freetype2 for android), add freetype2 sources to makefile

commit 780230a32a1399751ee1b522431a68a4d2917198
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 19 09:50:16 2012 +0200

    GLES2: mirror y-coordinates for primary

commit 7ab3f1c528cec45f86cc43f2457c6c05a681b34a
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 18 18:03:13 2012 +0200

    Android: code cleanup and beautifications

commit f9c5590bc18b67c5ed35a7adf4998171e1dd2099
Merge: 5a58a44 665c5a8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 18 13:53:56 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 5a58a44ab516b10b6677dcdaac6221efc8cc1128
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 18 13:52:36 2012 +0200

    PVR2D: Add support for DSBLIT_BLEND_COLORALPHA, thanks to Takanari Hayama.

commit 51ca5142abf43fad78979daae65d4e7f26a9ec89
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 18 13:52:27 2012 +0200

    PVR2D: Fix error by making sure source rectangle is at least 1x1 in pvr2DStretchBlit, thanks to Takanari Hayama.

commit 665c5a82dddd530712a0b9c72ee28ac7022e1190
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 18 11:13:07 2012 +0200

    Android: fix image conversion to ARGB

commit f20446287f386f5a326f15e0c5cadcc8b66d57ed
Merge: 2ae8f28 a0a658f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Jun 17 19:52:28 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 2ae8f28831ab0f48c299b578a58d384741ac0ec2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Jun 17 19:52:19 2012 +0200

    version: 1.7.0

commit a0a658f16680c2b3fc2e685397119d6419602338
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 15 17:53:35 2012 +0200

    Android: use gralloc for native graphics memory; cpu access to data working;

commit c9e8a299e2add03188afb9d0d85a346bd47134e6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 15 14:18:30 2012 +0200

    Core: Set async attribute for CoreSurfaceClient::FrameAck(). This helps especially in always-indirect mode.

commit 5752a45242cef23328cd874d3b6d886fee0d48e3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 17:56:35 2012 +0200

    android: Update EXTRA_DIST to include all sources.

commit 67003f534e6275997a4d1f4373811264febe9af4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 17:54:40 2012 +0200

    debian: Update changelog.

commit 315d821d739bdd000b4810e8cf95509af16682ea
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 17:23:50 2012 +0200

    linux-one: Reset magic values to zero after non-zeroing malloc.

commit 94b82934be63a872524641f3f1c7d5261736c8ef
Merge: 267b11c 821510e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 16:21:46 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 267b11cf6a521fbac7c013cea9471522ece4caea
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 16:21:26 2012 +0200

    NEWS and ChangeLog for 1.6.0

commit af28c6d4ae2ca0775f3196ff8c7202663096c103
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 16:19:18 2012 +0200

    Core: Allow master to render to all surfaces even with always-indirect.

commit 821510ec03e6b146ae7f10a3eb5bdcb8d0f80141
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 14 15:14:15 2012 +0200

    android: add F key mappings

commit 4ba9cc7536db5029fb36c4e8b968103756043159
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 14 14:57:00 2012 +0200

    gles2: workarounds for some gl drivers
    
    now clanbomber2 works flawless on my galaxy tab 7" :-P

commit 120bbb9d73acf8b79c2dbbabd9757c1270449969
Merge: af3170f 601c3d4
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 14 13:54:38 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit af3170f99a5bf2a2cd32d15979af3f5c778eb4f1
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 14 13:51:59 2012 +0200

    mesa: better cleanup.

commit 601c3d45346f358a29a71fd5ea1225cc33792d0e
Merge: bdf0ad0 8d3b774
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 13:24:06 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit bdf0ad0edcad1bbb486d78367fba7d883468a52e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 14 13:23:55 2012 +0200

    1.6.0

commit 8d3b77492ca8f3b4d8697d9892821b7960621e1b
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 13 22:01:54 2012 +0200

    android: do not ignore "non-system" key events
    
    now clanbomber2 works with a nintendo wii controller over blutooth

commit 265fcde2606ddfe21cc420daabac15b9fab2ca2c
Merge: bd893b1 201569c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 13 18:49:59 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit bd893b1aa83f36710140b8568b03a611d91c5166
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 13 18:49:41 2012 +0200

    Core: Add CoreWindow::GetInsets().

commit 201569cb57dc4b91159faae4bd8f3854782ba4f1
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 13 15:47:56 2012 +0200

    Android: Clanbomber2 running on Android :-)

commit 61e03e85c5fdcb2d027284b2933e4f40987cbf10
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 13 15:47:11 2012 +0200

    Android: SurfacePool: Fix unpack alignment.

commit 5bda741d7aaa6ea84fe6948caa9abc1841b0c897
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 13 14:23:31 2012 +0200

    Android: SurfacePool: do not do ARGB->RGBA conversion

commit e16a66f4cb49aa635687f9be7807484684ef0d30
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Jun 13 11:43:51 2012 +0200

    Android: ImageProvider: improve error handling and avoid memleaks

commit 0b0cf6716be3b1e294a43a6daecf7383218c1512
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 12 18:56:08 2012 +0200

    build_android: update makefile

commit fe598650d7b4f87e94d809d32e3679156bfe14f4
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 12 18:50:31 2012 +0200

    gles2: enable validate_SOURCE for android

commit be656aee06f49f3b6595a0bda9a0418f5a96d4ca
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 12 18:48:15 2012 +0200

    android: fix keyboard mapping, add new fbo pool

commit 2f30dbfd5c5089fe21e90ef0325982f1e13ae668
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 12 13:37:17 2012 +0200

    Android: fix image decoding

commit 1a6654acf7e84ffab377b517dd694c1cbb5d8be0
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 12 13:29:06 2012 +0200

    Android: use native_activities' JVM and APP_PATH

commit 3fb430ddd35a14a3a63c5b9f30269a8919ccbb8b
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 12 13:26:15 2012 +0200

    Android: added r/w permission from/to external storage

commit 1d9a8a8896aebb7265d1de4e7525732b8a626cea
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Jun 12 09:34:02 2012 +0200

    fusion: remove debug message which broke single-app build

commit d3c47fc2aa7ea5909721186dd5e5297648c29797
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jun 11 20:50:53 2012 +0200

    mesa: initialize mutex before fix thread creation

commit a8fa6c1e6c0be4dd05a51fc650b4424fbb07b9f6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 18:21:36 2012 +0200

    gles2: use ARGB again for fonts

commit da0569ba8c9bc985f5077ebef61bd3db40073017
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 18:08:49 2012 +0200

    Revert "create ABGR cursor if mesa"
    
    This reverts commit cf6878b79e02e711954f20e02ea134721e36b290.

commit b8a59ba399c6c92fabc29e47733d8fb6810ed7ab
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 18:07:49 2012 +0200

    mesa: rework flipping handler, switch back to ARGB

commit cf6878b79e02e711954f20e02ea134721e36b290
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jun 11 17:00:51 2012 +0200

    create ABGR cursor if mesa

commit 54579cfa7959e57089fa90427d40ff63ddb341d4
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jun 11 16:52:15 2012 +0200

    gles2: do not check pixelformat, set font format to ABGR

commit 61cf2111fcaf33f38fb9044ffdb25e5ad850311d
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jun 11 16:46:24 2012 +0200

    change pixelformat to ABGR

commit 3aa41d5f8445d288201b1627229a45f02aecf184
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 16:43:07 2012 +0200

    Mesa: Use page flip handler, WIP.

commit 599efc8d806a24b315f4c5b0ee0d35cba47e3226
Merge: 8460c38 5d85894
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 15:09:10 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 8460c3866901192cd764365bd769ee2ebf90961b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 15:08:21 2012 +0200

    mesa: better debug output, fix alignment problems, fix sandy bridge support

commit 5d85894750e3d7dc9f0140f9d54f2a480b3cbbb0
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 11 15:05:17 2012 +0200

    Android: fix debug build and added some more debug.

commit bad78dc55c6c5384c0e2891a4e9ad3105811e3d4
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 11 13:18:05 2012 +0200

    Android: also handle buffered streams in imageprovider

commit b18ca843b83b06392a41600fdd24d2e29bc822f4
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jun 11 11:27:13 2012 +0200

    fix another warning

commit 89c6f88519aa8213a3a7e741f029c0f68a2c0472
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 10:30:30 2012 +0200

    GLES2: Use GLES2 headers/calls...

commit 70a8349c107776de642378e65a2559c4a4dd04f2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 10:29:45 2012 +0200

    Mesa: Use GLES2 context, fix typos GL_FRAMEBUFFER/GL_RENDERBUFFER, other fixes, removed warnings...

commit f1eb8bc71fee64b94ee25e0b59749a9c73560dfb
Merge: e871d0f 521d08d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 09:56:14 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit e871d0f051a8b4b21e8d63f7c1d268b72a09a137
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 09:56:01 2012 +0200

    dfbtest_windows_watcher: Print cursor flags.

commit 521d08d1ec127a937f0df9c4c5dd5ff4bf53c30b
Merge: ebb06ad b4ab33c
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 11 09:52:01 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit ebb06ad9c1b30001b22a529ed8a34a2052b0fa89
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 11 09:51:23 2012 +0200

    Android: add basic exception handling to imageprovider

commit b4ab33c919e60e13f0d3494ac52a093c5ccc3e2a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 09:51:06 2012 +0200

    direct: Use primes in DirectHash resizing.

commit 217bc739d76eda5123252bf96a92630f795b835b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 11 09:45:49 2012 +0200

    DFBWindowConfig: Move 'stereo_depth' to the end to keep compatibility.

commit 8e0014d06e77425da283b0ce378e8a79d07ea3e3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 9 05:16:18 2012 +0200

    InputHub: Fix error in debug mode.

commit 065b5b7e8fd60eb220015c0cb28c42b0b91a7f49
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 9 02:42:17 2012 +0200

    util: Fix dfb_gfx_copy_to() that recently got broken.

commit 0c342339c0cceb5bf5d0fdf3c275d8963f7b40d0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 9 01:10:46 2012 +0200

    util: Add dfb_gfx_stretch_stereo().

commit 174f7c17820a523fc6e228c697eb3ee91842e500
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 9 00:53:36 2012 +0200

    IDirectFBInputDevice: Add DIKS_PIP, DIKS_SWAP, DIKS_FREEZE and DIKS_MOVE.

commit e6cf696ccfb2d4f437558b712f958fa6e18d6a08
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jun 9 00:35:39 2012 +0200

    IDirectFBSurface: Add DSPF_LUT4 and DSPF_ALUT8. Only definitions for now.

commit 13b2810f130216fc30973cfcf403ccb358dd0f53
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 23:29:11 2012 +0200

    Graphics: Add CalcBufferSize() to graphics driver API and call it from dfb_gfxcard_calc_buffer_size() to override default.

commit 2c50b047db36f6bec0e2c9863cce085c9ecbf9bf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 23:17:14 2012 +0200

    IDirectFBScreen: Add DFBDisplayAspectRatio in caps and config of encoders.
    
    Add DFB_ASPECT_RATIO_eAuto, DFB_ASPECT_RATIO_e4x3, DFB_ASPECT_RATIO_e16x9.
    
    Add DSECAPS_ASPECT_RATIO.
    
    Add all_aspect_ratio in DFBScreenEncoderDescription.
    
    Add aspect_ratio in DFBScreenEncoderConfig.

commit d6baceeee7fd5f41735a7fd5d2e05e78cbd94c08
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 23:14:33 2012 +0200

    IDirectFBSurface: Add DSCAPS_GL to indicate surface data is stored in memory that can be accessed by a GL accelerator.

commit 58d0778650d23257fe21e3b3105b50d4d8e5690c
Merge: 261ca52 fa801fc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 18:29:18 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 261ca5261ecabbd1fdd68f8def57430c6b4b9193
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 18:28:44 2012 +0200

    fusion: Add runtime option 'fork-handler', the new default is false, to avoid using pthread_atfork().

commit fa801fcf588c458a84493f85cc5f24d7acf87fa0
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 8 17:31:52 2012 +0200

    Android. try to automagically convert the image to ARGB before blitting to surface

commit 81d21d5701f2a5779c86a15e9fda14ca78c1e194
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 8 15:49:13 2012 +0200

    Android: implement image provider for android (uses JAVA BitmapFactory to decode images) (WIP)

commit b9b190307b1bda2b02be8e376726c1b039715d2d
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 8 15:44:34 2012 +0200

    Android: implement image provider for android (uses JAVA BitmapFactory to decode images) (WIP)

commit 60e55ba8121e903c46013dbab0a93d7a3263481f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 14:36:04 2012 +0200

    InputHub: Allow input hub service to start after client.

commit b309f0dc023b08b3575ac57ac49a46ff3e878191
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 11:47:58 2012 +0200

    Core: Fix wrong types in pointer/unsigned int calculations.

commit 64c767ecd5bc324524d8875c32bdbc3ef5a72dbc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 11:44:36 2012 +0200

    x11: Avoid GLX pool being used when accelerator is 51 (for virtual2d).

commit 9e8e299a81831cbc0f321519e4c50bc9a3a2b41a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 11:44:07 2012 +0200

    direct: Use direct_list_get_last() in direct_config_get_int_value().

commit 0549ef88fe3baaefbd2bef26b24016d133705ad9
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 8 11:43:36 2012 +0200

    direct: Add direct_list_get_last() that just returns the first elements 'prev' pointer.

commit 2099937e40500966cfc4b9bd7b78fe145f8f9455
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 7 23:14:43 2012 +0200

    fix warnings in voodoo and one tests

commit 7efd64bc8c78f52fa24c69314649538ae4deb94c
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 7 22:51:11 2012 +0200

    fix warning in single application core build

commit 3e460fe4335f98f8587c8e188127e716e9acfc43
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 7 22:37:40 2012 +0200

    fix remaining warnings when compiling without --enable-debug on 32-bit

commit 53c5c9e09ce4622d36dfe3f76623c63accfdd946
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 7 21:28:22 2012 +0200

    IDirectFBSurface: Fix missing initialisation of src_eye.

commit 6e2cc2a2f7a7091a401470b8e269142ae7baff83
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 7 19:04:28 2012 +0200

    Core: Remove trace of trace in soon to be replaced code.

commit a75c7c2dbc04d6dc64304f01d2aa0f08b72ab1b2
Merge: 70b3190 eb11b09
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 7 18:46:48 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 70b31905d1ffd81d9f9a8c9f2fc3138dbc2a060f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 7 18:46:29 2012 +0200

    fix a lot of warnings in non-debug mode

commit eb11b099bb35fff601310a9b90b94aa97025c34a
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Jun 7 17:53:41 2012 +0200

    Android: Process input events (WIP)

commit 3ff8dd15acffeed60b1850523ba25f8b60675883
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 7 17:21:44 2012 +0200

    fix merge

commit 515938edee4e1923f4b00731fbeff8ad329bbc41
Merge: d732800 13d7ea2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 7 16:09:57 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB
    
    Conflicts:
    	src/gfx/util.c

commit d73280093ebe0858290fbb8c4bd290e8b873b52f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 7 16:07:52 2012 +0200

    Core: No longer use dfb_surface_set/get_stereo_eye() outside of surface.c (remove there soon as well).
    
    The left/right state is part of the graphics state now. Two interfaces can have different settings now.
    
    Works also via secure fusion.
    
    And should avoid some race conditions that had been there...
    
    Add dfb_gfx_copy_regions_stereo(), dfb_back_to_front_copy_stereo() and dfb_gfx_copy_stereo(), remove dfb_gfx_copy_to_stereo() again.
    
    Add CoreGraphicsState::SetFrom() and SetTo().

commit 13d7ea2a29d994a3b7b240b50aee6c1adeb7ef0a
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 7 15:52:19 2012 +0200

    fix warning

commit c8bf2724b676ea6ff2406a454a109341cfaff2e5
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jun 7 15:31:18 2012 +0200

    fix a lot of warnings (all with --enable-multi --enable-debug --enable-trace on my 32-bit machine)

commit 98f719f3bc4a572e7bc6720521e0430ec44e04e9
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jun 7 00:15:07 2012 +0200

    IDirectFBWindows: Add UnregisterWatcher().

commit 5e57455ee09af3360ea2e00d309ee73e3e866e93
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 23:47:06 2012 +0200

    X11: Add RGB16 output format support to stereo updates.

commit b240367f6bb7647f58f43293718c86b6acdcfb32
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 23:32:55 2012 +0200

    Core: Remove last Skirmish! Add Clipboard methods to CoreDFB.flux and make clipboard core skirmish a mutex for secure fusion.

commit e7e629d3af5f624c10d5bec8df99af3dafaea638
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 23:31:01 2012 +0200

    flux: Require version 1.4.1.

commit 8c4d4daf42f5ca87fc4cebf394cd1b5372acd7cd
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 22:53:38 2012 +0200

    debug: Print each pools access/types in dfb_surface_pools_negotiate().
    
    This helps finding out why no pool has been found.

commit 07686e9bc4b9032c216e30da1b0b828f72cd147b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 22:51:58 2012 +0200

    fusion: Print zombie warning per object and only if refs > 0.

commit aeb519b6fa3d19fd6b9d0852d68abc8ea7dd0e7c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 22:22:47 2012 +0200

    Core: Fixes for DLBM_BACKSYSTEM regarding stereo and recent flips++ change.

commit 524b176ae69175b2a409c0b80e91dc6f8be8b40a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 22:22:10 2012 +0200

    debug: Print role in region_buffer_lock().

commit 2a8c92817210baa3ba170fb7a8f56cf5da39ae78
Merge: 05bb8a4 e71237a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 21:55:43 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 05bb8a4b6f4e89f3750649c6e75f6e3a7b7894c1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 21:55:15 2012 +0200

    fusion: Fix another check for remaining objects in fusion_object_pool_destroy.

commit e71237a27aa0c751e8b8f23d8cb7b159f7c21982
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 19:24:05 2012 +0200

    direct: fix world session clock offset

commit cc72542688678ddc928dfd5b4ee2e29d6a0184b5
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 18:26:11 2012 +0200

    core: avoid reference count for top-level-windows

commit 9d20883ba0b3232703849b5743525e66106dedd5
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 18:22:53 2012 +0200

    voodoo: create window surfaces videoonly if window policy is videoonly

commit 31c6683ada4087327cea915d5acd8605d5bc21bb
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 18:20:58 2012 +0200

    core: fix flip count not beeing increased in all cases (for the layer driver)

commit 90a8c1d647f249897cf67dd96b308e182741191f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 18:18:59 2012 +0200

    jpeg: use JDCT_IFAST if DIRENDER_FAST is set via SetRenderFlags()

commit 27894b6ad56298ab7934e3ac033473dcd5048202
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 17:41:10 2012 +0200

    imageprovider: add IDirectFBImageProvider::SetRenderFlags()

commit 7ec30f998b19f10ab9bfedb7eb56730a854b94bc
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 17:06:23 2012 +0200

    core: add missing dfb_surface_pool_prelock() calls to allocation_update_copy()

commit 016f75163f7f16aca137350e2ecf830cac57e1dc
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 17:03:10 2012 +0200

    linux-one: increase max packet size to 32768 bytes (from 16384)

commit 0ae9c0b31f5987784c9c3f021f6c271743536976
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 16:49:23 2012 +0200

    One: add (disabled) workaround for OneQueue_Receive()

commit 76f3999c6fb846953576b22150209cd258f95ff9
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 16:13:14 2012 +0200

    Core: return in Pre*Buffer() if surfaces are already destroyed

commit 3566fc558fdf9edff2c259d3e9e3799f5d7fd6a4
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 15:53:04 2012 +0200

    libdirect: add direct_thread_get_name()

commit f7e1c25443097e2c0e1dee9dfd0a72a7fb6b0f59
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 15:47:35 2012 +0200

    core: in dfb_surface_dump_buffer() dont call dfb_surface_buffer_dump() in surface has no allocations

commit feb97583a008ccd8a319601d081f41a1280b641d
Merge: 07ff9cb c9902bc
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 15:44:19 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 07ff9cbca50232b5192693f289129bba9f462a26
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 15:42:40 2012 +0200

    IDirectFBWindow: SetCursorShape() accepts a NULL-pointer fot the shape surface to hide the cursor

commit c9902bce5b09d18fa42cd14779dd9dc7481b38cc
Merge: 63a2c77 b254215
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 15:38:09 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 63a2c77d0c863764fbc862296a6d7eb509af7ee3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 15:37:55 2012 +0200

    debug: Print surface size in dfb_surface_pool_bridges_transfer().

commit d45117a6ebbd70d757517c373de842804a70c15a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 15:36:47 2012 +0200

    configure: Add PVR2D_ to GLES2_ and allow GLES2_ to be set externally.

commit b254215c1a71a453cb26598aebed460053354525
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 15:20:35 2012 +0200

    config: add cursor-resource-id and cursor-videoonly options

commit c6f057207a1a364293646e096f9ed500eafb79f0
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 14:18:27 2012 +0200

    option: add input-hub-service=<qid> option, input hub service is not started if it is not set.

commit d66edaecb427645f7429585bea00bb4bf279be63
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 14:06:04 2012 +0200

    egl: commit completly useless experiments, just to have them somewhere

commit 189023be3560b5c3fbca89ca70c903f357c7c24c
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Jun 6 12:34:44 2012 +0200

    mesa: add CSCAPS_SECURE_FUSION and CSCAPS_ALWAYS_INDIRECT to system flags

commit 23b2bd94efb2254a351bb856a80bac136626e606
Merge: 2eddc00 e755e7c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 12:32:37 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 2eddc00789effb27426814edd8c503e18b5cdc45
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jun 6 12:31:58 2012 +0200

    Core: Add CSCAPS_SECURE_FUSION and CSCAPS_ALWAYS_INDIRECT to allow system module to force those options.

commit e755e7cbe96e026fb3f047f974db5a2728a17b98
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Jun 5 17:25:40 2012 +0200

    core: fix dfb_core_destroy() logic which failed if there were multiple references on the core

commit 5e36a472c7675afe256bcfa4ecdd958d5d2df1cc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 23:12:00 2012 +0200

    Core: Use fusion_world_set/get_root() to replace shared field in arena.

commit e61dcc27b3f7763dce70feeb85d6ea97fc4da1c7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 23:11:07 2012 +0200

    Fusion: Add fusion_world_set_root() and fusion_world_get_root() to replace shared core field in obsolete arena.

commit c3a0c7befd0642c785eddf8c7f8ca332d52aab72
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 23:01:37 2012 +0200

    dfbtest_clipboard: Add test for clipboard methods.

commit 85233b1964a7f3628990a5e15840cf722b36656a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 21:35:30 2012 +0200

    Arena: Change arena skirmishs to mutexes in secure mode.

commit a6e0e40becf656e71f6964cae60be633fb7d8384
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 21:34:29 2012 +0200

    Core: Remove FusionArena, DFB master needs to be Fusion master, eliminating two more skirmishs, only one left (clipboard).

commit 725f0822f61e3d12d6125a25737a3ebb6be7b07f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 21:21:27 2012 +0200

    Util: Fixup last commit, somehow wrong patch got in, sorry.

commit e2b7e8ee9c7d888ab3d1fd2c721f6c98e29b663d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 21:02:21 2012 +0200

    Util: Add dfb_gfx_copy_to_stereo() with additonal argument to select destination eye.

commit 3f1f117af83466000df3676a02202a5de3bed308
Merge: da748f5 8424e72
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 20:33:59 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit da748f51f3e6f1a5609b3ee4df68df0b951399e2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 20:33:45 2012 +0200

    X11: Remove skirmish, totally obsolete.

commit 8424e723b40bf073be220061c023d6be1a8a9104
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 4 15:05:20 2012 +0200

    Android: the android input device is only available on Android, nowhere else

commit daf4599935cf33d306b75124c18dd244e7474b64
Merge: dff8fb2 9a46c04
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 14:49:41 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit dff8fb27fee38b9dd5dcab5159ed2cf4c90b7ccd
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 14:49:04 2012 +0200

    Fusion: Fix detection/warning of pools with objects during shutdown, thanks to Bryce Poole!

commit 9a46c04868e5a6ef821fbbc3bc9d4d64cc9bcc6a
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Jun 4 14:17:45 2012 +0200

    Android: implemeneted android input device

commit 588fc6da5cd2e0b684a398dd0cad11843db0e44b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 03:33:24 2012 +0200

    Fusion: Get rid of SHM skirmish in secure mode.
    
    List of pools only changes during world setup in master and ends
    before the world is activated.
    
    Removed fusion_shm_pool_attach_unattached() completely. This was a
    workaround no longer being required since the slaves, previously
    being blocked at entering the arena, are already blocked at entering
    world now.

commit 7ed40da07dd89300c4616b712326d86e5a54300d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 03:25:39 2012 +0200

    Fusion: Get rid of Fusion Reactor Globals skirmish in secure mode.
    
    Globals are processed on channel 0 only. All channel 0 dispatch happen
    within master, e.g. surface update event is on channel 1 (dispatched by
    slave).
    
    Added bug message and return in case of dispatch as a slave on channel 0
    of a reactor having globals.

commit 18e415a87e10ab23739d7ec6984eb43b40f36bf3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 03:10:16 2012 +0200

    Core: Call new fusion_world_activate() in dfb_core_activate(), getting rid of DirectFB/Core Skirmish!

commit ed19dca11e2110b78c2abcff60dcc318a810efaa
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 03:08:50 2012 +0200

    Fusion: Move FUSION_IOCTL_UNBLOCK into new function fusion_world_activate() to be called by the core.

commit 8b44f9571040993007dc5378338cf8c0afa17e79
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 02:40:45 2012 +0200

    Core: Change input device skirmish to mutex in secure fusion mode :)

commit 2ef171449d44b8798a33f56f35703839ed5720fb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 02:40:11 2012 +0200

    Fusion: Change shm pool skirmish to mutex in secure fusion mode :)

commit 1990572325120c7336dbbda8f36f16a5c4468e2c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 02:23:26 2012 +0200

    Fusion: Fix mapping of SHM pool files for slaves, adding the size of the heap info structures to the mmap.

commit 222bd2e09c13a16922d555a6032f6fcd38302038
Merge: 02ffb5f 000c747
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 02:07:35 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 02ffb5f9977e9115b218e5935e25759e1d626c57
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 02:07:04 2012 +0200

    X11: Fix dead lock by moving expose event handling to async call.

commit 56a452e86d0e1e8c1a1bb3d212b4fe814966f2eb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 01:28:43 2012 +0200

    Fusion: Add support for resumable FusionCalls requiring linux-fusion 8.10.

commit d6e277439a36637c689f4afc06eba4c38c13c9b3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jun 4 01:27:21 2012 +0200

    Core: Fix assertion during reinitialisation by clearing card pointer in graphics core shutdown/leave.

commit 000c747fd3bb2b6fbffb86280a20ceeca356645e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Jun 3 19:37:51 2012 +0200

    X11: Fix partial updates in stereo mode.

commit 08f5be68cfef8477438c1ca228fe189137dc781a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Jun 3 15:34:50 2012 +0200

    Core: Change dfb_layer_region_flip_update_stereo() to allow either left or right to be not updated.

commit 8df3638e366aa716b5901662070dcf58ff4a4f35
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 1 20:41:53 2012 +0200

    Core: Apply patch from Bryce Poole to fix a new deallocation bug in local memory surface pool in certain cases.
    
    When the system align and pitch options are enabled, the system will allocate using posix_memalign otherwise
    D_MALLOC is called. If in a debug build, D_MALLOC adds a description to the beginning of the memory and requires
    D_FREE. The patch calls "free" for malloc'd surfaces and D_FREE for D_MALLOC's surfaces.

commit 96011f3fc3d89f99ceb6688c07608ad3d28c2e98
Merge: 771f496 3884fb4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 1 19:53:50 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 771f4961940b39e83bf3f0b3240359bdf60c3a87
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jun 1 19:52:11 2012 +0200

    Core: Fix 'always-indirect' permission management regarding window surfaces and probably more.
    
    When in always-indirect mode, don't run calls through requestor/dispatcher code when already
    in master dispatcher thread. Otherwise, e.g. surfaces created for windows have the identity
    of the master and not of the creating slave.

commit 3884fb4ae408cc1587306c083ad92cba419b0860
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 1 16:00:38 2012 +0200

    Android: add missing files for DFB compilation

commit cce25a674679a108f2f30fec27e80385ffd1af2d
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 1 15:58:12 2012 +0200

    Direct: do not use sigwaitinfo() for android, install signal handlers on android instead

commit 10575984cef157a2c7a0abe93ee9be59c5232a57
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 1 15:56:36 2012 +0200

    Core: do not use posix_memalign() on android

commit 694ebb420d17fc24397d3b971ce55a2011aa7fb1
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 1 15:55:14 2012 +0200

    Voodoo: fix warnings

commit a34e96f21c6e117bf6b56babf0001e2cd7af48e1
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 1 15:54:30 2012 +0200

    gles2: fix warnings

commit 8777290cd5cc8a6ec056fad4611d17d64f48f74a
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Jun 1 15:52:38 2012 +0200

    Misc: fix warnings, do not use ulong only defined in kernel headers, use unsigned long instead

commit 709d1dccf7488a6013849a567bc8bfed88654c88
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 31 20:35:29 2012 +0200

    Core: Add CoreSurface::BackToFrontCopy() to fix dfb_back_to_front_copy() in secure mode.

commit 8a10a0ad1995b52534d259781ac396d89019e7c4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 31 20:35:04 2012 +0200

    gfx/util: Fix header for C++.

commit 96b75664531b135cf99c5a6fbf6a520ec25ea5a8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 31 19:32:58 2012 +0200

    virtual2d: Use dfb_surface_pool_gfx_driver_update() to allow read/write from/to system memory.

commit d936474722c38d3f81acb727533569c80887fb5d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 31 16:44:45 2012 +0200

    IDirectFBSurface_Window: Disable code for DSFLIP_PIPELINE.

commit ebe111f705ddac69cfab7f2238756e27e2c29265
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue May 29 19:11:50 2012 +0200

    Core: Increase core shmpool size from 1 to 16 MB (virtual).

commit 7d33518661cfc95c5901a8eacf067f82c294466c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue May 29 18:57:36 2012 +0200

    X11: Fixup last but one commit.

commit fe3f1671098d9690910ed7e730d95268293ff80f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue May 29 18:56:04 2012 +0200

    X11: Fixup last commit.

commit 1abdf305e99fa94627eea4b2635afe1baad571f3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue May 29 18:54:08 2012 +0200

    X11: Fixup input events when layer output is stereo.

commit d83395e35b1733d664a41b71b6eb93f393124e59
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon May 28 11:53:44 2012 +0200

    Options: Add 'always-indirect', merely used by system modules, to have master running (almost) as slave.
    
    Fix some things around this new option...

commit 2b6b0449d19ba201c4d0863a589195c35d052fac
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon May 28 10:47:48 2012 +0200

    WM/Default: Add special lock for updates instead of using the layer context lock, preventing some dead locks!

commit e0cc9e3a3914800d1946712d3ae67192ca914b18
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon May 28 10:46:14 2012 +0200

    Core: Make surface object reactor always indirect.

commit 6c90156832a45825948fb81590d8c0ef1d66cc14
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon May 28 10:37:51 2012 +0200

    Core: Move initialisation to dispatcher thread as CoreDFB::Initialize().

commit 8fbbb06f6a8f2e0bd3255ac2678064b64495dbc0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon May 28 10:33:45 2012 +0200

    libfusion: Deadlock fixes, never flush calls in dispatcher, call direct even with FCEF_NODIRECT if already in dispatcher.

commit f19e315730f6432c8224df82ce9add94e9d299f4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon May 28 10:32:35 2012 +0200

    libdirect: Change nmfile.make to add option "-C" and use $(NM) with 'nm' as default.

commit f5f81a31671271aca845cfcb35a8b10ad851e4ca
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun May 27 11:49:31 2012 +0200

    dfbtest_window_flip: Add test for window flipping, tearing etc.

commit 083ee53da4dd16dadaa6a28e1bb1a9c8b65efcaf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun May 27 11:48:46 2012 +0200

    data: Add DGIFF of Decker!

commit 78587efed3a7da657c112f3dd95ea8a8eed5891f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun May 27 11:41:21 2012 +0200

    Core: Remove lock assertion and serial increase in dfb_surface_notify_display().
    
    This allows the function to be called from drivers without calling dfb_surface_lock().

commit 54f775dfc516115c4d654d250189f431a82d1d42
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun May 27 11:40:31 2012 +0200

    libdirect: Use ARM assembler for atomic operations only if ARCH_ARMv7 is defined.

commit 89a94a5ff14acb07dbf696c8e34244a3d3ee5a1c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun May 27 11:39:35 2012 +0200

    DGIFF: Use dfb_surface_write_buffer() instead of creating a preallocated surface.

commit 51ae01497081aed039be64443100a122d261e1c9
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 16:09:23 2012 +0200

    [PATCH] Added a GetColorSpace API call to the IDirectFBSurface.
    
    Thanks to Bryce Poole <bryce.poole@intel.com>.

commit 9c259529255f6aa0eed0e01b3cfa3d7fb01fa7c1
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 16:02:08 2012 +0200

    [PATCH] Store and inherit set ColorSpace for Layer/Surface.
    
    The first change was in layer_context.c, while adding color space support in our system driver, to allow the Region to inherit a Layer's color space setting we found we need to transfer the color space setting from Layer config to its Region config in init_region_config().
    
    The second change was in surface.c,
    added color space handling while re-configuring a surface in function dfb_surface_reconfig(). The prior color space handling resulted in the new surface configuration to have an incompatible pixel format when it switched from RGB-based to YUV-based (and vice versa). This could previously occur when the IDirectFBDisplayLayer_SetConfiguration()
    function was called and the underlying core surface is re-configured.
    
    Thanks to Timothy Strelchun <timothy.strelchun@intel.com>.

commit 51b0c80938f624b274d1ab2c1f464046646a1f3d
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 15:50:46 2012 +0200

    interfaces: Fixed some warnings and updated headers BTW.

commit 957418156a6d7ccc8b183c585b56078a8c2fc938
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 15:28:08 2012 +0200

    tools: Fixed some warnings and updated headers BTW.

commit b44f94a01172f5f75cf65e15a82e6bc9cef378c2
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 15:19:24 2012 +0200

    gfx: Fixed some warnings and updated headers BTW.

commit 05e50bbfb3bc771cf826f96f5addbb2b38e5e2bf
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 15:09:10 2012 +0200

    windows: Fixed some warnings and updated headers BTW.

commit 8c8c94d0e467cfa7f0e00989fc7ec0c81cb67e0c
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 15:07:31 2012 +0200

    core: Fixed some warnings and updated headers BTW.

commit 710bb4f29f4bb37aec1774b1fb897754249f62e1
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 14:18:40 2012 +0200

    fusion: Fixed some warnings and updated headers BTW.

commit 61196fa8e9f315641632ea124084f03a3266ee93
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 14:12:07 2012 +0200

    direct: Fixed some warnings and updated headers BTW.

commit 68d1c23c16179a1b61ab9065c8df6b1548b9b40b
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 13:19:01 2012 +0200

    [PATCH] GPU system memory support cache flushing mods.
    
    Made changes necessary in the dfb_surface_buffer_lock function to handle GPU based reading  or writing support for local and system memory based surface buffers (as well ones in user  pre-allocated memory).  Previously, when a GPU read/write was requested, the CPU memory  cache was not flushed when the CPU had only read from the memory.  Changes require  validation on traditional non-UMA based graphics drivers.
    
    Updated the dfb_surface_pool_allocate function to alway mark brand new CoreSurfaceAllocations as having been both read and written to by the CPU.  Updated the allocation_update_copy function to track that the CPU wrote to the destination buffer allocation and that it read from the source buffer allocation so that proper cache flushing will occur.
    
    Thanks to Timothy Strelchun <timothy.strelchun@intel.com>.

commit 7de94a64d47056a828f73880aed252865ffac17b
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 12:40:31 2012 +0200

    [PATCH] Added buffer alloc destroy notify message.
    
    Added a surface notification message sent for each buffer allocation  that is destroyed.  It is sent by the dfb_surface_pool_deallocate  function using a new notify function called dfb_surface_pool_notify.
    
    A graphics driver that allocates custom shared/local resources for a buffer allocation from any surface pool (such as the pre-allocated memory one) should register to receive this new buffer allocation destruction message.  This will give the graphics driver (in each registered process) an opportunity to destroy those associated custom shared/local resources.
    
    Thanks to Timothy Strelchun <timothy.strelchun@intel.com>.

commit ff1fa2d36bc0818328575a3ca6bde08650a35807
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 10:57:03 2012 +0200

    [PATCH] Allow graphic drivers to get buffers from any surface pools.
    
    This was done by adding the dfb_surface_pool_gfx_driver_update function  to update any surface pools that match the specified types (such as CSTF_INTERNAL/PREALLOCATED) to by adding the specified CSAF_READ/WRITE  flags to the indicated accessor (such as CSAID_GPU).  It is intended to  be called by a graphics driver from its driver_init_driver function.
    
    On a platform with a UMA, this now allows a graphics driver to say it also supports the local surface pool, shared surface pool, and/or pre-allocated surface pool.
    
    Thanks to Timothy Strelchun <timothy.strelchun@intel.com>.

commit 2c0746a5675881500ae74c3ecf948dddc38d5df9
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 10:49:50 2012 +0200

    [PATCH] GPU system memory support mods for aligned buffer directfbrc commands.
    
    Added the directfbrc commands system-surface-base-alignment and  system-surface-pitch-alignment. If the graphics driver supports system memory, these commands  are used to sets the byte alignment for the system memory based surface's base address and  pitch, or zero for no alignment (which is the default). Aligning these allows pixel data to  travel more efficiently through the CPU and across the memory bus to increase performance,  and meet GPU requirements (if any).
    Updated the system memory surface pools to use these values for creating surface buffers when they are non-zero. The local surface pool will use the posix_memalign function and the shared surface pool will bloat the size to allow for base address to be aligned.
    Note:  The minimum base address and pitch alignment size are set to very small values since different graphics drivers will have different requirements (some may be larger than others).
    
    Thanks to Timothy Strelchun <timothy.strelchun@intel.com>.

commit 6c4954df6790d2c6d7d20d7f5df82bc84d1cf6ca
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 25 10:29:30 2012 +0200

    [PATCH] Fixed gfx driver module loading for slave processes.
    
    Fixed dfb_gfxcard_load_driver in how graphics driver module  loading for slaves processes is handled to address the scenario  when there are multiple graphics drivers installed and the  module entry that should be loaded is not the first entry found.
    It was found that a local reference to the next module link must  be stored prior to a call to the direct_module_unref function  because it will initialize the next field to NULL when there are  no more references to the module.  This is the same approach used  by the dfb_gfxcard_find_driver function used by the master  process.
    
    Thanks to Timothy Strelchun <timothy.strelchun@intel.com>.

commit a3d07f85e0a5e13e323bcb82e47363d47d4f89b3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 24 21:46:38 2012 +0200

    virtual2d: Add missing call to direct_processor_recycle().

commit 09f7fcff2225fd174ca834a9c3b0dd46cd0a96b7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 24 21:32:17 2012 +0200

    tests: Add dfbtest_waitserial and dfbtest_blit_multi.
    
    dfbtest_waitserial issues a few FillRectangle on surface A then
    a lot on surface B. Locking surface A should take way less time
    than the WaitIdle that is done afterwards.
    
    Testing on virtual2d driver (implements GetSerial/WaitSerial):
    
    Lock took 125 us, WaitIdle took additional 110462 us
    Lock took 254 us, WaitIdle took additional 98246 us
    Lock took 114 us, WaitIdle took additional 113675 us
    Lock took 244 us, WaitIdle took additional 100064 us
    [...]
    
    dfbtest_blit_multi creates a large number of smaller surfaces and
    blits from them for benchmarking.

commit b5a595bd1d0edfe15f366d416087e4df4df4373c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 24 21:30:12 2012 +0200

    virtual2d: Implement virtual accelerator with WaitSerial support (still called vmware driver, use accelerator=51 option).
    
    This uses a DirectProcessor for asynchronous execution of graphics operations.

commit 6a37bbd87715434e46c3b3c1bb49ec542eae3a4c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 24 21:29:19 2012 +0200

    Core: Revive graphics serials! Keep last serial per allocation and wait for that only for interlock management.

commit 9cae063ae6d76adb630ced72afec096104d434d0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 23 23:25:50 2012 +0200

    Core: Fix ref counting bug in new window stack motion event compression code with dispatch cleanup.
    
    The ref was not decremented in case the dispatch cleanup was already installed and a ref was already pending.

commit 0e8926e292f691975358615f074ee01c6b99d8f8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 23 23:24:52 2012 +0200

    libvoodoo: Don't try to call direct_config_set(), but return an error.
    
    direct_config_set() is called from src/misc.c!
    
    Before fixing this bug introduced by generic config support, fusion_config_set() never got called.

commit d34b107c3f0e78e3fef3de227cf05a81bd2a5e06
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 23 23:24:02 2012 +0200

    libfusion: Don't try to call direct_config_set(), but return an error.
    
    direct_config_set() is called from src/misc.c!

commit ab5c20f6c006fe468ef98b310f861e271c2b6899
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 23 23:01:10 2012 +0200

    Core: Skirmish Fighting round 2
    
    Use --object-ptrs for fluxcomp to avoid object lookups on slave side.
    
    Update all _Catch() functions for objects to use fusion_object_catch()
    with the object pointer.
    
    Move object lookup before calling CoreWindow::SetConfig or CoreLayerContext::CreateWindow
    to dispatcher side with ownership check.
    
    Turn several core skirmishs into mutexes for secure fusion.

commit 7f7f79f2aeeb7c962b024398e99e433dc47e3b1d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 23 22:59:25 2012 +0200

    Fusion: Turn object pool skirmish into mutex for secure fusion, add fusion_object_catch() convenience function.

commit 2cc44cc69e7e6ad308aad557628b6c4ede20f704
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed May 23 16:55:28 2012 +0200

    wm/default: use DSFLIP_WAITFORSYNC in DLBM_BACKVIDEO case

commit 987bb92e3818a8de2d8b63aefa37578e2f6ecc10
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed May 23 15:28:51 2012 +0200

    wm: fixed build, added missing variable "DFBResult ret"

commit 8afc099c2b67f4d2396e5dbead9adaf769b6ad02
Merge: ddaaeb4 a67b39b
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed May 23 13:45:48 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit ddaaeb423bf3dcc53397db19663e508411038c28
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed May 23 13:45:23 2012 +0200

    wm: add missing locking to surface reaction (fix race-condition)

commit a67b39be1dc1bc9ceffa0f7f5a3316f4104b3203
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed May 23 12:50:04 2012 +0200

    configure: change flux requirement to 1.3.0

commit 4545c22a0aed39c0fbfce0898a80163da242d68f
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed May 23 11:45:47 2012 +0200

    wm: remove redundant checks (copy'n'paste bugs)

commit 3aa02050054dc1d291ec87ee320b8a6026c0465d
Merge: e7ccfa9 1af3219
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 23 00:29:09 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit e7ccfa9e24572f52abbd0228c8ea4dcf66419d0e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 23 00:28:27 2012 +0200

    Core: Don't ref source surfaces on slave side graphics context in secure fusion mode. Boost!

commit 1af3219cff898c9d3b4f7709c56be0049b73e055
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue May 22 18:02:32 2012 +0200

    Core: remove bogus asserts, mark optional output parameters in .flux files to have flux generate proper code

commit aed2d368eedb4c9c09df2ade476b5bf20720382f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue May 22 16:24:42 2012 +0200

    rules: use $FLUXCOMP not fluxcomp

commit 7e9b7886e83b7bcb5ace392e7e0a74394b9e1f52
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue May 22 15:59:15 2012 +0200

    configure: add check for fluxcomp, which also checks for the required fluxcomp version
    
    Many thanks to Sven Neumann for the original patch

commit 14ef5a7b738d14c7533b7c91e194f5473a956978
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon May 21 14:59:30 2012 +0200

    Fixed DFBInputDeviceCapabilities naming, there was a naming clash with DFBImageCapabilities enum.
    
         DICAPS_KEYS, DICAPS_AXES, DICAPS_BUTTONS, DICAPS_ALL are deprecated.
    
         DIDCAPS_NONE, DIDCAPS_KEYS, DIDCAPS_AXES, DIDCAPS_BUTTONS, DIDCAPS_ALL follow the right naming convention instead.
    
    Anyway, the new enum items are only used when DIRECTFB_DISABLE_DEPRECATED is defined during compilation.
    The old enum namings are still there for backwards compat.

commit 4a75a74d1becc4a7548d065b610e6ef1e2defc44
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 18 17:32:36 2012 +0200

    Direct: no need to include #include <linux/unistd.h>

commit dc7f0a216ce3fb5631b308450983b5b58ad2f349
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 18 17:21:58 2012 +0200

    Direct: only allow killing the sighandler thread from inside the DFB process

commit 278b4feadd7da9928b5d8708a8404316b977ac65
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 18 12:39:42 2012 +0200

    Direct: remove empty line at EOF

commit 84a1dd451a706b73a0dc9dd8ae1d437138c117b6
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 18 12:37:47 2012 +0200

    Direct: add custom signal 123 to sighandler mask

commit 7dbafdee8464e58b1793429d23543655a7987df1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 17 23:57:30 2012 +0200

    direct: Fix missing zero char in size calculation for option entry allocation.

commit b5665c8fdd52f0834f22e729435f1e32ea3b3bf3
Merge: b9f0ce2 e6cb74a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 17 23:56:52 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit e6cb74a47a1e966157496c840609d1514194b37a
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed May 16 13:49:57 2012 +0200

    ImageProvider: handle invalid images (thanks to bc).

commit f3914cfc6f94d9dbbec81a6bdcd6d70d4b655833
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue May 15 15:44:13 2012 +0200

    Direct: added missing path to loading interfaces when a implementation was not specified when loading a static interface

commit b9f0ce2675b86d58c7d6a33accd2f3254137f6fa
Merge: 30d033d 8587c11
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri May 11 22:11:32 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 30d033d1d0ab586839b0222f853bb9dcf05c953c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri May 11 20:40:49 2012 +0100

    dfbtest_windows_watcher: Print process and instance id.

commit 8b3e604f8f41aeea34d7e64e9a03ae1379e8db11
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri May 11 20:39:23 2012 +0100

    One: Use capacity based ids array instead of reallocating each time.

commit 8587c11b55aebb12920c734b7b81a1a9f0359ff5
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu May 10 13:03:49 2012 +0200

    Fusion: fix build for single app mode

commit aa71ead9025f8d297aa4c278dad8de536b81bcf5
Merge: 36052a3 7553f77
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu May 10 13:03:13 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 36052a31e92b0486051b7ada96b29a0b8efbcccc
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu May 10 13:02:36 2012 +0200

    Core: can also queue SetColorAndIndex

commit 7553f77e7c8bc8ecbc784078fd27ef387d76f478
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed May 9 18:38:49 2012 +0200

    gfxdrivers/gles2: add the egl system as a valid system for this driver

commit b779d4db9a5de7bfbb2f05acdfacc2e147b76a1a
Merge: 0b975c3 56e1985
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed May 9 18:38:19 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 0b975c31f5fb6ecf09260cf579665c63f3f54836
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed May 9 18:37:43 2012 +0200

    system/egl: another batch of useless broken stuff

commit 56e198539f8ed710f1da692ffab521d3eceda999
Merge: cd28f2d 1f24940
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed May 9 11:57:24 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit cd28f2d6f6a56b3b2fda303f98c0325dec0aba74
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed May 9 11:56:29 2012 +0200

    Direct: fix off by one bug in detecting value of default-interface-implementation

commit 1f2494041804fb2f63f95dce2f1fbbd7340e55e7
Merge: 5e8476d e89c01c
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue May 8 18:20:48 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 5e8476de982d63772e4dbdf39c1905894276a7b2
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue May 8 18:19:42 2012 +0200

    egl: added non-working useless egl system, basically a renamed pvr2d system to git

commit e89c01c3091f3e796b6a55ef82bfa54f10ed6d2a
Merge: d8ff6cd 2273113
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue May 8 15:15:08 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit d8ff6cd2fcf9b1eea9fd68450e1c942b0bb28b3a
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue May 8 15:12:19 2012 +0200

    Fusion: buffer async fusion calls in user space using one ioctl up to 512 calls or 20ms timeout
    
    Improves slave GFX performance by ~1% and produces ~10% less CPU load

commit 22731133f49ae71e55f37eef3cfa0f05bfec116b
Merge: 808e91b 5a5fa41
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue May 8 14:30:40 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 808e91b971e7d9fcfda7c95c8224f6e68750a278
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue May 8 14:29:53 2012 +0200

    X11: Copy lock structure before making call to master as it moved from shared to local memory.

commit 5a5fa413d48411fead31fe1a47a4ce6c3ddf3337
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue May 8 13:23:47 2012 +0200

    Core: fix segfault in palette (off-by-one)

commit 8cf829c410a40cd365cd454a89936d6401492eb6
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 4 14:09:14 2012 +0200

    Direct: remove debug message

commit 4b347b38c7a3c469e79f3482c7699631cb0052bb
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri May 4 13:26:23 2012 +0200

    Conf: generic config extensions fixes and improvements

commit 08334e3fe03cad55dfe12834e521f20fb70cf3ee
Merge: 04909ca 9c6aeea
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 3 22:23:54 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 04909ca1c36fc97aefb029f5ea92fbb9bbe04bad
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 3 22:23:16 2012 +0200

    FBDev: Remove libsysfs dependency, thanks to Daniel Schaal!
    
    Directly open the files in sysfs to remove the last usage of
    the deprecated libsysfs library in fbdev.c and remove libsysfs
    from the build system.

commit 9c6aeea31bd7d9a89cbe781f94a49658f23737c3
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu May 3 12:26:00 2012 +0200

    Core: close input devices before shutdown is processed

commit b4b4fded2b30db855a41134757f9f388c32ced37
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu May 3 10:58:14 2012 +0200

    Core: Fix debug messages, thanks to Daniel Schaal!

commit c322b7626d2de81ed6de8d519ad9e2953ebace07
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 2 21:09:59 2012 +0200

    Core: For layer regions use local buffer lock structures, remove from shared region data.

commit e45a9aa2d8f7b21d5f360540c84aca9f1b7d533a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 2 21:07:27 2012 +0200

    X11: Use local buffer lock structure for expose events.

commit aaeec781124b38db6ad362a18d1287de87d32f43
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 2 21:02:45 2012 +0200

    X11: hot fix the hot fix when nested updates occur

commit fe05d3ce0d5051fdf21629bcc674ae421661df7f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 2 17:26:39 2012 +0200

    Core: Set process_id to pid of Fusionee when sending WindowAdd information.

commit 51e48f483188493ef58cd4a4a2b18185f7eb176f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 2 17:26:21 2012 +0200

    Fusion: Include <direct/types.h>

commit b5691eb31f75c9c5763c92fe8b84a4eaf353f16a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 2 17:18:53 2012 +0200

    Fusion: Add fusion_get_fusionee_pid().

commit 3ee3b3028c8c6d05900a2e8fceddde96d0b4442c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed May 2 13:58:47 2012 +0200

    Core: Use object identity rather than owner to set values for WindowAdd listener callback.

commit 522b0253b4642a19920fbd726e441f8df28d27c8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue May 1 15:05:05 2012 +0200

    GLX: Remove obsolete assertion from glxDeallocateBuffer().

commit 8772b1c4431aea2d9c268cacf14df70c6635028b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Apr 30 15:40:05 2012 +0200

    IDirectFBWindows: Add instance_id and process_id in window info and fix missing cleanup in Release().

commit 4068163f067e12075102f398804048b68b2909ce
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Apr 30 14:57:49 2012 +0200

    core: make rest of palette APIs secure-fusion safe

commit d62f35b4278e0b25eb924b90e51467427c7fec9f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 27 10:48:41 2012 +0200

    Core: Add some debug to layer region surface locks.

commit e78d5190e7869ca030316bdc2e7cfd04dade2f1a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 27 10:47:25 2012 +0200

    Core: Set WM reactor to always indirect.

commit 26cd6df8320e7adb13a6f8eac2fd47a2b79d4382
Merge: 5187935 7a6846c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 27 10:46:50 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 51879359dca6e360b427eb952ff52c2a7061118f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 27 10:46:11 2012 +0200

    Core: Add missing calls to dfb_surface_pool_prelock() in allocation_update_copy() for handling cache flushes etc.

commit 7a6846cabf58c62cda67467da43e8ec2a1258729
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Apr 24 13:10:29 2012 +0200

    dfb:     fix CreatePalette() which was not ready for secure-fusion
    display: fix SetColorIndex() which was not ready for secure-fusion
    core:    add SetColorAndIndex(..) which sets color and color index in client card state
    
    Fix: Slave apps were not able to set and use palette.
         Removed segfaults and added proper handling in master.

commit fd64983222ffb27f6569d0aef849f71bb76ee877
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Apr 23 16:27:13 2012 +0200

    direct: fix default interface selection from cached interfaces

commit b494f537de23defb7c2c695f1680252cfbb8848d
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Apr 23 14:13:03 2012 +0200

    direct: handle multiple settings of default-interface-implementation=type/impl in directfbrc

commit 2e956245f7e33d5849890d05e812256057b83fe5
Author: Marek Pikarski <mass@directfb.org>
Date:   Fri Apr 20 10:01:06 2012 +0200

    direct: support default-interface-implementation=interface_name/implementation_name in config
    
    Refactored DirectGetInterface(...) to respect default settings in directfbrc.
    Now it is possible to select e.g. a default ImageProvider by adding
    
    default-interface-implementation=IDirectFBImageProvider/IMLIB2
    
    to directfbrc. The IMLIB2 Provider will then be used prior to selecting PNG or JPEG provider.

commit 7ac37d1f956f47e7eb24996a6ce60a6d122ff38d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Apr 17 14:00:46 2012 +0200

    jpeg_uyvy_decode.patch

commit 1d47df182b3ce7714e44efd477a1bfe3077afb2e
Author: Holger Hans Peter Freyther <zecke@selfish.org>
Date:   Sat Apr 14 10:43:40 2012 +0200

    build: Fix make distcheck.
    
    Add CoreDFB_CallMode.h to the list of header files.

commit 7340ec44c3ba88f11cac7e05f99b2174bb284e44
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 13 13:37:13 2012 +0200

    Core: Add input event compression for relative/absolute motion events to window stack input device listener.
    
    This is needed to cope with queued up events in Fusion Dispatch since input device reactor is forced to be indirect.

commit 31b493e98eaaa4c298b4e9a98eaee4815c36fced
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 13 13:36:16 2012 +0200

    Core: Set input device reactor to indirect mode (no shortcut in master, always dispatch).

commit 03d7ff5db4aaceee39a5bbfaf911a71a01b52200
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 13 13:35:31 2012 +0200

    X11: Increase max number of events to poll before forcing a flush (from 23 to 2000).

commit 62c0b93061f1e0d08e73f63729e39cb518a1b08c
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Apr 12 15:43:37 2012 +0200

    core: make surface dumping work again with secure fusion
    
    Added
    DFBResult
    dfb_surface_dump_buffer2( CoreSurface           *surface,
                              CoreSurfaceBufferRole  role,
                              DFBSurfaceStereoEye    eye,
                              const char            *path,
                              const char            *prefix )

commit 8ed404e55cffffcc2949c7c0eba867114dcac82c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Apr 12 13:17:56 2012 +0200

    IDirectFBSurface: Add asynchronous frame synchronisation for apps/compositors attaching dynamically.
    
    Add IDirectFBSurface::MakeClient() and FrameAck().
    
    Add flip_count to DFBSurfaceEvent.
    
    Add CoreSurfaceClient featuring FrameAck() for each compositor registering at a CoreSurface.
    
    Add CoreSurface::PreLockBuffer3() adding flip_count for explicit buffer specification.
    
    Add dfb_state_set_source_2() with flip_count for explicit blitting from one buffer.
    
    Add dfb_surface_lock_buffer2() for explicitly locking a certain buffer.
    
    Add dfb_surface_notify_frame() issued when surface clients acknowledge flip_count from update event.
    
    Block applications in Flip() while surface clients are attached and haven't acknowledged the frame
    that would be written to next.
    
    Extend dfbtest_surface_compositor calling MakeClient() and upon DFBSurfaceEvent receival FrameAck().

commit 7139279d04905b931690df21165c771b8a7f35ac
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Apr 12 12:16:34 2012 +0200

    direct: also evaluate no-sighandler option in destructor

commit 2e1e741bc9a2215948abad121e16fc66f07fab9a
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Apr 12 11:13:19 2012 +0200

    - core: optimization: force COREDFB_CALL_DIRECT mode for single-app builds

commit ea497a6c50d22cbc906335b7cde5c77d9e3f3153
Author: Marek Pikarski <mass@directfb.org>
Date:   Thu Apr 12 10:13:22 2012 +0200

    direct: respect no-sighandler option

commit 33ec36ce6dd9c8400c2397aa5e16fb09a7769518
Merge: ba18197 6ec16f6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Apr 11 15:56:13 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit ba1819793ffa95eaa76f8e6c8c34415ab1ffb1ba
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Apr 11 15:55:47 2012 +0200

    dfbtest_video: Add very simple video playback test for use with compositor demo :)

commit 6ec16f674295e4b02f236207fd1cee7b3980b709
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Apr 11 15:39:16 2012 +0200

    gfx/generic: fix off-by one issues in 16-bit code introduced by 520907c32769e08272d9b776f5524b37e114343c

commit 863e9eebdfa52fc4b03dca292d22984cd69898cf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Apr 11 11:22:42 2012 +0200

    Docs: Add Window Updates document.

commit c8cdbf2ebbddede480b6411acb0a8c74222df976
Merge: 857fac2 8c95d8d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Apr 11 01:48:54 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 8c95d8d6c0b872d5dae2f6bffd1155f70898b2c5
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Apr 10 18:18:46 2012 +0200

    - fix reference counting bug

commit 857fac21af231a73df992881e7632847ded6acae
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Apr 10 17:10:39 2012 +0200

    Fusion: Fix fusion_vector_foreach for C++ (add type cast).

commit 7d3529c974dd0c8103650eadde6242a88374d3db
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Apr 10 13:58:55 2012 +0200

    Fix shutdown deadlock.
    Threads should not sleep in single app mode in CoreDFB_CallMode()
    The disptacher thread should never sleep in CoreDFB_CallMode()
    
    core: dispatcher thread should not sleep in CoreDFB_CallMode()
    fusion: fake return value of fusion_dispatcher_tid() for single app mode to zero

commit 5cfae064c9805fcb68a397b7f35e3876ba46a105
Author: Marek Pikarski <mass@directfb.org>
Date:   Tue Apr 10 12:59:55 2012 +0200

    direct: do not block all signals by default, just subscribe to the observed ones as before
    
    Makes ctrl-Z on console work again.

commit 7d9879e2485f55614cdb209aa9ac8377b6a39853
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Apr 8 18:59:38 2012 +0200

    Fusion: Remove message size assertion from fusion_object_pool_create().

commit 9873e2da7b2380adc4c0f693e2f08e6135166202
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Apr 8 17:56:20 2012 +0200

    build: Fix warnings.

commit 75437003e38e1a12715b662cd8c425e2b3c18f3c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 6 18:56:01 2012 +0200

    Core: In surface destructor properly handle stereo buffers.

commit ee6b957a05c79562f57013989e846b31ad183f54
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 6 18:53:02 2012 +0200

    Fusion: Handle global reactions only for channel 0 in single app (as in multi app already).

commit b4e69c949be4adab2b30356d93132b365a54d3c4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Apr 6 18:39:58 2012 +0200

    Fusion: Fix build by adding fusion_dispatcher_tid() for single app.

commit 6236a218aee4336450f36b49abadc51eef9e898f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Apr 5 19:02:33 2012 +0200

    Core: Add CoreGraphicsState::ReleaseSource() to fix IDirectFBSurface::ReleaseSource() in secure fusion mode.

commit ac3fddaff16572fbb08813820e0d8bbf5339754c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Apr 5 18:48:12 2012 +0200

    IDirectFB: Fix missing input events in windowed fullscreen applications.

commit ba487fa9ebb9f7b77af6d199317bb592be50c102
Merge: 189ec93 670e2e1
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Apr 4 16:48:48 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 189ec93af093bea5948f9de2366acaa4bb15a656
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Apr 4 16:48:34 2012 +0200

    devmem: remove bogus ASSERTS

commit 670e2e1a23f6bc15557afad4811cd2ad1e3d43bf
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Apr 4 15:55:17 2012 +0200

    core: let ongoing flux calls complete in any case before deinitialization is performed

commit 461056b5632fbb37f17920ad864ed3e6702a87d0
Author: André Draszik <andre.draszik@st.com>
Date:   Wed Apr 4 12:52:29 2012 +0100

    layers: print color space in DFB_CORE_LAYER_REGION_CONFIG_DEBUG_AT()

commit 7bef1b6caadfaf55de0b4fe09396598418813f70
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Apr 4 12:27:18 2012 +0200

    remove printf()

commit 93cc4a55b46ce0756dad65922f4d1716a7944a76
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Apr 4 11:42:02 2012 +0200

    core: implemented clean shutdown
    
    The registered signal handler is the first one which destroys the core.
    All pending flux calls wait until core is destroyed before returning DFB_DEAD.

commit 0a430500f0c9bb52c3c3fc36a7bd574eb79ef73e
Author: Marek Pikarski <mass@directfb.org>
Date:   Wed Apr 4 11:35:29 2012 +0200

    direct: reworked signal handling
    
    Created threads block all signals by default.
    Added an extra thread dedicated for asynchronous signal processing.
    This is the only thread which catches and processes signals.
    The changes were needed for a synchronous and clean application shutdown.

commit 902811c0be8d5d60c30b4f2bb6202e23a7aff9aa
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Apr 3 15:24:38 2012 +0200

    config: fix usage string, secure fusion is default!

commit df324e7e580d7588bc6f204a1dfbfd943c907212
Merge: 8293af6 13e90d0
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Apr 3 14:08:28 2012 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 8293af6c3ffb516dd5902453775f3ddfc3975d2a
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Apr 3 14:06:22 2012 +0200

    core: add function CoreDFB_CallMode() which determines whether calls should be direct, indirect or denied.
    
    NOTE: Requieres latest flux from git

commit 13e90d0e2691a9c4df8c92bf533d8317a1174d31
Author: Marek Pikarski <mass@directfb.org>
Date:   Mon Apr 2 18:15:55 2012 +0200

    core: fix race condition between dfb_wm_close_all_stacks() and layer_context destructor

commit cfd84814949761e5f3ee01d27b53e3c6e2a6f62a
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Apr 2 14:21:02 2012 +0100

    dfbscreen: add picture framing support

commit 06a89d7aa621f940ac92c10ed88794df59c75011
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Apr 2 14:12:16 2012 +0100

    dfbinfo: fix up a comment

commit 06a78aa7d720879d472efb32e1d523473c5aa386
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Apr 2 14:08:45 2012 +0100

    dfbinfo: print picture framing in encoder output

commit 6e2843e350330faea6064fffc7ace673c4b22fe7
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Apr 2 14:08:00 2012 +0100

    build: add picture framing strings to autogenerated directfb_strings.h

commit 610be7a15d873193c0a5b0209bd7567d8e1ea028
Author: André Draszik <andre.draszik@st.com>
Date:   Fri Mar 30 15:26:50 2012 +0100

    build: make imageprovider makefile portable again
    
    Since commit a8bcddccd00e58 (build: refactor imageprovider makefile a bit)
    we get a new automake warning, sorry...
    
    Signed-off-by: André Draszik <andre.draszik@st.com>

commit 2db2f37e1c9ce1c17837d0018f6f40f6021859d1
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Feb 20 18:02:36 2012 +0000

    directfb: make use of dfb_gfxcard_batchstretchblit() where reasonable

commit 5771d4ad406e4397044e6b7dbcd4b3580bcda19d
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Feb 20 18:01:23 2012 +0000

    (surface) implement IDirectFBSurface::BatchStretchBlit()
    
    Signed-off-by: André Draszik <andre.draszik@st.com>

commit 7e85d2ed40e6d2cb6127a93589c374012175e116
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Feb 20 17:39:10 2012 +0000

    gfxcard: refactor dfb_gfxcard_blit()
    
    This is useful for the upcoming dfb_gfxcard_stretchblit() update,
    which will accept more than one rectangle

commit 5f1114b77a9dd4dd36566a12551aed2cfcec75fa
Author: André Draszik <andre.draszik@st.com>
Date:   Thu Sep 29 11:53:27 2011 +0100

    gfxcard / state: allow a graphics driver to hold extra state information
    
    Two new callbacks are added to GraphicsDeviceFuncs, that if set, will be
    called whenever a state is created or destroyed. This allows a graphics
    driver to store custom state specific data in CardState, which is useful
    if e.g. extra data needs to be preserved between calls to CheckState() and
    SetState().

commit 87529e3339dc6005b694c69d5646b03c23800797
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Apr 13 03:11:13 2010 +0100

    directfb.h: whitespace

commit a8bcddccd00e58a4db3c736fe65e244482a95463
Author: André Draszik <andre.draszik@st.com>
Date:   Thu Mar 29 14:53:28 2012 +0100

    build: refactor imageprovider makefile a bit
    
    Similar to commit 5a941ac479883bef11bd9ada65b07fafafff2ad1
    ([build] add missing include path for builddir != srcdir)

commit 64d603a2edbf36ecc8f0419d0d441e09b57f179b
Author: Haithem Rahmani <haithem.rahmani@st.com>
Date:   Mon Apr 11 11:05:10 2011 +0100

    inputdrivers: support lirc>=0.8.6
    
    STLinux bugzilla #11689

commit 706473d1bf21ef9b20226632224f59ce3cbf8864
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 15:44:44 2012 +0100

    directfb-csource: fix incorrect libpng API usage
    
    This was added incorrectly in
    commit 65efa6affbdc1a90246e89f045c3d6774f55e767
    (merge various patches from Broadcom (thanks!))

commit 6914899a69c80b46afebd5cb2104d8a7ddbe3ebe
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 16:17:37 2012 +0100

    x11: fix a few compiler warnings
    
      CC     surfacemanager.lo
    .../DirectFB/systems/x11/surfacemanager.c: In function 'dfb_surfacemanager_displace':
    .../DirectFB/systems/x11/surfacemanager.c:240:26: warning: variable 'device' set but not used [-Wunused-but-set-variable]
    .../DirectFB/systems/x11/surfacemanager.c: In function 'dfb_surfacemanager_deallocate':
    .../DirectFB/systems/x11/surfacemanager.c:424:25: warning: variable 'buffer' set but not used [-Wunused-but-set-variable]
      CC     vpsmem_surface_pool.lo
    .../DirectFB/systems/x11/vpsmem_surface_pool.c: In function 'vpsmemTestConfig':
    .../DirectFB/systems/x11/vpsmem_surface_pool.c:229:19: warning: variable 'surface' set but not used [-Wunused-but-set-variable]
    .../DirectFB/systems/x11/vpsmem_surface_pool.c: In function 'vpsmemMuckOut':
    .../DirectFB/systems/x11/vpsmem_surface_pool.c:333:19: warning: variable 'surface' set but not used [-Wunused-but-set-variable]

commit fbe352664601f89c6f9ddbd77a28a9eb39fafbca
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 16:15:29 2012 +0100

    fbdev: fix a few compiler warnings
    
    .../DirectFB/systems/fbdev/surfacemanager.c: In function 'dfb_surfacemanager_displace':
    .../DirectFB/systems/fbdev/surfacemanager.c:296:26: warning: variable 'device' set but not used [-Wunused-but-set-variable]
    .../DirectFB/systems/fbdev/surfacemanager.c: In function 'dfb_surfacemanager_deallocate':
    .../DirectFB/systems/fbdev/surfacemanager.c:480:25: warning: variable 'buffer' set but not used [-Wunused-but-set-variable]

commit e0ebcbffec1ecb447a3700e64b8acd563b858622
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 16:05:56 2012 +0100

    png: fix compiler warning
    
      CC     idirectfbimageprovider_png.lo
    .../DirectFB/interfaces/IDirectFBImageProvider/idirectfbimageprovider_png.c: In function 'IDirectFBImageProvider_PNG_RenderTo':
    .../DirectFB/interfaces/IDirectFBImageProvider/idirectfbimageprovider_png.c:273:29: warning: variable 'info' set but not used [-Wunused-but-set-variable]

commit 1cffb599dc38de517cf7532daf096093c46d5e1c
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 15:40:06 2012 +0100

    tools: fix some compiler warnings
    
      CC     directfb-csource.o
    .../DirectFB/tools/directfb-csource.c: In function ‘load_image’:
    .../DirectFB/tools/directfb-csource.c:458:11: warning: format ‘%ld’ expects argument of type ‘long int’, but argument 3 has type ‘png_uint_32’ [-Wformat]
    .../DirectFB/tools/directfb-csource.c:504:25: warning: format ‘%ld’ expects argument of type ‘long int’, but argument 3 has type ‘png_uint_32’ [-Wformat]
    .../DirectFB/tools/directfb-csource.c:413:28: warning: ‘info_palette’ may be used uninitialized in this function [-Wuninitialized]
    
      CXX    mkdgifft.o
    .../DirectFB/tools/mkdgifft.cpp: In function ‘DFBResult load_image(const char*, DFBSurfaceDescription*)’:
    .../DirectFB/tools/mkdgifft.cpp:683:77: warning: format ‘%ld’ expects argument of type ‘long int’, but argument 3 has type ‘png_uint_32 {aka unsigned int}’ [-Wformat]
    .../DirectFB/tools/mkdgifft.cpp:711:41: warning: format ‘%ld’ expects argument of type ‘long int’, but argument 3 has type ‘png_uint_32 {aka unsigned int}’ [-Wformat]
    
      CC     dfbdump.o
    .../DirectFB/tools/dfbdump.c: In function ‘alloc_callback’:
    .../DirectFB/tools/dfbdump.c:270:28: warning: variable ‘index’ set but not used [-Wunused-but-set-variable]

commit 86af758a0b8bf31afa3b18d2a9ab8d88f9ebf7bc
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 13:53:19 2012 +0100

    convert: fixup for dfb_pixel_from_color() trace prints
    
    Some error messages were added in
    commit 520907c32769e08272d9b776f5524b37e114343c
    (merged generic driver changes from Broadcom (thanks!))
    
    but this is a more generic approach.

commit 427f7c3c872e2eaec6c2b706feab472b3e30c3a5
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 16:05:35 2012 +0100

    X11: Add DSOR_1440x540 support.

commit dc2bc1b8f00e1043d2d70c79bd47e06b7bd44ded
Author: André Draszik <andre.draszik@st.com>
Date:   Tue Mar 27 15:59:37 2012 +0100

    IDirectFBScreen: Add DSOR_1440_540 to DFBScreenOutputResolution.
    
    This is from the same standard that defines the 960x540 modes

commit 9da7510cb44aad89a930bc0548d3569a36192150
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Jan 23 21:53:54 2012 +0000

    png: whitespace fixes

commit 055aa6b821f23b1b0faced5b6bc6d6e14db19ed8
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Jan 23 21:53:34 2012 +0000

    jpeg: whitespace fixes

commit 7e2b73738687738f5113334d0577891b6d793572
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Jan 23 21:53:12 2012 +0000

    more whitespace fixes

commit 98d683437c959c69cc287a848d506ed75ae53531
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Jan 23 21:52:49 2012 +0000

    configure.in: whitespace fixes

commit 461da046ad0973db7b96dcef66e8519779326259
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Mar 19 17:27:47 2012 +0000

    whitespace

commit f6cbd8f2fba0b675b8da7b95f4eaf04e76e90e8b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Mar 24 15:55:59 2012 +0100

    Compositing Application Manager: Initial revision, work in progress!

commit cfe707678f5bdb1905c94d65a13b261bbe0e38a5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Mar 23 14:58:21 2012 +0100

    X11: Some enhancements for stereo display.

commit abc3db477c5a84f31e6f74b5801bfe4b13ae3e40
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Mar 20 15:20:10 2012 +0100

    core: do not set CSTF_EXTERNAL for the system memory pool

commit d2165a3e1f082d8c720f9454eac94d16d52e5256
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Mar 19 02:47:18 2012 +0100

    dfbtest_surface_compositor: Add test compositor program.
    
    The application creates a primary surface and a configurable number
    of shared offscreen surfaces, printing their IDs.
    
    The user may start applications passing the surface IDs for 'primary-id'
    option, e.g. "df_andi --dfb:primary-id=3".
    
    The compositor simply blits all sources when it receives update events.
    
    The compositors can be cascaded as well :)

commit d595ae29017f800d02ea445141d194d3eadd61d7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Mar 19 02:37:09 2012 +0100

    Core: When surface has DSCAPS_SHARED don"t set ownership.

commit 4371c715f42bb89dee6e8bda6434ad64c8dc999d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Mar 19 02:35:32 2012 +0100

    Fusion: Allow wild card at end of executable name when giving access to an object.

commit 5108fae8ee1d8bb0d783960d66b082cd3e164075
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Mar 19 00:58:49 2012 +0100

    dfbtest_surface_updates: Create surface with event buffer and call Flip() to receive update events.

commit 260cf7870ebf205b96a00763267eb26142d84aa1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Mar 19 00:57:46 2012 +0100

    IDirectFBSurface: Introduce surface events, adding CreateEventBuffer, AttachEventBuffer, DetachEventBuffer.
    
    Add DFBSurfaceEventType with DSEVT_DESTROYED and DSEVT_UPDATE.
    
    Add DFBSurfaceEvent with type, surface_id and update region for left and right buffer.
    
    Add CoreSurfaceChannel with CSCH_NOTIFICATION (old default) and CSCH_EVENT.
    Dispatch surface events via new reactor channel.
    
    Add dfb_surface_dispatch_event() and dfb_surface_dispatch_update().
    
    Send update events when application calls Flip() or FlipStereo().

commit 62e57998f4a3bcd62ee2554fa9a52db89d40353e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Mar 19 00:29:15 2012 +0100

    Fusion: Limit global reactions to channel 0.

commit 000d6d3dc44f3569d2856a08a6a037a8224505c3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Mar 18 13:44:53 2012 +0100

    IDirectFB: Add GetSurface(ID) :-)

commit 7aebd9d985ea80f31274812eca6fcb2d32613cd8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Mar 18 12:54:40 2012 +0100

    Proxy: Final fix for IDirectFBSurface::MakeSubSurface().

commit 7aa4f769ad2968ec527c053e8f473ca44dfc327d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Mar 16 15:22:39 2012 +0100

    One: Add more debug info about apps and queues to /proc.

commit 29644ef639dc7ae250c1bf78011e9548cfc632eb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 15 18:18:03 2012 +0100

    Proxy: Fix IDirectFBSurface::MakeSubSurface().

commit a5235980d251702a9fdc21c303a15f2c2de87615
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 15 14:37:04 2012 +0100

    Proxy: Implement IDirectFBSurface::MakeSubSurface().

commit 39b7acfa68565114f7378e5b5f3ca6c0014a3436
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Mar 13 14:42:01 2012 +0100

    Core/InputHub: Use OneQueue_SetName().

commit d6d5479b8653feb0713f1b39f919d5af020f6430
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Mar 13 14:41:28 2012 +0100

    One: Add OneQueue_SetName() using ONE_ENTRY_SET_INFO ioctl.

commit 2c43a98d9d782be8e8442af86c2a4c49494c6148
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 20:57:52 2012 +0100

    Misc: Fix compiler warnings.

commit 5183af7d569de9c8f19cd5cf0a8e89fa367d65ce
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 20:54:16 2012 +0100

    Core: Clear new layer buffers, unless new run-time option "no-layers-clear" is used.

commit d7694fc2df43ed527ef265e2085c7a71d096e2c8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 20:53:06 2012 +0100

    Core: Remove superfluous apostrophe from FUSION_OBJECT_METHODS macro invocation.

commit 7c999d559438e92fbb02824b560fde182f918ad3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 20:11:12 2012 +0100

    Misc: Break up config usage into parts smaller than 4096 bytes.

commit b89e0c38c798e4e8ed0e781c98c183c1bd05d52b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 20:03:21 2012 +0100

    Core: Add dfb_surface_clear_buffers() to allocate/fill all surface buffers.

commit 39c92858abfd54b79193c67a589c17d89630e99a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 20:01:27 2012 +0100

    Graphics: Add dfb_gfx_clear() to fill buffer with fully transparent black.

commit 79b7ab97d98454af2c12744673db58cb4405e04b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:30:38 2012 +0100

    Core: Enhance error passing of surface locking functions.

commit 398acbce6067156ea4ce5884ec00b5561fe690de
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:29:42 2012 +0100

    Core: Remove superfluous apostrophe at end of DEFINE_INTERFACE statement.

commit 1371f12e038b8e50fde5e233fee1eac12d355a46
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:28:39 2012 +0100

    Core: Make use of D_UNUSED_P(param).

commit b79f9593d676ea392b689572c5780502f5f42c06
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:24:43 2012 +0100

    PNG: Fix compiler warnings.

commit aaebf60b86acc666e4c680e39d0f72676b8298d5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:22:41 2012 +0100

    JPEG: Fix compiler warnings.

commit 0323889dc4c2165c018d0d3959343f61909a0a62
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:17:49 2012 +0100

    direct: Choose D_UNUSED_P for unused parameters.

commit 79ca8b3dad33126e84872a4eb9a1913539d48f2c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:13:15 2012 +0100

    direct: Add D_UNUSED(param) macro for cancelling compiler warnings.

commit 08abb1a32dc705564d32911b69ca590689dc5176
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 19:10:18 2012 +0100

    DFIFF: Fix compiler warnings.

commit 845e65562d0c62ffddf75db58e9974eb6dfccc8c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Mar 8 00:38:03 2012 +0100

    IDirectFBDisplayLayer: Fix crashes since window stack is not present in exclusive mode.

commit 86a3e20ebcaeade385d0be583ff9e15bc441a8e2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Mar 7 16:02:39 2012 +0100

    IDirectFB: Do not mask out DSCAPS_FLIPPING when creating a windowed primary surface.

commit 26b31a6aaec8cbdc6440b9ede14ace851ffe0306
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Mar 7 09:47:29 2012 +0100

    IDirectFB: Allow DSCAPS_TRIPLE for windowed primary surface, thanks to Rob McConnell!

commit 520907c32769e08272d9b776f5524b37e114343c
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Mar 6 13:44:57 2012 +0100

    merged generic driver changes from Broadcom (thanks!)
    
    - optimize Cop_to_Aop_32 (loop unrolling)
    - use preincrement/predecrement instead of postdecrement
      (might improve performance on some compilers/architectures)
    - dont issue a "unknown format" warning when calling dfb_pixel_from_color with
      indexed formats

commit 65efa6affbdc1a90246e89f045c3d6774f55e767
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Mar 5 14:45:11 2012 +0100

    merge various patches from Broadcom (thanks!)
    
    idirectfbgl: add IDirectFBGL::TextureSurface() to the interface definition
    input: implement quitpipe also for the hotplug thread
    jpeg provider: improve probe to recognize more valid jpeg formats
    png provider: more debugging, support libpng 1.5
    libdirect: never return an uninitialized value in direct_recursive_mutex_init()
    surface pool: improve debugging
    idirectfbsurface: in IDirectfFBSurface_Flip() pass return value of CoreSurface_Flip()
    tools: make libpng 1.5 compatible
    
    various files: use __VA_ARGS__ for macros

commit 668b2ff6f114f78fa975483a1125b954e78ec1b8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Mar 7 14:39:17 2012 +0100

    android: add gitignore file

commit 52da8cbb52096046d4484e43b562dc709de7bca7
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Mar 6 16:54:53 2012 +0100

    handle empty strings in direct_dbg_strdup(), fixes crashes when loading fonts from memory/stream based data provider

commit 4c96ebb312af82dedb68180ccc583ef25b0c9a46
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Mar 3 16:24:55 2012 +0100

    Core: Fix munmap issue with modified lock.addr by keeping a copy in .handle (shared secure pool).

commit c05ab99567a15ca9b18eb32c0ddcd6f1c90bf1a2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Mar 3 14:50:13 2012 +0100

    Core: Don't create a window stack with private layer contexts, no CreateWindow support.

commit 721e7491b74a78c482d78d9e524a890c8bdabbf6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Mar 3 14:43:06 2012 +0100

    Fusion: When using "trace-ref" option print throw/catch as well.

commit eb7bc187907d228f869adad1b058366dcf6775d1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Feb 29 18:01:07 2012 +0100

    IDirectFBWindow: Destroy the window explicitly on Release when interface is from CreateWindow.

commit db666478bd9523e0b39ebb6edd664004ff782318
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Feb 29 17:59:32 2012 +0100

    Core: Don't set owner of layer surfaces until privileges are sorted out better.

commit 02c4595f264c299831a3b38f4048bb4dea505328
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Feb 10 10:05:14 2012 +0100

    Core: Deallocate buffers right away when deallocating a layer surface.

commit ee63f99c5fa90d6df15af73eae7c36c1fa749581
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Feb 10 00:18:24 2012 +0100

    GeneFX: More fixes for AYUV rendering, FillRect etc

commit 76d14d3730bbe82c5b63aed92983621dc60a91c5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Feb 10 00:01:33 2012 +0100

    GeneFX: Disable MMX RGB<->YCbCr conversion routines as they seem broken.

commit cca135c4351aa8ce11269259471b27dccf922b1b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Feb 9 22:32:58 2012 +0100

    Core: Fix surface allocation decouple issue, thanks to Rob McConnell!
    
    "This patch fixes the surface allocation decoupling when 'dfbtest_prealloc' is run as a slave and exits.  The wrong surface allocation object was being referenced in the call to 'dfb_surface_allocation_unlink()' in function 'dfb_surface_allocation_decouple()'.  In effect, it was trying to unlink the same surface allocation object twice and the assertion occurred in the call to 'dfb_surface_allocation_locks()'."

commit df2b622780ad3e141ab2a26944d14369a803cb5c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Feb 9 22:15:15 2012 +0100

    Core: Fix assertion that could happen when slave has no access to destination surface.
    
    If CoreGraphicsState::SetDestination() or others have failed, the rendering functions
    called afterwards were running into an assertion.

commit 395814d81dcf7e7b69b79f911846393c3d888198
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Feb 9 22:14:36 2012 +0100

    X11: Fix OOM case in x11Lock() that left the mutex locked.

commit 3a66a85d4bf9cabed19868b76378663e5b9b61d0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Feb 9 22:13:25 2012 +0100

    GeneFX: Use RGB accumulators only, adding YUV values does not work.

commit 88d706ae5969a9747b57cd1191ba6882f88a7ad0
Merge: bb78295 a0b3f9b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Feb 8 21:39:21 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit bb78295986ec1234fb898735974baae8b704d730
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Feb 8 21:37:29 2012 +0100

    Core: Fix error path of surface allocation creation further, thanks to Rob McConnell!
    
    "Please find attached a patch against the 1.6-pre code you have that fixes an assertion failing when the surface allocation object is successfully created, but the actual AllocateBuffer() function fails.  In this case, the surface allocation object destructor is called, but because the allocation size is not set the "CORE_SURFACE_ALLOCATION_ASSERT()" macro bails out.
     I've added a new state flag to indicate that the allocation is being initialised.  This ties the actual allocation and AllocateBuffer() functions together."

commit a0b3f9b122901c37afff4ecac0fbe2df2009fd0c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Feb 5 17:40:53 2012 +0100

    pvr2d: don't advertise CCF_CLIPPING

commit df55c2dfc27c796612f2cfa5d97641ff367816e6
Merge: 10b1e0d 098a041
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Feb 5 14:45:47 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 10b1e0dfae19c140ab3d6117f378b1c71b70f28b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Feb 5 14:44:32 2012 +0100

    pvr2d: Improvements including FillRectangle, StretchBlit, more destination formats, blend functions
    
    The driver creates its own context and is system module independent now.
    
    Enable driver with CarE1 system module as well.

commit 098a041b267dfda34b7938a66cd2afa07560d118
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Feb 2 16:05:56 2012 +0100

    IDirectFBDisplayLayer: Convert two more dfb_layer_activate_context to CoreLayer_ActivateContext, thanks to Rob McConnell for spotting!

commit 16b5cf6efebc0e6ade109460b646f31e3dcda7a6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Feb 2 12:07:59 2012 +0100

    Core: Fix error path of surface allocation.
    
    When the pool returns an error during AllocateBuffer, set the
    CSALF_DEALLOCATED flag so the (newly added) destructor knows
    it should not call the pool's DeallocateBuffer function.

commit 5ae4bd9d99d24119aec7a628d764a0c78b830d5e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jan 28 01:17:16 2012 +0100

    IDirectFBSurface: Fix FlipStereo() in secure fusion mode.

commit 7dd4544c266d9ae09955bf1d6845ecdf4595f73d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jan 28 00:45:54 2012 +0100

    IDirectFBSurface: Allow other process access to a surface and add "primary-id" option for CreateSurface(PRIMARY)..
    
    When an application is started with "primary-id" option the primary surface returned
    via CreateSurface() with DSCAPS_PRIMARY is looked up by the ID instead of created.
    
    This way an application can launch other applications running in a surface created
    by the launcher, e.g. to be composited. Compositor and launcher could also be separate
    processes.
    
    Add IDirectFBSurface::AllowAccess() to allow other process identified by an executable name
    access to the surface in secure fusion mode.
    
    Add CoreDFB::AllowSurface() using fusion_object_add_access().
    
    Add CoreDFB::GetSurface() to lookup a surface and check for access
    using fusion_get_fusionee_path() and fusion_object_has_access().

commit eeb18d78bccc542cf80e1baa07b30604ff85e9dd
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Jan 28 00:29:55 2012 +0100

    Fusion: Add access list to FusionObject with fusion_object_add/has_access() functions.

commit 9fd6bd952b8e1349d4cc8ff8b476a863dcad34e1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 27 11:56:01 2012 +0100

    Core: Deallocate window surface buffers right away when a window is destroyed.

commit 38f0acb1f345896f2922f702d38baafa7f49feb6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Jan 27 11:57:24 2012 +0100

    Fusion: Add run time option "trace-ref" to print messages including stack dump when a certain ref is up/downed.

commit bb333012dc8db26e42648e21b03480e1652cee57
Merge: 0c12614 bb85288
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Jan 24 20:07:08 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit bb85288cbdb42b6bf65a2fb6a3355a4f27279db1
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jan 19 16:13:37 2012 +0100

    mesa: small fixes
    
    - set DLBM_FRONTONLY as default
    - set row length for texture upload
    - remove wrong assertion

commit c225ca1b1f4998b840415e94f8fca740ba618159
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Jan 19 13:14:36 2012 +0100

    android: change requirement to android-10 (2.3.3), fix shader compilation on non-mesa

commit 1256b2e30e24231fc7d04b3395f8c05d6e17fefa
Author: Jon Pomrenke <jon.pomrenke@cobbtuning.com>
Date:   Tue Jan 17 20:36:54 2012 +0200

    vt_flush_thread flushing first key press
    
    The first key press after DirectFB initialization is always discarded.
    The behavior is new in 1.4-0 and I believe comes from the following
    changeset:
    
    commit e0be70ec8aedde56f23d216530746a93e7746ff6
    Author: Ville Syrjala <syrjala@sci.fi>
    Date:   Tue May 12 04:16:57 2009 +0300
    
        vt/keyboard: Flush console input when not used
    
        To keep the kernel happy the console buffer must be kept from filling
        up. If the buffer is sufficiently full the kernel stop sleeping and
        instead wakes up every tick to do something. This problem occurs when
        the keyboard driver is not used and the linuxinput driver does not grab
        the devices. Add a new thread whose job is to keep flushing the buffer
        when the keyboard driver is not there to consume the data.
    
    I have traced the issue to vt.c::vt_flush_thread() calling select().
    keyboard.c::driver_open_device() sets dfb_vt->flush to false but
    vt_flush_thread() will not exit until the first key press. As
    vt_flush_thread() exits, it makes one final call to tcflush() and discards
    the unread input.
    
    Here is a brief excerpt of my console output, demonstrating that the first
    input is a key release, rather than a key press.
    (*) Direct/Thread: Started 'VT Flusher' (831) [DEFAULT OTHER/OTHER 0/0] <2093056>...
    (*) Direct/Thread: Started 'Keyboard Input' (832) [INPUT OTHER/OTHER 0/0] <2093056>...
    (*) DirectFB/Input: Keyboard 0.9 (directfb.org)
    waiting for event
    got key_id= 63043key released
    waiting for event
    got key_id= 63043key pressed
    waiting for event
    got key_id= 63043key released

commit 0c12614215821215226a2a88b072d28f2dc4842b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Jan 17 16:49:23 2012 +0100

    android: add tag for logging

commit 814fe290a47269d550a75264800115bda5d04800
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Jan 17 12:07:29 2012 +0100

    android: added default wm, added gles2 gfxdriver, fixed egl context creation
    
    We have something on screen now!
    Not very usable though since important code is commented out...

commit f1a02975f311ee18e2ad7df46e2534b783881517
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Jan 17 10:24:09 2012 +0100

    android: update README, add internet permission (for voodoo), updated icon, enable debug

commit 666ef7eb03e5e161c6d07cfa9c3e929457ad3e29
Merge: 6d7bf7a 77d177e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 17:38:50 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 6d7bf7a1fb5152a8ce08e5df5fd53ce3433546b0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 17:38:08 2012 +0100

    Android: Add very preliminary README
    
    [...]
    This is at the very first stage, the apk will include dfbtest_fillrect,
    nothing on screen so far, to be continued coming days...

commit 77d177e2e512d97c9ecd746db3a32c998666301d
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jan 16 17:36:22 2012 +0100

    android: enable logging

commit a5662ad0dc463a1da662a4dc6c9e4ab88adb6fb3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 17:33:25 2012 +0100

    Android: Add system module for running DirectFB as a native activity, first running version, nothing on screen yet.

commit 14a542f4f18ae5c3893e5fda2703fb74653f28f4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 17:32:12 2012 +0100

    Core: Add CORE_ANDROID :)

commit 16293b377fc15aa70d984c201184e2e3a6dd0b07
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 17:30:31 2012 +0100

    android: minSdk = 9

commit c1c0377ff9c5e10ae2d4ec46e1d81badd8e17057
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jan 16 17:08:37 2012 +0100

    android: build fixes

commit bb8696899cefe78711f05a4aba0b8025070ec5c0
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jan 16 16:34:16 2012 +0100

    android: add generate.sh

commit 6634833ad7f5e97a9602b10804ff47880bfd9112
Merge: 70213d5 2d1e529
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jan 16 16:30:46 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 70213d562b399eb3348e53824d72ff11ee8550b3
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jan 16 16:30:16 2012 +0100

    added some necessary files for testing

commit 2d1e529e61276c5121353b34ea99c00f888b38c5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 16:02:21 2012 +0100

    android: add directfb_build.h

commit 74356d18d8841900da788ed0a67c8b8242e3f304
Merge: 0b39900 28c8c28
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 15:52:57 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 28c8c28e52eb03987eaeb43526d3ed094431d70b
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jan 16 15:49:18 2012 +0100

    initial build system for android ( just experimenting for now )

commit 6ec4b27e901ab64e1a5686d6a2fff13e0d59dd0e
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Jan 16 15:47:04 2012 +0100

    check for aleady defined __func__

commit 0b39900e8d0d7208ff19436038b3693cc8a5e48d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Jan 16 13:53:31 2012 +0100

    Graphics: Add some debug to dfb_gfxcard_batchblit2() software path, still unimplemented.

commit 04dd5cdc874ed65760b95c9d69a540d10b164f71
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 11 12:12:33 2012 +0100

    queue: init link magic with 0 to avoid assumption failure due to non-clearing malloc

commit 04fe5b6113df3d014cf0331eba24c820b097f153
Merge: 5d32f17 2401e15
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Jan 10 16:41:56 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 5d32f17cc182903c1ce5d46971d59ea358bbbfd1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Jan 10 16:38:50 2012 +0100

    linux-one: fix kernel version detection for makefile

commit 2401e15590f6bde5f42fb79be705e16dbf36164b
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Jan 10 10:17:42 2012 +0100

    fixes for preallocated surfaces in secure-fusion mode
    
    - Only call register_prealloc() for preallocated surfaces
    - Before call ing unregister_prealloc() call CoreDFB_WaitIdle() to avoid
      problems when a surface is still used by a pending asynchronous operation

commit 639520aa878bfb0d0a0e611a9fa0513dd8dcf2fb
Merge: 1e4b5a1 c176f1a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jan 5 21:48:19 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 1e4b5a165f58c389fdcd9c6346675070df1f6e88
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Jan 5 21:47:45 2012 +0100

    dfbdump: Add loop mode "-l" to be used as secure master for example.

commit c176f1aa4d7485009839bc1594b156d7143f40a8
Merge: b15bf1c 5a4d9c8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 4 14:20:00 2012 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit b15bf1c93093f1c06be40466bed55ddb9335d1bb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Jan 4 14:19:13 2012 +0100

    DirectFB: Thanks to Haithem Rahmani for updating our copyright banner! Happy New Year!

commit 5a4d9c89246c7f999d60532f388800421a5792e5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 16:41:06 2011 +0100

    CoreSurfaceAllocation: Fix decoupling of allocations, lead to crashes with more than one in a buffer.
    
    The allocation was not removed from the buffer's allocs list in all cases.

commit c98b557373eab6449b889fa10b7ad9dcbd4f839c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 16:40:41 2011 +0100

    IDirectFBSurface: Check ret_id parameter in GetID().

commit 9d0a6a0ad26a40553d10bc943cf73db9ae895fde
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 16:40:05 2011 +0100

    CoreSurface_real: Add some more debug to PreLockBuffer2().

commit 541fa8c53bb2a742d5003ed8eea070159e064ee1
Merge: 267e8f7 628b1d6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 08:29:55 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 267e8f741f1314564648de55451a895ae0d7b089
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 08:29:34 2011 +0100

    IDirectFBSurface: Add GetID() to retrieve the object id of the CoreSurface.

commit 628b1d6ec190562a5f63c2cd83b73531d7e03802
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 02:48:20 2011 +0100

    Core: Destroy font manager only if already created, fixes crash in signal handler during initialization.

commit 0863304a9a79c811266e1f2a7c6f611bbef68e29
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 01:29:56 2011 +0100

    Graphics: Merge accel1 changes with run time option to enable it.
    
    CoreGraphicsState surface setters also have the "queue" flag now.
    
    Add CoreGraphicsState::Flush() being called from IDirectFBSurface implementations before flipping.
    
    Export global CoreGraphicsDevice instance "card" (FIXME: namespace).

commit 369068a7541dab2fab109d9cb887db949e3fe168
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 01:13:15 2011 +0100

    Graphics: Add CSF_DESTINATION_LOCKED and SMF_NONE.

commit b73708e5f7965a02ee9b0616959955ba1baf18a8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 01:05:45 2011 +0100

    Graphics: Fix for C++ in inline clipping function.

commit 4195dc8b7eeac3b4845be474854220a7f140f579
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 01:02:27 2011 +0100

    Fusion: Add fusion_dispatch_cleanup_add/remove() for registering callbacks run when dispatch loop enters next read() or destructor calls.

commit d90936b1286ea0256fab3be6b6002c6d3e1fbea9
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 23 01:01:24 2011 +0100

    Fusion: Remove debug statement in object pool code left over from migration to hash table.

commit 53b3244e96d5d54b0a2827483cb66694a0601fa9
Merge: 2550b85 ed04a19
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 18 00:59:15 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 2550b8584951ea620c7227c1b089978dc5885726
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 18 00:58:13 2011 +0100

    API: Fix comment of Porter/Duff rules (move into header), thanks to Ezequiel Garcia!

commit ed04a19cdd6cea77f17a43c4cb6069b9ea4312f1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 20:19:03 2011 +0100

    FreeType2: Implement outline fonts with variable width and opacity.

commit 63b996a855688827d31c6d7badb7d2c2ecac3143
Merge: 9a964ca 3e87d1e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 20:18:39 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 9a964ca1284f985c36c71b175ac872627f75ca3a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 20:18:09 2011 +0100

    dfbtest_font: Add options for outline font rendering, being able to choose outline width and opacity.

commit 3e87d1e06f4d69847f7a653f46aafd709fe7a8bf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 05:15:29 2011 +0100

    Core: Add CORE_CARE1 to CoreSystemType enum.

commit 022d18b045b71e6120374dca232a596d759c1f33
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 04:37:08 2011 +0100

    Fusion: secure-fusion is default now!

commit 0f6bd4373112bd7424d242ca1a51627b1e4e4b86
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 03:21:14 2011 +0100

    Fusion: Fix crash in fusion_object_pool_destroy() replacing direct_list_foreach by fusion_hash_foreach.

commit 412159b8ef2871c19bc65a562f8f21b3d0c0e5bb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 03:19:40 2011 +0100

    Fusion: Add fusion_hash_foreach() working like direct_list_foreach() via FusionHashIterator and inlined fusion_hash_iterator_init() and fusion_hash_iterator_next().

commit 8884f404b99d8e06f32af6baa369d8824c6b6024
Merge: 4d70c9d 32d7cd8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 00:20:20 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 4d70c9d1408c9849a153faefbd867331b7976bbe
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 00:19:46 2011 +0100

    FBDev: Fix surface pool for new surface/buffer less allocation code.

commit 64700b074030b9d81679e7a053c2cc66735bd396
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Dec 11 00:19:10 2011 +0100

    Core: Fix local surface pool (single app) for new surface/buffer less allocation code.

commit 32d7cd8ba981055dcea63e3fef9437b7c386f6f8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 9 12:51:02 2011 +0100

    ignore

commit f55451d1b68544d2cd133b23391cbf45937ca846
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Dec 8 15:50:15 2011 +0100

    IDirectFBWindow: Create windows with DWCAPS_NOFOCUS until an event buffer is attached.

commit eac409dc1cf5eb1dc9d679680aa79122fb18a9bb
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Dec 5 17:04:08 2011 +0000

    libdirect: Fix type cast in ARM's atomic code.
    
    This is similar to commit b0db6ef94e506a74817ad34e61abf398127f111b
    (libdirect: Fix type cast in MIPS' atomic code.)

commit ea89653e3a57b61ecfc39e9319bbe81b9ecadab5
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Dec 5 17:03:17 2011 +0000

    atomic: Fix usage of keyword 'new' in ARM specific code.
    
    This is similar to commit 13089ccf8bd4ec9465859653e386435fe8dbe9f5
    (atomic: Fix usage of keyword 'new' in MIPS specific code.)

commit e6550e22e65e64e76ec377580525d18a0284ebbf
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Dec 5 17:02:34 2011 +0000

    build: fix out of tree builds (again)

commit 4971e817fa05f6b0ec42f7485bf8a443d77e4669
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Dec 2 05:38:08 2011 +0100

    Fusion: Replace linked list by hash table for objects, finally, *sigh*
    
    Improves fusion_object_get() performance a lot, that was having a big impact
    for secure fusion because of all the object lookups, e.g. when the source for
    a blitting operation is set!

commit 5759090f3fba9dafefc721befcb50e6db77057dd
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 20:21:04 2011 +0100

    Core: Surface allocation object, avoid system calls when rendering!
    
    Make CoreSurfaceAllocation a FusionObject.
    
    Change ISurface::PreLockBuffer() to return a CoreSurfaceAllocation
    instead of index.
    
    Add ISurface::PreLockBuffer2() which does not take a buffer
    object handle, but a buffer role. This avoids overhead and
    makes locking the surface skirmish in slaves obsolete. The
    output of the method is a CoreSurfaceAllocation object.
    
    This new method is used by dfb_surface_lock_buffer(),
    dfb_surface_read_buffer() and dfb_surface_write_buffer()
    that no longer lock the surface skirmish, just an IPC call
    and the call into the surface pool for the resulting allocation.
    
    Replace dfb_surface_buffer_locks() by dfb_surface_allocation_locks().
    
    Add dfb_surface_allocation_decouple() for deallocating and setting
    surface and buffer pointers to NULL.
    
    Use fusion_skirmish_init2() to make surface skirmish a plain mutex
    in case of secure fusion, resulting in greater performance.
    
    Begin with some stereo cleanups, adding dfb_surface_get_buffer2()
    that also takes a DFBSurfaceStereoEye. In the end the eye selection
    via dfb_surface_set_stereo_eye() will be gone. That state should
    be local to IDirectFBSurface, CoreGraphicsState etc.
    
    Sacrifice CSALF_ONEFORALL for clean and robust implementation.
    
    Non-secure (using real skirmish with system calls):
    
    Benchmarking 10x10 on 852x464 RGB32 (32bit)...
    
    Anti-aliased Text                              1.000 secs ( 2811.600 KChars/sec) [ 99.0%]
    Anti-aliased Text (blend)                      1.005 secs (  437.014 KChars/sec) [100.0%]
    Fill Rectangle                                 1.000 secs (   69.560 MPixel/sec) [ 99.0%]
    Fill Rectangle (blend)                         1.000 secs (   45.230 MPixel/sec) [100.0%]
    Fill Rectangles [10]                           1.000 secs (  319.100 MPixel/sec) [ 99.0%]
    Fill Rectangles [10] (blend)                   1.000 secs (   97.300 MPixel/sec) [ 99.0%]
    Fill Triangles                                 1.000 secs (   33.565 MPixel/sec) [100.0%]
    Fill Triangles (blend)                         1.000 secs (   25.770 MPixel/sec) [ 99.0%]
    Draw Rectangle                                 1.000 secs (  648.600 KRects/sec) [ 99.0%]
    Draw Rectangle (blend)                         1.000 secs (  455.300 KRects/sec) [ 99.0%]
    Draw Lines [10]                                1.000 secs ( 5541.000 KLines/sec) [100.0%]
    Draw Lines [10] (blend)                        1.000 secs ( 4359.000 KLines/sec) [ 99.0%]
    Fill Spans                                     1.000 secs (   60.900 MPixel/sec) [100.0%]
    Fill Spans (blend)                             1.000 secs (   41.000 MPixel/sec) [100.0%]
    Fill Trapezoids [10]                           1.000 secs (  229.500 MPixel/sec) [ 99.0%]
    Blit                                           1.000 secs (   38.400 MPixel/sec) [ 99.0%]
    Blit 180                                       1.000 secs (   38.810 MPixel/sec) [ 99.0%]
    Blit colorkeyed                                1.000 secs (   38.050 MPixel/sec) [ 99.0%]
    Blit destination colorkeyed                    1.000 secs (   38.740 MPixel/sec) [ 99.0%]
    Blit with format conversion                    1.000 secs (   32.650 MPixel/sec) [ 99.0%]
    Blit with colorizing                           1.000 secs (   30.980 MPixel/sec) [ 99.0%]
    Blit from 32bit (blend)                        1.000 secs (   35.720 MPixel/sec) [ 99.0%]
    Blit from 32bit (blend) with colorizing        1.000 secs (   22.490 MPixel/sec) [ 99.0%]
    Blit SrcOver (premultiplied source)            1.000 secs (   35.940 MPixel/sec) [ 99.0%]
    Blit SrcOver (premultiply source)              1.000 secs (   35.140 MPixel/sec) [100.0%]
    Stretch Blit                                   1.000 secs ( 1470.786 MPixel/sec) [ 98.0%]
    Stretch Blit colorkeyed                        1.000 secs (  823.420 MPixel/sec) [ 99.0%]
    
    Secure (using fake skirmish being a simple mutex):
    
    Benchmarking 10x10 on 852x464 RGB32 (32bit)...
    
    Anti-aliased Text                              1.000 secs ( 3056.400 KChars/sec) [ 99.0%]
    Anti-aliased Text (blend)                      1.000 secs (  453.600 KChars/sec) [100.0%]
    Fill Rectangle                                 1.000 secs (  102.280 MPixel/sec) [ 99.0%]
    Fill Rectangle (blend)                         1.000 secs (   57.830 MPixel/sec) [ 99.0%]
    Fill Rectangles [10]                           1.000 secs (  391.600 MPixel/sec) [ 99.0%]
    Fill Rectangles [10] (blend)                   1.000 secs (  102.600 MPixel/sec) [100.0%]
    Fill Triangles                                 1.000 secs (   46.500 MPixel/sec) [ 99.0%]
    Fill Triangles (blend)                         1.000 secs (   32.620 MPixel/sec) [ 99.0%]
    Draw Rectangle                                 1.000 secs (  924.700 KRects/sec) [100.0%]
    Draw Rectangle (blend)                         1.000 secs (  586.000 KRects/sec) [ 99.0%]
    Draw Lines [10]                                1.000 secs ( 7528.000 KLines/sec) [ 99.0%]
    Draw Lines [10] (blend)                        1.000 secs ( 5342.000 KLines/sec) [ 99.0%]
    Fill Spans                                     1.000 secs (   84.630 MPixel/sec) [100.0%]
    Fill Spans (blend)                             1.000 secs (   50.380 MPixel/sec) [ 99.0%]
    Fill Trapezoids [10]                           1.000 secs (  254.700 MPixel/sec) [ 99.0%]
    Blit                                           1.000 secs (   57.480 MPixel/sec) [ 99.0%]
    Blit 180                                       1.000 secs (   58.010 MPixel/sec) [ 98.0%]
    Blit colorkeyed                                1.000 secs (   56.730 MPixel/sec) [ 99.0%]
    Blit destination colorkeyed                    1.000 secs (   57.300 MPixel/sec) [ 99.0%]
    Blit with format conversion                    1.000 secs (   45.810 MPixel/sec) [100.0%]
    Blit with colorizing                           1.000 secs (   43.410 MPixel/sec) [ 99.0%]
    Blit from 32bit (blend)                        1.000 secs (   50.970 MPixel/sec) [ 99.0%]
    Blit from 32bit (blend) with colorizing        1.000 secs (   27.220 MPixel/sec) [ 99.0%]
    Blit SrcOver (premultiplied source)            1.000 secs (   52.560 MPixel/sec) [ 99.0%]
    Blit SrcOver (premultiply source)              1.000 secs (   49.300 MPixel/sec) [ 98.0%]
    Stretch Blit                                   1.000 secs ( 1482.339 MPixel/sec) [ 99.0%]
    Stretch Blit colorkeyed                        1.000 secs (  832.783 MPixel/sec) [ 99.0%]
    
    Secure slave with accel1 branch:
    
    Benchmarking 10x10 on 852x464 RGB32 (32bit)...
    
    Anti-aliased Text                              1.002 secs ( 3560.479 KChars/sec) [ 22.0%]
    Anti-aliased Text (blend)                      1.014 secs (  457.988 KChars/sec) [  3.9%]
    Fill Rectangle                                 1.000 secs (  132.680 MPixel/sec) [ 96.0%]
    Fill Rectangle (blend)                         1.001 secs (   93.496 MPixel/sec) [ 67.0%]
    Fill Rectangles [10]                           1.001 secs (  521.178 MPixel/sec) [ 43.0%]
    Fill Rectangles [10] (blend)                   1.005 secs (  111.044 MPixel/sec) [ 14.0%]
    Draw Lines [10]                                1.000 secs ( 9755.000 KLines/sec) [ 95.0%]
    Draw Lines [10] (blend)                        1.000 secs ( 10185.000 KLines/sec) [ 95.0%]
    Blit                                           1.000 secs (  189.480 MPixel/sec) [ 96.0%]
    Blit 180                                       1.000 secs (  206.160 MPixel/sec) [ 96.0%]
    Blit colorkeyed                                1.000 secs (  167.730 MPixel/sec) [ 96.0%]
    Blit destination colorkeyed                    1.000 secs (  185.440 MPixel/sec) [ 97.0%]
    Blit with format conversion                    1.001 secs (   96.123 MPixel/sec) [ 69.0%]
    Blit with colorizing                           1.000 secs (   91.340 MPixel/sec) [ 85.0%]
    Blit from 32bit (blend)                        1.000 secs (  160.560 MPixel/sec) [ 83.0%]
    Blit from 32bit (blend) with colorizing        1.002 secs (   43.003 MPixel/sec) [ 39.0%]
    Blit SrcOver (premultiplied source)            1.000 secs (  219.320 MPixel/sec) [ 94.0%]
    Blit SrcOver (premultiply source)              1.000 secs (  185.800 MPixel/sec) [ 75.0%]

commit e4f72312b47787087b8293e3135d1a6f64f95e93
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 20:08:45 2011 +0100

    dfbtest_resize: Remove alloca() usage.

commit f318503c08df4c77d1a769dedd453ceae2ba254b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 20:06:05 2011 +0100

    OneTest: Add test program for WakeUp, more tests planned...
    
    Link programs against libone if enabled.

commit 7e6ca0a6ef632b8f7785fd578f27585ff0b76517
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 17:12:56 2011 +0100

    Graphics: Add dfb_pixel_to_components() for RGB+YUV decoding.

commit 13772389864b41d3064d2dff61c161752f4de060
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 17:10:37 2011 +0100

    IDirectFBDataBuffer: Fix crash in non-pure Voodoo clients due to new DataBuffer dispatch.

commit 28229db7912e7c05ec763dc6865f6cba4b7b0d2d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 13:49:38 2011 +0100

    Package: Add flux_comp.make to EXTRA_DIST.

commit 667f185801a3431822f4ca7e541b249e71a80567
Merge: 53c944f 3b17530
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 13:17:21 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 53c944f626d707d85aa17bde4f7b780066a13481
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 13:17:02 2011 +0100

    dummy: Include config.h to include in rebuild after configure run.

commit 5b972aa450165129b9ac3626120c2d5d710e54b1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 13:16:01 2011 +0100

    Voodoo: Remove aio.h include not being needed at the moment.

commit 5e9189de4c16544ca927260ec322b4e80f76e9e1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 13:15:16 2011 +0100

    Fusion: Provide dummy definition for FCEF_QUEUE if Fusion kernel version is 8.8.0 and not 8.8.1.

commit b020e76d56f1c4ce0eece46b60bf64e3dfaee146
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 13:14:51 2011 +0100

    flz: Include config.h to include in rebuild after configure run.

commit c99cf376c220ba0efec6ccb23da8a627a8969f50
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 19 12:46:45 2011 +0100

    Fusion: Increase main shm pool (e.g. for objects) max size from 1 to 16 MB.

commit 3b175300219928a821a87dcd5136d82d7cfe9428
Author: Holger Hans Peter Freyther <zecke@selfish.org>
Date:   Fri Nov 18 22:39:20 2011 +0100

    build: Use AM_SILENT_RULES to provide kernel like compilation output
    
    This generates output like the one at the end. This mode can be
    disabled by compiling with make V=1.
    
    Output:
      CC     pxa3xx_dump.o
      CCLD   pxa3xx_dump

commit 3dc8d2de5c57f010f40a9305d0c9b169a424c13b
Author: Holger Hans Peter Freyther <zecke@selfish.org>
Date:   Fri Nov 18 22:38:17 2011 +0100

    fusion: Rework the comment of fusion_skirmish_init2 in single app

commit 8075519562974894f37f193601803231746a9543
Author: Holger Hans Peter Freyther <zecke@selfish.org>
Date:   Fri Nov 18 22:11:05 2011 +0100

    fusion: Provide fusion_skirmish_init2 on single app builds
    
    Change 08ba2335fd9e6ce9895af02a906f57f7ffbc0d65 introduced calling
    fusion_skirmish_init2 in src/core/gfxcard.c. Introduce a version for
    single app that just calls fusion_skirmish_init as everything should
    be local on a single app system.

commit e38a6a1bb26df8d24853f734a5f5d91013ab7cf2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 18 15:11:46 2011 +0100

    Core: Add magic value to Core TLS struct.

commit 6c354b79192642ee03082d3ccdd748f3dbd608b6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 18 15:05:28 2011 +0100

    IDirectFBDisplayLayer: Fix direct core call in SetCooperativeLevel(), instead use CoreLayerContext_SetCooperativeLevel().

commit f247f6880a20452b57758e8a4a32539a9c674671
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 18 15:04:11 2011 +0100

    API: Add DFB_NOALLOCATION result used internally.

commit 4356699f617d24a5766e7059c03505db11b8714b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 18 15:02:39 2011 +0100

    One: Print pending packet count for each queue, print attached QIDs, more error logging.

commit b9642902aa3ea9eecd36403f34e456e4e8bbf486
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 18 14:06:10 2011 +0100

    Core: Remove CSTF_EXTERNAL from shared memory pools again.

commit f12033a473093fdd7e35f20d6094357891581674
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 17 22:26:02 2011 +0100

    X11: Add DSOR_960x540 support.

commit 5a25250b3e72d4d5457fceec106a801d4a52f47b
Merge: 08ba233 c543519
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 17 22:23:42 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 08ba2335fd9e6ce9895af02a906f57f7ffbc0d65
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 17 22:23:08 2011 +0100

    Core: Replace FusionProperty in gfxcard by hybrid skirmish (simple mutex in secure fusion mode).

commit a950dbc5e99fe733d3b70937a461a912a934395e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 17 22:21:42 2011 +0100

    Fusion: Add fusion_skirmish_init2() with 'local' argument to create a fake skirmish (simple mutex).
    
    This can be used by secure fusion mode when skirmishs are no longer
    locked by slaves at all, improving performance a lot.

commit 295399f99032dc666f62ee5dc8b51381330efa53
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 17 22:19:46 2011 +0100

    SecureFusion: Avoid mmap/munmap on each Lock/Unlock in shared surface pool when being the master.
    
    This restores rendering speed a lot for software fallbacks.

commit c5435192fdd7448eb6c83f7291523c5605545359
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Nov 7 17:48:22 2011 +0000

    gfxcard: force recheck of DFXL_BLIT2 if source2 has been changed

commit c4e79c3f876a09814997b9b2d25ad42e35ea835e
Author: André Draszik <andre.draszik@st.com>
Date:   Mon Nov 7 17:45:26 2011 +0000

    state: fix state->modified for dfb_state_set_colorkey()

commit 3d23ee3e8b1d149b5d03c84faf535052d3752e06
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 16 22:24:10 2011 +0100

    IDirectFBScreen: Add DSOR_960_540 to DFBScreenOutputResolution.

commit 3cfbf45d14cdf978b97f5e5edb45897da78275b3
Merge: b0309bf 4d50157
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 16 22:13:16 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit b0309bf758f91022d662cc8553a0bde50734e418
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 16 22:11:53 2011 +0100

    Ehem, finally, changing 2010 to 2011 in the banner, 1.5 months before 2012 :)

commit 4d50157a750e168fa7610fa1a5d296c368fc54d0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 16 20:26:23 2011 +0100

    Fusion: Fix single app build by adding FCEF_QUEUE definition.

commit cc95a679eb2e02ef014f3bdfe293df3b694e4ebc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 16 02:25:52 2011 +0100

    Core: Applied patch from Timothy Strelchun adding CCF_WRITESYSMEM, thanks!
    
     Updated dfb_gfxcard_check_state to check for full system memory support.
    
     Added CCF_WRITESYSMEM so that a graphics driver can fully report that
     it supports reading and writing to system memory based surfaces, and
     updated the dfb_gfxcard_check_state function to use that data to
     determine if acceleration is possible when the back buffer policy is
     system only.

commit 7a7a1d1966322a4d464114ad8396f1cd01188ca1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 16 01:20:06 2011 +0100

    X11: Fix broken expose event handling, many thanks to Loïc Yhuel!

commit 79e5097a6c3348634bfb4408a5f9891c85d3a5bc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 14 20:01:23 2011 +0100

    One: Add TODO item about packet size limit

commit b75cc3191f561f116a04f69ffb46825081af57fb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Nov 13 13:49:45 2011 +0100

    Core: Use new "queue" property for rendering and state setting methods.
    
    Except surface setters because of out of order execution with references
    being dropped right after blitting from but before flushing.

commit f803ce88c2a1e1c1384020b442c6fcb7c616d15e
Merge: 02c3c0d ef05891
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Nov 13 12:33:54 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 02c3c0dd647e870e24cbba01f472a74e66f39adf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Nov 13 12:32:23 2011 +0100

    WM/Default: Implement same flipping scheme as in SaWMan.

commit 52b063e27221fa453c86d322dce69e0d8e52e4da
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Nov 13 12:31:46 2011 +0100

    Core: Add CSF_SOURCE2_LOCKED to mask for calling dfb_state_update().

commit ef05891c95f82adf40589c338979758a14aed195
Author: Holger Hans Peter Freyther <holger@moiji-mobile.com>
Date:   Sat Nov 12 10:52:24 2011 +0100

    build: Fix make distcheck of master
    
    * Put Makefile.static into the EXTRA_DIST, invoke the Makefile via
      the srcdir as distcheck invokes VPATH build.
    * Put surface_core.h into the internal include headers, this file got
      introduced by the recent PREALLOC surface patches.

commit f9d77a62b47f0283ef7cf2524f2bc528e4eed40f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 9 19:28:08 2011 +0100

    One: Add notes about extending the QID for global messaging.

commit 196c67290d82e28341204bc7b892e9e3f792270f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 9 19:26:47 2011 +0100

    header: Move DFBScreenEncoderPictureFraming above DFBScreenEncoderDescription.

commit 7fad458ba0aef6cb0e904a800035496e8c17363b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 9 19:24:40 2011 +0100

    IDirectFBScreen: Add supported HDMI signaling modes (all_framing) to DFBScreenEncoderDescription.

commit eb20f53df5765962801fdef8d4b5421c7890b13e
Merge: 3ff4e30 fb607b0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 9 19:10:36 2011 +0100

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 3ff4e30b388ec1300489ecc415a09b3f4e8efe8d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 9 19:10:08 2011 +0100

    IDirectFBWindow: Fix LowerToBottom()!

commit fb607b074b98e4899789ba1b8929a25fc49d3100
Author: Holger Hans Peter Freyther <holger@moiji-mobile.com>
Date:   Thu Nov 3 00:27:17 2011 +0100

    [misc] Use the BUILT_SOURCES variable of automake for generated files
    
    Use BUILT_SOURCES for the files that are generated by fluxcomp and are
    used by the normal source files. Documentation of BUILT_SOURCES can be
    found here:
    http://www.gnu.org/s/hello/manual/automake/Sources.html

commit 478280b21a2f951e11570845da061aa5535df0fa
Author: Holger Hans Peter Freyther <holger@moiji-mobile.com>
Date:   Wed Oct 26 16:19:57 2011 +0200

    [valgrind] Use D_MAGIC_SET_ONLY when initializing the lock
    
    In load_default_cursor a CoreSurfaceBufferLock is placed on the stack
    and the addr is passed to dfb_surface_lock_buffer, this is calling
    dfb_surface_buffer_lock_init and is using the D_MAGIC_SET on the lock.
    The  macro will compare the current unitialized magic to the new one.
    
    Use D_MAGIC_SET_ONLY to set the magic wihtout looking at the current
    value, the alternative would be to initialize the CoreSurfaceBufferLock
    on the stack with the magic set (or provide a macro for that).

commit 52dd2302621f72d18d7862b7597626f139ad6f11
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 9 15:13:22 2011 +0100

    Core: Get rid of the 16 extra bytes at the end of each surface buffer (dfb_gfxcard_calc_buffer_size).

commit 1b66aeb49b8b908bfb27c5e8f0f79e383b9ccdc6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 9 11:32:59 2011 +0100

    VoodooPlay: Fallback to UDP discovery when an unknown player does not support TCP discovery.

commit 4f767ef0c7b166f8814836211031b15c946c0486
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Nov 8 20:19:12 2011 +0100

    Core: In resource manager code don't consult client interface when identity matches ours (master).

commit 29e94631b41c6799f0b5527bb35a2d33fafae44b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Nov 8 17:40:30 2011 +0100

    IDirectFBDataBuffer: Don't include media/DataBuffer.h when DIRECTFB_BUILD_PURE_VOODOO is defined.

commit 9a7c607664a89458dc0dbeeb41ed819194deaeff
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Nov 8 17:40:05 2011 +0100

    Win32: Add generated files.

commit 09ec31c442f85ef1b21efe191932e413f9faffca
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Nov 8 13:58:33 2011 +0100

    MSVC: new structure with relative paths

commit 6ea59948fdb0716cbb146dcdd67549e420fdf217
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 21:29:02 2011 +0100

    Win32: Implement VoodooLink::WaitForData().

commit f06cce41d51fe45bb2f6a06f6b2e645cf584c4d2
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 21:11:16 2011 +0100

    Voodoo: Use voodoo_player_create() to get the player singleton rather using globals.

commit b17eabf63abdb615e60f8c8a3fc0e2e41450f84c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 21:00:03 2011 +0100

    IDirectFBDataBuffer: No DataBuffer_Init_Dispatch when DIRECTFB_BUILD_PURE_VOODOO is defined

commit 69baa44c55e13ecac0249aa89c2e4fb890ed432a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 20:59:24 2011 +0100

    Core: Use __inline__

commit 24b2704d3dd7023fefcbdcca89440680a10ea7ce
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 20:59:01 2011 +0100

    VoodooPlay: use direct_snprintf

commit 5e4eb23d04633dd2ce46d06edd10077821f9b540
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 20:58:44 2011 +0100

    VoodooPlayer: MSVC fixes

commit fafa29f097d500bac93f37e1b333d45e26b712d9
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 20:57:40 2011 +0100

    init: No Core_TLS__init when DIRECTFB_BUILD_PURE_VOODOO is defined

commit 5e79c21b7a4fe7f879d4d678025c5b59f50dc1ff
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 20:49:51 2011 +0100

    Voodoo: Readd discovery when hostname is empty, MSVC fixes.

commit 16d819ee212ca0a20b4744e18b445e0cde51e898
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 18:52:49 2011 +0100

    Fusion: When MADV_REMOVE is supported use static ftruncate and no longer resize file in brk().

commit 8967459c748d95081852591bef79e54a0dfc9a7d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Nov 7 11:25:27 2011 +0100

    dfbtest_scale_nv21: Add planar YUV scaling test.

commit df8b44fad85c5577f29a0cc2cec17f161e8b94b3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 5 23:08:58 2011 +0100

    VoodooPlay: No longer enumerate players not seen for longer than 10s.
    
    In addition all players from last broadcast will be enumerated, no matter
    how much time has passed since then.

commit a729eb7621b2b5106312622b701c8affe90bfe3e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 5 22:52:38 2011 +0100

    IDirectFBWindow: Add SetGeometry() to set src and dst geometry in one call.

commit 2151af6406c86ffa5a58af7eca05aa76df400898
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 5 22:48:53 2011 +0100

    Core: Add error handler for window object creation, e.g. OOM case.

commit 42d3726d34ed0be2c2d2f6c2c57f069b0b37d596
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 5 22:48:23 2011 +0100

    Core: Fix assertion in error patch of surface creation.

commit d5e318cc7db2bbf372733950ccee058cdade05b5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Nov 5 20:16:52 2011 +0100

    Core: When decoupling a buffer being unlocked, deallocate right away.

commit 4c28806051a7334a51c4d209ce5d474d75fe3a71
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 15:46:35 2011 +0100

    Core: Add dfb_surface_deallocate_buffers() that deallocates all surface buffers, called by unrealize_region() instead of destroying the buffers now.

commit df57487f9e337805a1706256606aebad2da5f700
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 15:29:10 2011 +0100

    Options: Add "discard-repeat-events" to filter out DIEF_REPEAT/DWEF_REPEAT events in event buffer.

commit 84d52dcce582709b5ec3dd2d92429ad2323d2c54
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 15:20:54 2011 +0100

    Voodoo: In PACKET mode check uncompressed size of packets against VOODOO_PACKET_MAX and disconnect when failing.

commit 863c981de455ce0bc6265fa262a9b1ba6d80bd86
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 15:17:46 2011 +0100

    Options: Add "window-cursor-invisible" to set DWCF_INVISIBLE (cursor invisible) for newly created windows.

commit 7da522399a19ac0813bf8a36f191e0f5983803e8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 14:59:57 2011 +0100

    dfbtest_window_cursor: Add test for cursor flags and per window cursor shape.

commit 960bc2cf25794d660f790aec30c61e981de7b784
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 13:58:48 2011 +0100

    LinoType: Return DFB_BUFFEREMPTY when FS_get_glyphmap() fails to have the core retry loading next time.

commit e13d1d8bdf8b934b10cf4705699635c1b647a85a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 13:58:06 2011 +0100

    Fonts: If the font module returns DFB_BUFFEREMPTY we will retry loading next time.

commit d3860d2822c32f77adc4aba7e2edbd74d9c022d4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 13:57:25 2011 +0100

    VoodooPlay: Fix copy'n'paste build error :-/

commit fa37a6b7a960b4285c84e6740b26d2d7cec28a00
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 13:38:16 2011 +0100

    dfbinfo: Print vendor and product ID of input devices.

commit 8a2fc7d04b894703af651540cf337568029adfab
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Nov 4 13:23:08 2011 +0100

    VoodooPlay: Avoid broadcast discovery when client connects to an unknown player.
    
    Add Voodoo messages for DISCOVER and SENDINFO as a temporary solution on the old
    2323 port. Connections to different ports assume packet mode anyhow, now.
    
    When connecting to 2323 without being able to lookup the player by its address
    in the information collected by VoodooPlayer already, connect using RAW mode as
    usual, but use the DISCOVER message and receive the SENDINFO from other player.
    When this information reveals PACKET capability, reconnect with that mode.
    
    With this commit the VoodooLink is no longer passed to the manager, but only
    the VoodooConnection object being constructed beforehand now. The manager will
    call connection->Start(this) at the end of its constructor.
    
    Add WaitForData( timeout_ms ) to VoodooLink interface to prevent endless blocking
    on the SENDINFO reply from old servers not supporting it.
    
    Rename VPIF_LINK to VPIF_PACKET.
    
    Change VOODOO_LINK_PORT (8676) to VOODOO_PLAY_PORT (8680). This is unused at
    the moment, but should become the new standard Voodoo port.

commit 2bb861d6c363c89543b5d2c6c947ca4beb32bae0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 3 15:38:06 2011 +0100

    VoodooPlay: Add application listing and launching interface for app servers.
    
    This adds a new interface IVoodooPlayer that is provided by an application
    server featuring methods for listing applications and running instances,
    or to launch an application, stop an instance or wait for an instance.
    
    The applications can be shown (played) on a different machine than they
    are running on (app server). The target player is identified, as well as
    the applications, by its UUID.
    
    voodooplay_server is a test server providing Penguins and Windows.
    
    voodooplay_client is a simple interface to the application servers:
    
    = Voodoo Play Test Client =
    
    This utility uses Voodoo Play to discover all players and queries them for IVoodooPlayer
    to list and launch applications as well as stop or wait for running instances.
    
    Usage: /opt/dfb/bin/voodooplay_client [options]
    
    Options:
      -n <name>                     Set local player name (of this process)
      -l <app UUID> <player UUID>   Launch application (from app server) on target player (remote display)
      -s <instance UUID>            Stop instance
      -w <instance UUID>            Wait for instance to terminate
    
    zwido [~/DFB/DirectFB/tools] /opt/dfb/bin/voodooplay_client -n 'Test App Client' -l 3db0b3468f582ba7b7cd9518f1e02619 0903eff0506070000000000000000000
    (*) Running player 'Test App Client' with UUID 68c1eaf3667db2a52394f6da3b8cd790!
    (*) Direct/Thread: Started 'Voodoo/Player' (-1) [DEFAULT OTHER/OTHER 0/0] <8388608>...
    (*) Voodoo/Player:   lo               (127.0.0.1) (P-t-P)
    (*) Voodoo/Player:   wlan0            (192.168.21.255)
    (*) Voodoo/Player: Sending DISCOVER to 127.0.0.1
    (*) Voodoo/Player: Sending DISCOVER to 192.168.21.255
    (*) Voodoo/Player: Received message from ourself (127.0.0.1)
    (*) Voodoo/Player: Received message from ourself (192.168.21.73)
    (*) Voodoo/Player: Received SENDINFO from 'Test App Server' (192.168.21.73  )   =284c7dcdf6d16432c5f79f64e2214cc0= (vendor: , model: )
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.20.219 )   =903effffffc480930000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.21.0   )   =8ed5fffe198c116d0000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.21.121 )   =2c58aec32c331d22a8968dabf5f47f60= (vendor: Philips, model: 2k9)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.20.142 )   =903effffffc472120000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.21.172 )   =8ed5fffe1b8be9cf0000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.21.20  )   =30393033454646464544384133314100= (vendor: Philips, model: 2k10)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.20.185 )   =903efffeb94727530000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.20.190 )   =903effffffc7b6130000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.21.170 )   =903effffffc47d520000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Player: Received SENDINFO from 'PhilipsTV' (192.168.20.75  )   =8ed5fffe1bd81df20000000000000000= (vendor: Philips, model: 2k11h2)
    (*) Voodoo/Play: <1001ms> [ Test App Server                 ] { 284c7dcdf6d16432c5f79f64e2214cc0 }  192.168.21.73
    (*) Direct/Interface: Using 'Requestor' implementation of 'IVoodooPlayer'.
    (*) Voodoo/Link: Looking up host '192.168.21.73'...
    (*) Voodoo/Link: Connecting to '192.168.21.73:2323'...
    (*) Voodoo/Link: Connected.
    (*) Voodoo/Link: Sent link code (packet).
    (*) Direct/Thread: Started 'Voodoo Dispatch' (-1) [MESSAGING OTHER/OTHER 0/0] <8388608>...
    (*) Voodoo/Manager: Connection mode is PACKET
    (*) VoodooConnection/Link: Allocated 34 kB input buffer at 0xff63f8
    (*) Direct/Thread: Started 'Voodoo IO' (-1) [DEFAULT OTHER/OTHER 0/0] <8388608>...
    (*) Voodoo/Manager: Created remote super interface 'IVoodooPlayer'.
    (*)             [ 0] { 3db0b3468f582ba7b7cd9518f1e02619 }  Penguins
    (*)                -> launching on 0903eff0506070000000000000000000!
    (*)                => instance UUID is 9a979a29efc5d0a69265be8346e49d73!
    (*)             [ 1] { 2da3e723744b553942f49e2416eae453 }  Windows
    (*)             [ 0] { instance 9a979a29efc5d0a69265be8346e49d73 } { app 3db0b3468f582ba7b7cd9518f1e02619 } { player 0903eff0506070000000000000000000 }  Penguins
    (*) Voodoo/Client: Decreasing ref count of connection...
    (*) Voodoo/Link: Closing connection.

commit 7b1ebb3e0a13fdf778c22f04d8b74e8d4e2b421c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 3 13:20:35 2011 +0100

    Core: Fix warning.

commit 6f965582b1cd3007cf496c0bb062db6884dc5548
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 3 13:18:54 2011 +0100

    Core: Fix missing Dispatch init for hotplug devices, thanks to Steven (Sheng-Chi) Chang!

commit fa232020915fafcc2caca434340c78afe5f23ccf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 3 11:52:13 2011 +0100

    Voodoo: Properly parse the "player-uuid" option as a hex string with 32 digits.

commit 4015edddde42278eb993fa54d51b074849f8de65
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 3 11:34:29 2011 +0100

    IDirectFBFont: Add GetDescription() to retrieve the font description with which the font had been created.

commit a78a0883a800ed31da4e1d8f450bdf8f438a2d81
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 3 11:19:52 2011 +0100

    Proxy: Follow API change for voodoo_manager_register_local() passing super instance.

commit 746cafa095dfb68c80fd999a674e21400871e898
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Nov 3 11:10:44 2011 +0100

    Options: Add "flip-notify-max-latency=<ms>" to set maximum FlipNotify latency (ms from Flip to Notify, default 200).

commit adf0228c8d1009c19807d045cd2e871e4624a821
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Nov 2 21:41:58 2011 +0100

    cursor: Move per-window cursor shape setting into core, adding dfb_window_set_cursor_shape().

commit 55931a462dfb6fa326944fea85cfdca9474b038e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 31 18:30:45 2011 +0100

    Core: Fix missing return of permission handle in dfb_core_memory_permissions_add().

commit 6d99b37a7f872764c6cae8c282f78db0e0f209b3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 30 15:30:56 2011 +0100

    Options: Implement level specification for debug domains, e.g. "debug=9:directfb/core".

commit 51ce19cefdd041c69b01c199f858630a7f1537e7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 30 14:24:09 2011 +0100

    Core: Fix memory leak in local surface pool (single app core)!!!

commit 5094bdbdb6d8536e9b4fc398f81f53b0a2a0583d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 25 11:25:37 2011 +0200

    PreAlloc: Revival of real preallocated memory support also via secure fusion
    
    Revive preallocated surface pool and add a new preallocated surface pool bridge
    for transfer between preallocated (slave) memory and surface allocations in the
    master process.
    
    IDirectFBSurface
    - Allow DSCAPS_STATIC_ALLOC to be used in combination with DSDESC_PREALLOCATED
      to request that any further Lock() will always return the original preallocated
      buffer pointer even if that requires lots of transfers back and forth. Otherwise,
      the allocation might be moved to shared memory. This especially requires the
      application to correctly use Lock() with the READ and WRITE flags as appropriate.
    
    Core
    - Add PreAlloc() function to surface pool interface to check the surface description
      for a supported preallocation, e.g. DSCAPS_VIDEOONLY for a preallocation in an
      accelerated pool. This is called on the slave side!
    - Add preallocated_pool_id to the surface configuration that is filled by the
      slave to indicate in which pool it likes to create a preallocated surface.
      Also add more fields to the preallocated entries like offset or phys.
    - Add CoreSlave interface for master to call into slave processes. This contains
      methods for sending or receiving data, e.g. to or from preallocated memory areas.
      Access to such areas is checked against permissions, though the master should be
      a trusted process in the DirectFB session :-)
    - For preallocated surfaces allocate the buffers during their creation in the
      preallocated pool already to ensure this already exists as the first allocation.
    - Tweak dfb_surface_buffer_find_allocation() to implement DSCAPS_STATIC_ALLOC and
      to avoid locking non-shared preallocated allocations from other processes. It
      is possible to create a preallocated hardware buffer from a slave and use hardware
      accceleration with this in the master via secure fusion, if implemented by the
      surface pool(s) for the hardware accelerator.
    
    PreAlloc Pool Bridge
    - The preallocated surface pool bridge uses CoreSlave::Get/PutData() to transfer
      line by line data from/to other allocations either using Lock/Unlock or Write/Read
      on the surface pool.
    
    PreAlloc Pool
    - Add preallocPrealloc() implemention in the preallocated surface pool to fill
      out the new surface configuration entries for the preallocated buffers before
      the CreateSurface call goes to master.
    - In preallocTestConfig() check the core identity against the buffer identity
      and reject allocation for other processes than the creator of the preallocated
      surface. This should not happen though.
    - In preallocAllocateBuffer() remove CSALF_VOLATILE flag from allocation to
      ensure the allocation will not be removed before the buffer is destroyed.
    - In preallocLock() check the core identity against the buffer identity and
      reject locking for other processes than the creator of the preallocated
      surface. This should not happen though.
    
    --
    
    Change ICoreSurface::PreLockBuffer, PreReadBuffer and PreWriteBuffer to take
    a CoreSurfaceBuffer object rather than the buffer index which is not safe
    against race conditions.
    
    In ICoreSurface::PreLockBuffer, PreReadBuffer and PreWriteBuffer check for
    the surface buffer being decoupled and return DFB_BUFFEREMPTY.
    
    In dfb_surface_read/write/lock_buffer() work around a race condition until
    the allocations are objects as well by looping as long as DFB_BUFFEREMPTY
    is returned.
    
    --
    
    Core
    - Add dfb_core_memory_permissions_add/remove/check() for management of areas
      where the master may read/write within slave memory via CoreSlave interface.
    - Put secure/insecure mode into shared memory and fail in slave init when
      the configuration does not match.
    - In Core_GetIdentity() return local core identity if stack is empty.
    - In Core_PushIdentity() if argument is 0, push local identity on stack.
    - Use Core_PushIdentity(0) before locking surfaces for actual execution of
      software or hardware rendering functions.
    - Add new initialize/join calls for surface pools to pass context data.
    - Add dfb_surface_pools_lookup() for lookup by ID.
    - Implement priorities for surface pool bridges.
    
    dfbtest_prealloc
    - Add dfbtest_prealloc for testing preallocated surfaces with and without
      the usage of DSCAPS_STATIC_ALLOC.
    
    dfbtest_resize
    - Add Read/Write tests to dfbtest_resize that revealed a few bugs being fixed
      in this commit.

commit dc63df982909eba3db9aa07f45d27c7b86ae495e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 28 12:13:59 2011 +0200

    Genefx: Add planar YUV smooth scaling, only NV12 and NV21 for now.

commit 242cf1cac5354fe8b1966f8f3ac0df2a515bd5e4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 28 11:55:16 2011 +0200

    IDirectFBWindow: Allow DSCAPS_TRIPLE to be used for windows.

commit 04616748d9e2e7e11e0b95cbf9e90ef0577d5a7e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Oct 27 17:00:49 2011 +0200

    Input: Get lcok state and other items from input device, not via events.

commit 994b5ea29f00b771c202284236644a50b9c28499
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Oct 27 11:34:22 2011 +0200

    One: Start dynamic IDs at 1000 to reserve 1-999 for static IDs.

commit 09a2b784e8b8642a1eebacd95db35d42c006c0aa
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Oct 27 11:31:37 2011 +0200

    One: Don't print error on timeout.

commit 4232750da0a0b912427f051df947d1a3f8a4ff6b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Oct 26 19:05:56 2011 +0200

    IDirectFBInputDevice: Add SetConfiguration() with DFBInputDeviceConfiguration featuring sensitivity setting.
    
    Add dfbtest_input for input device related tests, only sensitivity for now.

commit 68c1bede9f6a417334e6697ace1be80339ee54c5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Oct 26 11:33:41 2011 +0200

    libdirect: Add ETIMEDOUT to errno translation.

commit a623416b50e606af0a525e0f6cbc6518b7baccdf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 25 16:49:26 2011 +0200

    Options: Add "font-resource-id" to specify which resource id to use when creating font cache row surfaces.

commit b4ff38597bb929067b5175068f98614f71facaf3
Merge: 53048fb 2921930
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 25 16:49:17 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 53048fbed885386b1f12d78e9d6db1cf3b9bd275
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 25 14:57:38 2011 +0200

    IDirectFB: Pass around IDirectFB instance for IDirectFBSurface, used in GetGL().

commit 3798ca2021f30dc29896e0876d6eda0194ba1725
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 25 14:54:09 2011 +0200

    libdirect: Check for error in DIRECT_ALLOCATE_INTERFACE.

commit 2921930eb50bb1fc61ee064a9dca3897a77bfddc
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 25 11:10:15 2011 +0200

    Core: When decoupling buffers, take care about left/right buffers as elsewhere. Thanks to Ilyes Gouta!

commit 9872957d327e37f48db97f7353288505f7a37817
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 25 11:03:48 2011 +0200

    Fusion: Add missing fusion_world_set_leave_callback() for single app, thanks to Haithem Rahmani!

commit 026ef43fbc1967e0c40c97c76aff0cf86cad82c4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 23 03:36:35 2011 +0200

    CoreGraphicsStateClient: Move mod_hw flags back to modified.
    
    Temporary solution, this will be fixed by adding GetAccelerationMask()
    to CoreGraphicsState flux, not loading the graphics driver at slaves anymore.

commit f2f54fc046e65a241ec4e4713096061b04188659
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 23 02:52:14 2011 +0200

    CoreGraphicsStateClient: Add debug messages.

commit 5404ec3d706d846c3a802d995294168d69285eed
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 23 02:49:51 2011 +0200

    IDirectFBSurface: Increase number of preallocated entries in DFBSurfaceDescription to 3.

commit 346a7b811a02b057170669a64ac2fd60aca000ac
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 22:26:50 2011 +0200

    X11: Add dfb_surface_notify_display() calls to primaryFlipRegion()
    
    This function should actually be called, when the buffer is displayed,
    e.g. for queued swap happening on vsync.

commit 01a72e06aa386bcea1dcb2325fe3e9e12197dec5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 22:23:40 2011 +0200

    OneBench: Add Async Throughput benchmark.

commit 93404e713054fbb2a854698ee5917d02ffa4b806
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:57:44 2011 +0200

    OneBench: Update after One API change.

commit b24e30eb5f68ba4cccaeba626ce6f3e7ddd411cd
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:52:13 2011 +0200

    Core: No fusion_object_set_lock() in dfb_surface_create()
    
    The lock was for reactor globals only.
    
    This prevents a dead lock.

commit 44dda7969890e9c2ce7e548c530fec2e67326e1f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:51:46 2011 +0200

    Core: Return from _dfb_layer_region_surface_listener in CSNF_DISPLAY case.
    
    This prevents a dead lock.

commit e65f69e8d898d63126146fdd3f6113baecdd87d8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:47:24 2011 +0200

    ignore

commit 258cddd226c7afb0d17422aa13449256117be653
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:45:07 2011 +0200

    InputHub: Include <directfb_util.h>

commit cafab6b517ae1071bbbb96c2b124bef75d6dce34
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:44:41 2011 +0200

    direct: Add EINVAL to DR_INVARG translation

commit 159a97f2e3dacec275388b58b645c8cc00fef9e7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:43:34 2011 +0200

    One: Add optional receive timeout, 0 = no timeout, -1 = return immediately if nothing to receive

commit 3acc3c09071ec77161b7308686319ec6af37ab31
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 21 21:36:45 2011 +0200

    ImageProvider: Add secure IPC to (hardware) image providers
    
    For secure fusion the hardware image providers need to be called
    in the master process, as all other system and driver calls are.
    
    This adds CoreDFB::CreateImageProvider() being passed a call id
    from the slave for retrieving data buffer contents.
    
    The new DataBuffer flux wraps that call, used by a master side
    IDirectFBDataBuffer implementation. This is passed to the real
    IDirectFBImageProvider instance.
    
    The slave uses the new ImageProvider flux underneath a special
    IDirectFBImageProvider implementation.

commit 32208bbec514e0e308a9158fa73cfe288a39348f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Oct 14 15:45:21 2011 +0200

    Call: Increase return size limit to 32MB.

commit 874bd7ebbdbdc1a9498f9c193e06e3f5f715c52f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Oct 12 20:22:05 2011 +0200

    Call: Add fusion_call_get_owner() to get the FusionID of the call creator.

commit 79c4b97e9f3aeed317900a2286132d6e0d98b10e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 11 19:38:10 2011 +0200

    InputHub: Add event name in debug message.

commit eea881a079d8b17a8d94cf675a36305dcf3b2640
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 11 16:45:50 2011 +0200

    One: Allow attaching remote queue to local queue, needs refactoring...

commit 9ed2fb1fd1687fad62fddb3813aa40f745fee957
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Oct 11 16:45:21 2011 +0200

    One: Keep a list of OneApps.

commit a1198c237b40f2efbd9993008f8a3b1af0f27822
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 10 21:59:23 2011 +0200

    Core: Introduce Input Hub via One (if enabled)
    
    The Input Hub provides an asynchronous interface to the input
    devices available and those being added / removed.
    
    This adds a new run time option "input-hub=<qid>" where QID is the
    One Queue ID of another DirectFB session's Input Hub.
    
    It is used by a new input driver that resembles all input devices
    present at the input hub, forwarding all their input events to the
    local core.

commit b89dfc6c2bbbcd8bb67ad24d7d8fce3ee6f1c2f7
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 10 21:55:35 2011 +0200

    Trace: Comment out log locking until dead lock with libdl is fixed.
    
    The dead lock happens when threads use dladdr and dlopen, in the
    dladdr thread the log lock is taken first, but in the dlopen thread
    the log lock might be taken by a constructor called from dlopen.

commit a62370bfa9e5a71b97cd48bf143d93e7cf2433fd
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 10 21:54:22 2011 +0200

    One: Disable packet append for now

commit a1f02b0fe17ee451aea24b9d87ac58a4e830ff92
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 10 21:22:38 2011 +0200

    Core: Link against One if enabled.

commit 614232bb3b6c54285fb7db86a63bc2cb27bc88c3
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 10 20:35:40 2011 +0200

    One: Don't clear magic in one_core_cleanup().

commit 023757b4c53a5657558e48bf1e6f37288d389a68
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 10 20:32:10 2011 +0200

    One: Add missing one_core_cleanup() to kernel module.

commit 836b2e62d533cf3c1e8c4857a3c218da168c88a0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 10 13:44:28 2011 +0200

    One: Initial checkin of new IPC module.

commit 6f09274b4327877c54d9c3d566026915d13f9fe6
Merge: 909afcd 4a91923
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Oct 8 19:15:41 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 909afcd2fa30562e12fc70a12557e336dbd973c5
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Oct 8 14:31:19 2011 +0200

    Core: Add internal field to layer region config for keeping buffers also when region is unrealized.

commit 4a9192368170e7fbc39adfa6de63cd641ecb06cd
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Oct 6 15:06:43 2011 +0200

    gfx/generic: handle all combinations of DSBLIT_ROTATE_ and DSBLIT_FLIP_ when clipping and in gBlit()
    
    It is now possible to specify all possible 32 combinations of
    DSBLIT_ROTATE90, DSBLIT_ROTATE180, DSBLIT_ROTATE270,
    DSBLIT_FLIP_HORIZONTAL and DSBLIT_FLIP_VERTICAL
    
    These 32 combinations melt down to 8 unique, this can is done by
    dfb_simplify_blittingflags() which strips DSBLIT_ROTATE180 and
    DSBLIT_ROTATE270 and creates a combination of:
    
    DSBLIT_FLIP_HORIZONTAL
    DSBLIT_FLIP_VERTICAL
    DSBLIT_ROTATE90
    
    This greatly simplyfies code that has to handle all these combinations.
    
    For compatibilty reasons the full combination of flags is still passed
    to hardware drivers. Drivers could call dfb_simplify_blittingflags()
    themselves.
    
    On the long run this should already be done straight after SetBlittingFlags()
    in the core, so that DSBLIT_ROTATE_270 and DSBLIT_ROTATE_180 vanish
    completely inside the core and the drivers.
    
    This patch also fixes crashes, clipping and blitting errors when specifying
    some compinations of rotation and flipping flags and implements the
    remaining two cases of the 8 possible (rotation with horizontal or vertical
    flipping) in gBlit() and dfb_clip_blit_flipped_rotated()

commit 9c49e6808a1faa57033414a52fb416b9817315d9
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Oct 6 00:19:28 2011 +0200

    SecureFusion: Skirmish Fighting Round 1
    
    This is the first round in getting rid of Skirmish!
    
    Remove default permission to prevail/dismiss a skirmish.
    
    Add fusion_skirmish_add_permissions().
    
    Add fusion_skirmish_add_permissions(PREVAIL|DISMISS) call to:
    - create_arena
    - fusion_enter (arenas lock, reactor globals)
    - fusion_object_pool_create
    - fusion_shm_init
    - dfb_clipboard_core_initialize
    - dfb_core_arena_initialize
    - dfb_surface_create
    
    Remove unnecessary locking in shm pool attach/detach.
    
    Replace locking in dump_windows (dfbdump) by CoreLayer_GetPrimaryContext().
    
    No permission required (only IPC calls left):
    - input device
    - layer
    - layer region object
    - screen
    - surface pool
    - surface pool bridge

commit 6022155570ca78d41c7e31362ac7e08cd8ca4a21
Merge: fc0d75d 0b9a21c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Thu Oct 6 00:17:59 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 0b9a21c2d90632dafa799e42fcc58c6366df02dd
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Oct 4 18:07:50 2011 +0200

    gfx/generic: allow DSBLIT_FLIP_HORIZONTAL and DSBLIT_FLIP_VERTICAL simultaniously in gStretchBlit()

commit 0ee6771c9a60128f130266ab5fd93455fcac2aab
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Oct 4 17:28:19 2011 +0200

    clip: add dfb_ prefix to clip_blit_flipped_rotated() and change parameter order to match the other dfb_clip_ functions

commit f8390fdb9eba76fc78d86f2a0b132e43135dae38
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Oct 4 16:33:29 2011 +0200

    clip: rename clip_blit_rotated to clip_blit_flipped_rotated() and move from gfxcard.c to clip.c

commit ac16ede15f5e65d7169b1ff3232bffffa22ebc8f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Oct 4 15:05:14 2011 +0200

    libfusion/shm: use s64 instad of int to calculate number of free bytes to prevent wraparound when having more than 2GB free
    
    In ubuntu 11.10 the following tmpfs filesystems are mounted by default
    
    none                  5.0M     0  5,0M   0% /run/lock
    none                  3.9G  400K  3,9G   1% /run/shm
    
    This led to a wraparound in the 32-bit signed value for the 3.9G tmpfs
    and /run/lock with its 5M was favoured.

commit fc0d75d639312dc26c3d3490362bc649a855f750
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Oct 3 23:50:44 2011 +0200

    ignore .orig and .rej

commit b320f16e42dc837084644ee97f9c49a1fbd4d214
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 2 20:01:19 2011 +0200

    SecureFusion: Use CoreWindowStack_GetInsets() in IDirectFBWindow::GetPosition/GetSize

commit e5ca21774f68051ce4ea4e4a3ed4a564f38ed995
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 2 19:58:52 2011 +0200

    SecureFusion: Move IDirectFBDisplayLayer_GetWindowByResourceID() to CoreLayerContext flux.
    
    This avoids locking the skirmish and fixes reference counting!

commit d7fa5c430e60b9678c39941bebb1345b76ac652e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 2 19:56:10 2011 +0200

    X11: Remove lately added CSAID_CPU from layer description (temp secure fusion workaround)

commit 218b5b5fed5785f8da8ba5191cd1464e1da2e702
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 2 18:37:50 2011 +0200

    Fusion: Remove bogus assertion from fusion_call_init and fusion_call_init3.

commit 3754d9894ca2a76771e268b4f6fca1d78184d757
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 2 12:05:00 2011 +0200

    GLX: Force layer pixmap to 24 bit.

commit 01cdb02c08e2bfc5c902096ded22fe405e9331e8
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 2 12:02:23 2011 +0200

    Core: Add GetInsets() to CoreWindowStack flux.

commit 5c4f20d0c5984fecd81f74268a5bfd25c984e626
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Oct 2 11:53:33 2011 +0200

    IDirectFBWindow: Add DWOP_STEREO_SIDE_BY_SIDE_HALF to have stereo output without changing buffers.

commit debefb4dd8c3d68a4f8c50c469b2066f1ff3e344
Merge: ff1ab45 ef5e139
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 28 23:46:36 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit ff1ab455f4c95a472b370f4210e438288e3eee01
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 28 23:45:58 2011 +0200

    Core: Fix crash in dfb_surface_reconfig().

commit ef5e1398fe4037b63d6513e450f107fcfe91047f
Author: André Draszik <andre.draszik@st.com>
Date:   Wed Sep 28 18:36:00 2011 +0100

    generic_stretch_blit: fix compilation due to undefined reference to DSPF_ARGBF88871
    
    ../../../../DirectFB/src/gfx/generic/generic_stretch_blit.c: In function 'stretch_hvx':
    ../../../../DirectFB/src/gfx/generic/generic_stretch_blit.c:444:21: error: 'DSPF_ARGBF88871' undeclared (first use in this function)
    ../../../../DirectFB/src/gfx/generic/generic_stretch_blit.c:444:21: note: each undeclared identifier is reported only once for each function it appears in

commit 12ed6a15927f0036badb0d78d9b3002101b41070
Author: André Draszik <andre.draszik@st.com>
Date:   Wed Sep 28 18:32:05 2011 +0100

    directfb.h: fix DFB_COLOR_IS_YUV
    
    quite a few entries were missing in commit 79e3eeccaba478154
    (Stereo3D: API extensions for stereoscopic viewing) that added
    this

commit 165087ea88eac5f3692208b8be5c9054171dce14
Author: André Draszik <andre.draszik@st.com>
Date:   Wed Sep 28 16:45:25 2011 +0100

    surface.c: fix dfb_system_surface_data_*() coding style
    
    This also aligns the code in destructor and error paths to be
    identical, and only calls the surface data constructor / destructor
    if really necessary, i.e. if surface data size != 0.

commit c726c366ba64f34052a8f2ffca398c4d10be6c39
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 28 09:48:15 2011 +0200

    dfbtest_window_surface: Simple resource/reference counting test.

commit 415fdf72bb442d9a15e116db4edd0565fdab4409
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 26 13:19:48 2011 +0200

    Fusion: Add option "[no-]defer-destructors" and let non-deferred be the default again.
    
    Deferred destructors have shutdown issues currently.

commit 9e1090054776b5d8a7f0ed0d7dd514ba34ebb00a
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Sep 25 22:39:49 2011 +0200

    Core: Export layer surface allocation functions.

commit 573283f4d7b7279ff347745027c356b10a2f1337
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Sep 25 11:07:19 2011 +0200

    tests: Link against GL_LIBS, also build when gl driver is enabled (not only gles2).

commit b9157363b10ae3950f90de9700cb4454dbeecc4f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sun Sep 25 11:06:48 2011 +0200

    dfbtest_old_gl2: Fix error message.

commit ad55645ed252750bf1f90068a08c1f59994e1a85
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Sep 24 13:19:37 2011 +0200

    Fusion: Require linux-fusion 8.7.x

commit 30a2799b73aff913f09c05bd6fe51c16af890f4b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Sat Sep 24 13:07:49 2011 +0200

    Core: Resource management and client identification
    
    ICoreResourceManager and ICoreResourceClient
    - Add new interfaces for resource management, optionally being loaded as modules.
    - The manager has one method to create a new client instance (called within master, per slave).
    - The client has a few methods for checking surface creation/reconfig, adding/removing/updating surfaces.
    
    Runtime Options
    - Add "resource-manager" option to load a resource manager implementation, default is none.
    
    Core
    - Add ICore::Register() method for slaves joining to create a resource client instance in the master.
    - Make ICore_Real::CreateSurface() use the new Core_Resource_CheckSurface() function for
      asking the resource manager (if any) for creation of the resource.
    - Add Core_Push/PopIdentity() to store the caller ID of an incoming request in TLS.
    - Add Core_GetIdentity() to query the current identity, i.e. ID of the Fusionee that made the IPC call.
    - Add Core_Resource methods wrapping and managing instances of ICoreResourceClient.
    
    Flux
    - Run fluxcomp with argument "-i" to generate calls to Core_Push/PopIdentity().
    
    Fusion
    - Add fusion_get_fusionee_path() to retrieve the executable file name of a Fusionee (as in /proc/*/exe).
      This can be used when the resource client is created to apply special limitations, privileges...
    - Add fusion_world_set_leave_callback() to register a callback for processing the new FMT_LEAVE message
      when a slave leaves the world. This is used by the master to cleanup the resource client instance.
    - Add FusionID parameter to fusion_object_create() to give objects an identity, i.e. the identity of the
      Fusionee calling the master to create an object.
    
    ICoreResourceManager_test
    - Add test implementation for ICoreResourceManager and ICoreResourceClient that keeps track of
      and prints the amount of surface memory being used per slave process.
    
    == Following example shows test with df_window started as slave ==
    
    cyto [~/DFB/DirectFB] /opt/dfb/bin/dfbmaster --dfb:resource-manager=test
    
       ~~~~~~~~~~~~~~~~~~~~~~~~~~| DirectFB 1.6.0-pre1 |~~~~~~~~~~~~~~~~~~~~~~~~~~
            (c) 2001-2010  The world wide DirectFB Open Source Community
            (c) 2000-2004  Convergence (integrated media) GmbH
          ----------------------------------------------------------------
    
    (*) DirectFB/Core: Multi Application Core. (2011-09-24 11:08) [ DEBUG ][ TRACE ]
    (*) Direct/Memcpy: Using Generic 64bit memcpy()
    (*) Fusion/SHM: Using MADV_REMOVE (2.6.38.0 >= 2.6.19.2)
    (*) Direct/Thread: Started 'Fusion Dispatch' (-1) [MESSAGING OTHER/OTHER 0/0] <8388608>...
    (*) Direct/Thread: Started 'Fusion Deferred' (-1) [MESSAGING OTHER/OTHER 0/0] <8388608>...
    (*) GLX/Surfaces: Using visual 0x96 (24bit) and 0x9c (32bit)
    (*) Direct/Thread: Started 'X11 Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
    (*) DirectFB/Input: X11 Input 0.1 (directfb.org)
    (*) DirectFB/Genefx: MMX detected and enabled
    (*) DirectFB/Graphics: OpenGL Acceleration - Mesa DRI Intel(R) Sandybridge Desktop  0.5 (Denis Oliver Kropp)
    (*) DirectFB/Core/WM: Default 0.3 (directfb.org)
    (*) Direct/Interface: Loaded 'test' implementation of 'ICoreResourceManager'.
    (*) Core/Resource: Using resource manager 'test'
    (*) X11/Display: Using XShm.
      { start df_window }
    (*) ICoreResourceClient/test: Adding ID 2 - '/opt/dfb/bin/df_window'
    (*) ICoreResourceClient/test: Check surface 40x40 ARGB 6k (ID 2, at 0k)
    (*) ICoreResourceClient/test: Check surface 40x40 ARGB 6k (ID 2, at 6k)
    (*) ICoreResourceClient/test: Check surface 852x480 ARGB 1597k (ID 2, at 12k)
    (*) ICoreResourceClient/test: Check surface 832x26 ARGB 84k (ID 2, at 1610k)
    (*) ICoreResourceClient/test: Check surface 300x200 ARGB 234k (ID 2, at 1694k)
    (*) ICoreResourceClient/test: Check surface 512x145 ARGB 290k (ID 2, at 1928k)
      { quit df_window }
    (*) ICoreResourceClient/test: Removing ID 2

commit a0e3065cd8668849f2fb4198b7eb6742b9999c19
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Sep 23 17:55:42 2011 +0200

    gfxcard: make use of clip_blit_rotated() in dfb_gfxcard_batchblit()
    
    This fixes clipped rotated blits and clipped flipped blits

commit cd575a84f10d90759e069f5f2e6092251a1b84bd
Author: Sven Neumann <s.neumann@raumfeld.com>
Date:   Fri Sep 23 10:00:02 2011 +0200

    libdirect: remove include of <linux/config.h>
    
    That header has been removed from the Linux kernel with 2.6.19
    and it should not have been needed anyway.

commit acd0e4b2e40661b8fde9df1659248915540a8655
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 22 15:59:14 2011 +0200

    remove flux
    
    flux now has its own package
    please checkout
    
    git://git.directfb.org/git/directfb/core/flux
    
    and make sure to have fluxcomp in your path when building DirectFB from git.
    You dont need it if you build a distribution tarball.

commit 878bfacfa98048e8700eb6904d772ace0dc779bb
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 22 13:30:28 2011 +0200

    system/vnc: use ARGB instead of ABGR mode

commit e25007f9f6abfe49623580a53f591c60a52171de
Author: André Draszik <andre.draszik@st.com>
Date:   Thu Sep 22 10:24:08 2011 +0100

    joystick: wrong number for buttons & axes read
    
    When using the DirectFB joystick input module, a wrong number for
    buttons and axes is read. The interface declares the variables
    used to get the number of buttons and axes as 'char' not 'int'.

commit 8d04e6ee372c1a8bc4be5b4c5ffb24f895cb9539
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:50:00 2011 +0200

    ignore

commit 0d402b30020bdcd194dc125276a870820a1b60bf
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:49:44 2011 +0200

    Win32: update project files

commit d510797709ce14fdaa76370da364a997405fdd74
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:48:50 2011 +0200

    Win32: Implement thread termination and soft joining.

commit 98c5f07e2b517d77f0a899033b30717bbbd9de54
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:47:59 2011 +0200

    Win32: Use GetCurrentThreadId() for direct_gettid() and direct_getpid().

commit da308973fdce832b9e8671eec9f484c82199806b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:47:35 2011 +0200

    Win32: Add missing fflush(stdout) to logging code.

commit be78a2ed03fad93f465a49d9cf89ff94b31f2561
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:47:03 2011 +0200

    types: Add _ZUn(x) macro for variable width %zu.

commit 000f7e97cd8dbdce0d2ade9d4138eff2d4ab6887
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:41:34 2011 +0200

    configure: Show list of packages required if check for mesa fails.

commit e37f0956f92c0697482648f5de0a3d8c2f0d111f
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:41:06 2011 +0200

    voodoo: hot fix crash of delete this with MSVC

commit 5b63c064951cb3693930800d048f66c4a3b2d2a4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:39:41 2011 +0200

    voodoo: Init host with "" if NULL to fix strcmp crash.

commit 6fc58f89da5a9177840a30e92eaa2882e505af6c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:38:15 2011 +0200

    Options: Add "[no-]flip-notify" option, default is off.

commit 3dea824e12e30baf4d7f7623355a330a20f3cecb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:33:26 2011 +0200

    buffer: move unref in case of lock failure below (commented out) code.

commit c5b75c63465830e60bbc9844bc048a3f4b40ee2e
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 21 14:08:25 2011 +0200

    Dummy: Initialise buffer mode in display layer config.

commit 9e5eaaa38a6dc25c479fcf0a1ffafebc016bc132
Merge: 7aaf0e5 8a27c60
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 20 21:05:16 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 7aaf0e5e7f4c8c829101da7de7000a6f9ee22785
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 20 21:04:12 2011 +0200

    Genefx: Fix Bop_argb_blend_alphachannel_src_invsrc_Aop_argb for special case alpha = 0.

commit 8a27c6035bc5a73092aabc491fcd38add895270b
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Sep 20 19:08:25 2011 +0200

    system/vnc: allocate system only surface, instead of using a peallocated one
    
    This makes the vnc system at least usable again

commit 229308a780b6bf9cd26807b68ffefa76cc4bf55e
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Sep 20 17:20:19 2011 +0200

    core: shutdown fixes

commit b4fd983b684bc7a15d05652d9539289f35a7c135
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Sep 20 15:54:39 2011 +0200

    debian: include fluxcomp in developer package

commit f73b492abf06862f600309dacc5636f191ce4e7c
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Tue Sep 20 13:00:50 2011 +0200

    flux: remove workaround for c-mode (dummy data for fusion_call_execute3)
    
    Requires new linux-fusion

commit 22f799e3f9e432d7cf86b86e348ec3de9a222c1c
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 19 18:55:44 2011 +0200

    core: remove Dispatch class, use functions instead (even in C++ mode)
    
    This patch also adds _Deinit_Dispatch() calls which were missing before (fixes leaks)

commit 234f84b7ea39b4ff39467220bf7fcf8b14034399
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 15 15:16:55 2011 +0200

    videoprovider: remove all videoprovider previously merged from DirectFB-extra due to licensing issues and/or circular dependencies

commit 1fa6796233c660da14758b2fb4fc312f05b51de6
Merge: 812961e c73a117
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 15 14:27:36 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 812961e9bb3741471ebddc42f96ee85663a6ae7a
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 15 14:24:45 2011 +0200

    flux: added option --include-prefix= to fix build of external projects(e.g sawman)

commit c73a117332fe9c1fb727f6fe749f8069cd373e1a
Merge: 87a252c 9a23f1d
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 14 16:40:22 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 87a252c0b0172b48bfd5b36d68a7ce293ce649d1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Wed Sep 14 16:39:41 2011 +0200

    Genefx: Fix top clipping of flat top triangles.

commit 9a23f1d0b6ece7e09cb15d055c1e33abadd2344f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Sep 14 14:58:25 2011 +0200

    build: fix out-of-tree builds

commit 14716223da7d9fdd74176c41e8aa29ccb0132e78
Merge: 87ff81f f959aa9
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Sep 14 12:31:32 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 87ff81fa9ebfb48863ac575fdd9b2752663effad
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Sep 14 12:22:29 2011 +0200

    png: fixes for adam7 deinterlacing in 16->8bit per color component conversion case
    
    We now hand off handling of adam7 deinterlacing to libpng except for the case
    of 16 bit colorkeyed images.
    
    In that case use our own minimal adam7 code (just enough to have to correct
    end result without perfect intermediate results before the final pass)

commit f959aa9ee2cfb859c6dde44feff38e52eb8b5994
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 13 23:00:11 2011 +0200

    dfbtest_old_gl2: Add gears for IDirectFBGL.

commit a2a0b92883543c1067f6e6a58d41772a4a7385ab
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 13 22:04:40 2011 +0200

    X11: Add IDirectFBGL implementation using GLX

commit 9c70fb065dd9e67f2ef57497e38d2f70bce23fd4
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 13 22:02:41 2011 +0200

    GLX: Work around crashing glDeleteTextures() by leaking it.
    
    To destroy the textures the proper context would need to be
    made current so the whole architecure should be rethought of
    especially with secure fusion in mind.

commit c1eeda0b4dd18b2db112e4014752789bfe4fbfdb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 13 22:02:03 2011 +0200

    GLX: Choose config with depth buffer.

commit 5387244e64b484d1a355d854d0e550e053f5cdc1
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 12 20:16:49 2011 +0200

    Proxy: Fix build for MSVC.

commit e5d6ea4b7e85dbed97b78d6e1ab5429da2e344d6
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 12 20:14:51 2011 +0200

    dfbtest_fillrect: Fix build for MSVC.

commit 19196e0fdd71899fb19b2321ac393f7eab7653bb
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 12 20:13:51 2011 +0200

    singleton: Move idirectfb_singleton from idirectfb.c to directfb.c for pure voodoo mode.

commit b899b570787dcce13f04dd075064ba8e691767a0
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 12 20:11:36 2011 +0200

    libdirect: Move config init at first place.

commit 47b4b92da11028267ce48a8bf10a00ab02237ea4
Merge: 7c813ee 181788c
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 12 20:11:14 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 7c813eecda4fc8c7161f52d8bd25f71719da7281
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 12 20:10:34 2011 +0200

    util: Don't use DFB_BOX_INIT_FROM_REGION in header file, some compilers don't like it.

commit 181788cf27a4c93113b93799b475305161efb9a4
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 12 15:25:57 2011 +0200

    png: various fixes for colorkey handling and grayscale images
    
    - fix 1,2,4 bpp color key handling
    - fix 1,2,4 bpp grayscale crashes
    - fix color protection in 16 bit grayscale colorkeying case

commit ea36a29ce9ef5bd4131d6181238060af22aed86f
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Sat Sep 10 00:04:18 2011 +0200

    license: relicense image/video providers that were GPL to LGPL (in accordance with the original author)
    
    THANK YOU CLAUDIO :-)

commit f744e7f64cfba07161dc10bb6012c6543f2e8003
Merge: ba94b6c 6ba42ae
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Sep 9 13:34:38 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit ba94b6cb4d3fec4e0765b362a8c3fa9f9b1f6086
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Sep 9 13:34:00 2011 +0200

    VoodooConnection: Include <direct/memcpy.h> for dllimport.

commit 6ba42ae6a884ba676185933fc5fef2d6f58902c9
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 8 18:37:44 2011 +0200

    fluxcomp: added semicolon to fix warning in generated C code

commit e93c7ee79b24a4d5a96998f0f0a11e8a6ef7e4f0
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Thu Sep 8 18:21:38 2011 +0200

    fluxcomp: added C mode for generation C instead of C++

commit b0db6ef94e506a74817ad34e61abf398127f111b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Tue Sep 6 11:34:39 2011 +0200

    libdirect: Fix type cast in MIPS' atomic code.

commit 5d91114a8d39a6bb95a1668e75d8182b5fd61664
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 5 18:00:13 2011 +0200

    core: add prelock to manage interlocks at master

commit 2e5f84910a046a6f6972436628ab7813ab998520
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 5 16:19:32 2011 +0200

    build: set CXX=g++ for fluxcomp, to avoid the cross compiler from being used

commit e023be924445ad84bdfa5d87fd97faa3727e790e
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 5 15:35:29 2011 +0200

    core: set permissions for FUSION_REF_UP/DOWN for secure-fusion

commit 835cfe9eeec0eaffb3c33ecdcd34962028c7c245
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 5 13:05:31 2011 +0200

    build: add more explicit rules for new generated headers

commit c4b0287d78604e211ae983d261537026f8091bee
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 5 12:43:21 2011 +0200

    SecureFusion: Final major update adding CoreScreen and CoreInputDevice interface
    
    Also lots of additions to CoreLayerContext, some in CoreSurface, fixes...

commit 042da8eee97c19bb3ffb2d397ae788a353ef752a
Merge: f1b3086 761a316
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 5 12:40:10 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit f1b3086cc3bf46a1d4d6cdde4e96c1df0360da38
Merge: f817749 c63fbcd
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Mon Sep 5 12:39:22 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 761a3160b58325bac31905381f0f6fd9e59f26a5
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Mon Sep 5 12:38:21 2011 +0200

    build: fix build of generated core files by specifying explicit rules

commit c63fbcd865b443767a3d34e65d94dcae0d6ae048
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Fri Sep 2 13:15:56 2011 +0200

    build: add link.h and packet.h to include_HEADERS
    
    This will include them in the next distribution.

commit f817749ac4aeeedbbae88588e284f99d2437252c
Merge: a3f8878 9bf320b
Author: Denis Oliver Kropp <dok@directfb.org>
Date:   Fri Sep 2 11:05:22 2011 +0200

    Merge branch 'master' of git+ssh://git.directfb.org/git/directfb/core/DirectFB

commit 9bf320b531013ba354dc4d6fb7e1d97929553adc
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Aug 31 17:45:14 2011 +0200

    build: remove tab after \

commit 61718e6828a1fb29b3af5b6690aec7dc23498e25
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Aug 31 17:44:34 2011 +0200

    Revert "build: fix parallel builds"
    
    This reverts commit eeb3012efda7729ac4240d62e76f58543719b353.
    
    sorry, this all makes no sense

commit eeb3012efda7729ac4240d62e76f58543719b353
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Aug 31 17:03:46 2011 +0200

    build: fix parallel builds

commit 4bb99ec42820f97e73f15188238019d4530f6c43
Author: Phil Edworthy <phil.edworthy@renesas.com>
Date:   Wed Jul 27 12:42:51 2011 +0100

    sh772x: Only use the shjpeg library if available
    
    This allows DirectFB to work on the SH7723 device which does not have
    the JPU hardware & associated shjpeg library.
    
    Patch by Michael Szafranek

commit 4bcfa149cb4f3015d2100e93c1df3f93efbf108d
Author: Phil Edworthy <phil.edworthy@renesas.com>
Date:   Wed Jul 27 11:52:42 2011 +0100

    sh772x: Move dfb_surface_lock/unlock to CoreSurface fns

commit 9199803808011b1cf21fe7048d41d208286645a5
Author: Phil Edworthy <phil.edworthy@renesas.com>
Date:   Wed Jul 27 11:49:17 2011 +0100

    sh772x: Fix sh7722_jpeg destructor releasing a buffer it doesn't own

commit 67bc1f9dcfa8a3b3ba23be17fb0f9d3b25ce0fe1
Author: Phil Edworthy <phil.edworthy@renesas.com>
Date:   Tue Jul 26 14:17:36 2011 +0100

    sh772x: comsmetic changes only (tabs to spaces)

commit 6eedb42b6e8ad426abcb9b68bdefc456ad20515b
Author: Phil Edworthy <phil.edworthy@renesas.com>
Date:   Tue Jul 26 13:50:58 2011 +0100

    sh772x: Correct device name in debug messages

commit 27713a58a7fb94f06bf57345601158f33427ab36
Author: Phil Edworthy <phil.edworthy@renesas.com>
Date:   Tue Jul 26 09:18:31 2011 +0100

    sh772x: Fix warnings in sh7722_jpeg.c

commit 77f3c632bcafb1ac8e30cfaacc614df4d071c48b
Author: Phil Edworthy <phil.edworthy@renesas.com>
Date:   Mon Jul 25 14:54:13 2011 +0100

    sh772x: Fix build error, new arg to dfb_surface_create_simple

commit 2e42371c4542adaf713c61aadb9d94ca18fcd9bc
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Aug 31 14:06:04 2011 +0200

    xine-vdpau: fix build

commit 834a3e1703cb7a0292a4997310570143576e79e1
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Aug 31 13:59:17 2011 +0200

    debian: update control file

commit 171b9ca2f0945af2a07ff4d5689b43918e72a271
Author: Andreas Shimokawa <andi@directfb.org>
Date:   Wed Aug 31 13:58:39 2011 +0200

